<?php

App::uses('Controller', 'Controller');
App::uses('Model', 'AppModel');
App::uses('ComponentCollection', 'Controller');
App::uses('XShell', 'Console/Command');
App::uses('Folder', 'Utility');
App::uses('File', 'Utility');
App::uses('CakeTime', 'Utility');

/**
 *
 * CreateFromFiles shell class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 *
 * @package		cake.app
 * @subpackage	cake.app.shell
 */
class CreateFromFilesShell extends XShell {

	/**
	 * Contains database source to use
	 *
	 * @var string
	 * @access public
	 */
//	public $uses = array('User', 'Courrier');

	/**
	 *
	 * @var type
	 */
	public $repository;

	/**
	 *
	 * @var type
	 */
	public $repositoryOld;

	/**
	 *
	 * @var type
	 */
	public $repositoryInvalid;

	/**
	 *
	 * @var type
	 */
	public $files = array();

	/**
	 *
	 * @var type
	 */
	public $oldFiles = array();

	/**
	 *
	 * @var type
	 */
	public $invalidFiles = array();

	/**
	 *
	 * @var type
	 */
	public $purgeableFiles = array();

	/**
	 *
	 * @var type
	 */
	public $purgeDate;

	/**
	 *
	 * @var type
	 */
	public $destDesktopId;

	/**
	 *
	 * @var type
	 */
	public $Collectivite;

	/**
	 *
	 * @var type
	 */
	public $Courrier;

	/**
	 *
	 * @var type
	 */
	public $mailBoxes;

	/**
	 *
	 * @var type
	 */
	public $Scanemail;

	/**
	 *
	 * @throws FatalErrorException
	 */
	public function startup() {
		parent::startup();
		$repo = null;
		$repoOld = null;
		$repoInvalid = null;

		$this->Collectivite = ClassRegistry::init('Collectivite');
		$this->Collectivite->useDbConfig = 'default';
		$coll = $this->Collectivite->find('first', array('conditions' => array('Collectivite.conn' => $this->params['connection'])));



		Configure::write('conn', $this->params['connection']);

        ClassRegistry::config(array( 'ds' => $this->params['connection']));
		$this->Courrier = ClassRegistry::init('Courrier');

//        $this->Scanemail = ClassRegistry::init('Scanemail');
//		$this->Scanemail->useDbConfig = 'default';
        
//        $this->mailBoxes = $coll 
//        debug($this->params);
		//verification et récupération des paramètres de scan (type local)
        if( empty($this->params['mailbox'])) {
            if (!empty($coll) && $coll['Collectivite']['scan_access_type'] == 'local' && !empty($coll['Collectivite']['scan_local_path'])) {
                $repo = $coll['Collectivite']['scan_local_path'];
                $repoOld = $repo . DS . 'old';
                $repoInvalid = $repoOld . DS . 'invalid';
            }
                

            //verfication et récupération du role destinataire
            if (!empty($coll) && is_int($coll['Collectivite']['scan_desktop_id']) && $coll['Collectivite']['scan_desktop_id'] > 0) {
                $this->destDesktopId = $coll['Collectivite']['scan_desktop_id'];
            }

            if (!is_int($this->destDesktopId) || $this->destDesktopId <= 0) {
                throw new FatalErrorException('Le rôle destinataire n\'est pas défini');
            }

            $this->_checkRepositories($repo, $repoOld, $repoInvalid);

            $this->purgeDate = CakeTime::format('Ymd', '-1 week');
            $this->files = $this->_getFiles();
            $this->oldFiles = $this->_getOldFiles();
            $this->purgeableFiles = $this->_getOldFiles(true);
            $this->invalidFiles = $this->_getInvalidFiles();
        }
        else {
            $scan = $this->Scanemail->find(
                'first',
                array(
                    'conditions' => array(
                        'Scanemail.name' => $this->params['mailbox']
                    ),
                    'recursive' => -1
                )
            );
            $this->destDesktopId = $scan['Scanemail']['desktop_id'];
            if (!is_int($this->destDesktopId) || $this->destDesktopId <= 0) {
                throw new FatalErrorException('Le rôle destinataire n\'est pas défini');
            }
            $this->collId = $coll['Collectivite']['id'];
            $this->files = $this->_getMailByBox($this->params['mailbox']);
//            debug($this->files);
//            die();
        }
	}

	/**
	 *
	 * @param type $repo
	 * @param type $repoOld
	 * @param type $repoInvalid
	 * @throws FatalErrorException
	 */
	private function _checkRepositories($repo, $repoOld, $repoInvalid) {
		//Initialisation des répertoires à surveiller
		$this->repository = new Folder($repo);

		if (!isset($this->repository->path)) {
			throw new FatalErrorException('Le répertoire ' . $repo . ' n\'existe pas.');
		}

		if (!is_readable($this->repository->path)) {
			throw new FatalErrorException('Le répertoire ' . $repo . ' n\'est pas accessible en lecture.');
		}

		if (!is_writable($this->repository->path)) {
			throw new FatalErrorException('Le répertoire ' . $repo . ' n\'est pas accessible en écriture.');
		}


		$this->repositoryOld = new Folder($repoOld);
		if (!isset($this->repositoryOld->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoOld . ' n\'existe pas.');
		}

		if (!is_readable($this->repositoryOld->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoOld . ' n\'est pas accessible en lecture.');
		}

		if (!is_writable($this->repositoryOld->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoOld . ' n\'est pas accessible en écriture.');
		}

		$this->repositoryInvalid = new Folder($repoInvalid);
		if (!isset($this->repositoryInvalid->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoInvalid . ' n\'existe pas.');
		}

		if (!is_readable($this->repositoryInvalid->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoInvalid . ' n\'est pas accessible en lecture.');
		}

		if (!is_writable($this->repositoryInvalid->path)) {
			throw new FatalErrorException('Le répertoire ' . $repoInvalid . ' n\'est pas accessible en écriture.');
		}
	}

	/**
	 *
	 * @param type $label
	 * @param type $files
	 */
	private function _printListFiles($label, $files = array()) {
		$this->out('<info>' . $label . ' : </info>');
		if (empty($files)) {
			$this->out('<important> Aucun fichier</important>');
		} else {
			foreach ($files as $file) {
                if( !empty( $file->subject) ) {
                    $this->out('<important> - ' . $file->subject . '</important>');
                }
                else {
                    $this->out('<important> - ' . $file . '</important>');
                }
			}
		}
	}

	/**
	 *
	 */
	public function status() {
		$this->out('<info>Repertoire des fichiers à traiter (dépôt) : </info><important>' . $this->repository->path . '</important>');
		$this->out('<info>Repertoire des fichiers traités : </info><important>' . $this->repositoryOld->path . '</important>');
		$this->_printListFiles('Fichiers à traiter', $this->files);
		$this->_printListFiles('Fichiers traités', $this->oldFiles);
		$this->_printListFiles('Fichiers à supprimer', $this->purgeableFiles);
		$this->_printListFiles('Fichiers en erreur', $this->invalidFiles);
	}

	/**
	 *
	 * @return type
	 */
	private function _getFiles() {
		return $this->repository->find('.*\.pdf', true);
	}

	/**
	 *
	 * @return type
	 */
	private function _getInvalidFiles() {
		return $this->repositoryInvalid->find('.*', true);
	}

	/**
	 *
	 * @param type $purgeable
	 * @return type
	 */
	private function _getOldFiles($purgeable = false) {
		$return = array();
		$files = $this->repositoryOld->find('.*', true);
		foreach ($files as $file) {
			$matches = array();
			preg_match('#.*\.webgfcold_([0-9]*)#', $file, $matches);
			if (count($matches) > 1) {

				if ($purgeable) {
					if (intval($matches[1]) <= intval($this->purgeDate)) {
						$return[] = $file;
					}
				} else {
					if (intval($matches[1]) > intval($this->purgeDate)) {
						$return[] = $file;
					}
				}
			}
		}
		return $return;
	}

	/**
	 *
	 * @param type $file
	 * @return type
	 */
	private function _create($file) {

        if( !empty( $this->params['mailbox']) ) {
            $remoteReturn = $this->Courrier->remoteCreateMail($this->destDesktopId, $file, $this->collId);
        }else {
            $remoteReturn = $this->Courrier->remoteCreate(file_get_contents($this->repository->path . DS . $file), '', true, $this->destDesktopId, $file);
        }
		$return = false;


		if ($remoteReturn['CodeRetour'] == 'CREATEDFILEOK' && empty( $this->params['mailbox'] ) ) {
			$return = $this->_setAsOld($file);
		} else if ($remoteReturn['CodeRetour'] == 'CREATED' && !empty( $this->params['mailbox'] ) ) {
            $return = true;
		} else {
			$bancontenu = $this->Courrier->Bancontenu->find('first', array('conditions' => array('Bancontenu.courrier_id' => $remoteReturn['CourrierId'], 'Bancontenu.desktop_id' => $this->destDesktopId)));

			if (!empty($bancontenu)) {
				$this->Courrier->Bancontenu->delete($bancontenu['Bancontenu']['id']);
				$this->Courrier->delete($remoteReturn['CourrierId']);
			}
            if(empty( $this->params['mailbox'] )) {
                $this->_setAsOld($file, true);
            }
		}
		return $return;
	}

	/**
	 *
	 * @param type $file
	 * @param type $invalid
	 * @return type
	 */
	private function _setAsOld($file, $invalid = false) {
		$return = false;
		$tmpFile = new File($this->repository->path . DS . $file);
		if ($tmpFile->copy(($invalid ? $this->repositoryInvalid->path : $this->repositoryOld->path) . DS . $file . '.webgfcold_' . date('Ymd'))) {
			$return = $tmpFile->delete();
		}
		return $return;
	}

	/**
	 *
	 */
	public function purge() {
		$this->_purge(true);
	}

	/**
	 *
	 * @param type $withInvalid
	 * @return type
	 */
	private function _purge($withInvalid = false) {
		$return = array();
		foreach ($this->purgeableFiles as $file) {
			$tmpFile = new File($this->repositoryOld->path . DS . $file);
			$return[$tmpFile->name] = $tmpFile->delete();
		}
		if ($withInvalid) {
			foreach ($this->invalidFiles as $file) {
				$tmpFile = new File($this->repositoryInvalid->path . DS . $file);
				$return[$tmpFile->name] = $tmpFile->delete();
			}
		}
		$this->out('<info>Fichier supprimés :</info>', 1, Shell::QUIET);
		if (!empty($return)) {
			foreach ($return as $key => $val) {
				$this->out('<important> - ' . $key . ' : </important>' . ($val ? '<success>Ok</success>' : '<error>Error</error>'), 1, Shell::QUIET);
			}
		} else {
			$this->out('<important> aucun fichier</important>', 1, Shell::QUIET);
		}
		return $return;
	}

	/**
	 *
	 */
	public function process() {
		if (!empty($this->files)) {
            
            if( empty( $this->params['mailbox'] ) ) {
                $createdFlux = array();
                $this->out('<info>Acquisition des fichiers en cours ...</info>');
                $this->XProgressBar->start(count($this->files));
                foreach ($this->files as $file) {
                    $createdFlux[] = $this->_create($file);
                    $this->XProgressBar->next();
                }
                $this->XProgressBar->finish();

                $this->hr();
                if (!in_array(false, $createdFlux, true)) {
                    $this->out('<success>Opération terminée avec succès.</success>');
                } else {
                    $this->out('<error>Opération terminée avec erreur(s).</error>');
                    $this->out('<info>Utilisez la commande "status" pour connaître l\'état des fichiers.</info>');
                    $this->out('<info>Utilisez la commande "purge" pour supprimer les fichiers traités ayant dépassé la date de conservation et les fichiers en erreurs</info>');
                }
                $this->hr();
            } else {
                
                $createdFlux = array();
                $this->out('<info>Acquisition des fichiers en cours ...</info>');
                $this->XProgressBar->start(count($this->files));
//                debug($this->files);
//                    die();
                foreach ($this->files as $file) {
                    if( $file->seen == '0' ) {
                        $this->_create($file);
                        $this->out('<info>Acquisition en cours ...</info>');
                        $this->XProgressBar->next();
                    } else {
                        $this->out('<info>Acquisition déjà réalisée</info>');
                    }
                }
                $this->XProgressBar->finish();

                $this->hr();
                if (!in_array(false, $createdFlux, true)) {
                    $this->out('<success>Opération terminée avec succès.</success>');
                } else {
                    $this->out('<error>Opération terminée avec erreur(s).</error>');
                    $this->out('<info>Utilisez la commande "status" pour connaître l\'état des fichiers.</info>');
                    $this->out('<info>Utilisez la commande "purge" pour supprimer les fichiers traités ayant dépassé la date de conservation et les fichiers en erreurs</info>');
                }
                $this->hr();
            }
		}

		$this->_purge(true);
	}

	/**
	 *
	 * @return type
	 */
	public function getOptionParser() {
        $this->Scanemail = ClassRegistry::init('Scanemail');
		$this->Scanemail->useDbConfig = 'default';
        $scans = $this->Scanemail->find('list', array( 'fields' => array( 'Scanemail.name') ));

        $optionParser = parent::getOptionParser();
        $optionParser->addOption('mailbox', array(
			'short' => 'm',
            'help' => 'Nom de la boîte mail définie en paramétrage',
			'choices' => array_values( $scans )
		));
        $optionParser->description(__("Outil de gestion des abscences"))
						->addSubcommand('status', array(
							'help' => __('Vérifications du contenu des fichiers du répertoire de dépot et des correspondances en base de données.')
						))
						->addSubcommand('process', array(
							'help' => __('Lecture, creation et purge des fichiers du répertoire de dépot (acquisitions précédentes)')
						))
						->addSubcommand('purge', array(
							'help' => __('Purge des fichiers du répertoire de dépot.')
                        )
                    );
                            
		return $optionParser;
	}
    
    
    private function _getMailByBox( $data ) {
        $this->Scanemail = ClassRegistry::init('Scanemail');
		$this->Scanemail->useDbConfig = 'default';

        $scan = $this->Scanemail->find(
            'first',
            array(
                'conditions' => array(
                    'Scanemail.name' => $data
                ),
                'recursive' => -1
            )
        );

        $boiteMail = $scan['Scanemail']['hostname'];//'zimbra.adullact.org';
        $folder = $data;

        $port = $scan['Scanemail']['port'];//143;
        $login = $scan['Scanemail']['mail']; //'arnaud.auzolat@adullact-projet.coop';
        $motDePasse = $scan['Scanemail']['password'];//'Ks6,T2';

        $mbox = imap_open('{'.$boiteMail.':'.$port.'/novalidate-cert}'.$folder, $login, $motDePasse);
        $mails = array();
        if (FALSE === $mbox) {
            $err = 'La connexion a échoué. Vérifiez vos paramètres!';
        } else {
            $info = imap_check($mbox);
            if (FALSE !== $info) {
                $nbMessages = min(50, $info->Nmsgs);
                $mails = imap_fetch_overview($mbox, '1:'.$nbMessages, 0);
                
                // On regarde si les messages sont lus ou non
                $infos = imap_headerinfo($mbox, $nbMessages);
                
                $i = 0;
                for( $j=1;$j<=$nbMessages;$j++) {
                    
                    $mails[$i]->subject = imap_utf8($mails[$i]->subject);
                    
                    $mails[$i]->body = imap_fetchbody($mbox,$j, 1);
                    $mails[$i]->body = imap_utf8($mails[$i]->body);
                    
                    
//                    $mails[$i]->flag = $lu;

                    
                    // Pour les pièces jointes
                    $structure = imap_fetchstructure($mbox, $nbMessages);
                    if(isset($structure->parts) && is_array($structure->parts) && isset($structure->parts[1])) {
                        $part = $structure->parts[1];
                        $message = imap_fetchbody($mbox,$nbMessages,2);
                        if($part->encoding == 3) {
                            $message = imap_base64($message);
                        } else if($part->encoding == 1) {
                            $message = imap_8bit($message);
                        } else {
                            $message = imap_qprint($message);
                        }
                    }
//                    $mails[$i]->pj = $message;
                    
                    
                    // Fabrication du fichier en PJ
                    $nbparam =  count($part->parameters);
                    $folder = WWW_ROOT . 'files/attachments/';
                    if(!file_exists($folder)) {
                        mkdir($folder, 0777, true);
                    }
                    for ($k = 0; $k < $nbparam ; $k++){
                        //Récupération du nom de la pièce jointe
                        $param = $part->parameters[$k];
                        if ($param->attribute == "NAME"){
                            $nom_fichier = $param->value;
                        } else{
                            $nom_fichier = "Nom de fichier introuvable";
                        }
                    

                        //Ouverture du fichier et création s'il n'existe pas
                        $newfichier = fopen($folder.$nom_fichier,"w+");
                        //Ecriture dans le fichier
                        fputs($newfichier,$message);
                        //Fermeture du fichier
                        fclose($newfichier);
                        
                        $mails[$i]->pj = $message;

                    }
                    
                    
                    $i++;
                
                }
//debug($mails);         
//die();
//                debug($mails);                
//                    die();
//                $mails['Piece'] = array();
                /*for( $j=1;$j<$nbMessages;$j++) {
                    //Extraction de la structure du message	
                    $struct = imap_fetchstructure($mbox,$j);
                    // On compte le nombre de partie dans la structure du message
                    if ($struct->type == 1){
                        $nbrparts = !$struct->parts ? "1" : count($struct->parts);
                    }

                    //On place le code binaire de la pièce dans un tableau

                    for($h=2;$h<=$nbrparts;$h++){
                        $part = $struct->parts[1] ;
                        //Extraction du code binaire de la pièce jointe
                        $mails['file'] = imap_fetchbody($mbox,$j,$h);

                        //Le 3 est spécifique à l'encodage en base64 (le plus répandu) pour les pièces jointes.
                        if ($part->encoding == "3") {
                            //Comptage du nombre de parametres
                            $nbparam =  count($part->parameters);
                            for ($i = 0; $i < $nbparam ; $i++){
                                        //Récupération du nom de la pièce jointe
                                $param = $part->parameters[$i];
                                if ($param->attribute == "NAME"){
                                    $nom_fichier = $param->value;
                                } else{
                                    $nom_fichier = "Nom de fichier introuvable";
                                }
                            }
                            //Décodage du code binaire de la pièce jointe
                            $piece[$h] = imap_base64($piece[$h]);
                        }
//debug($mails['Piece']);
                        $nom_fichier = str_replace(".txt","",$nom_fichier) ;

                        
                        $folder = WWW_ROOT . 'files/attachments/';
                        if(!file_exists($folder)) {
                            mkdir($folder, 0777, true);
                        }
                        
                        //Ouverture du fichier et création s'il n'existe pas
                        $newfichier = fopen($folder.$nom_fichier.$h.".txt","w+");
                        //Ecriture dans le fichier
                        fwrite($newfichier,$piece[$h]);
                        //Fermeture du fichier
                        fclose($newfichier);
                    }

                }*/
            } else {
                $err = 'Impossible de lire le contenu de la boite mail';
            }
            imap_close($mbox);
        }

        if (FALSE === $mails) {
            echo $err;
        } else {
//            print_r( 'La boite aux lettres contient '.$info->Nmsgs.' message(s) dont '.
//                                                  $info->Recent.' recent(s)'.
//                 "<br />\n".
//                 "<br />\n" );
//
//            foreach ($mails as $mail) {
//                print_r( 'De: '.$mail->from.'; Sujet =  '.utf8_encode($mail->subject).'</a>, Date =  '.$mail->date."<br />\n" );
//            }
        }
        

        return $mails;
    }

    
}

