<?php

App::import(array('Model', 'AppModel', 'File'));
App::import(array('Model', 'Courrier', 'File'));
App::import(array('Model', 'Comment', 'File'));
App::uses('Model', 'AppModel');
App::uses('ConnectionManager', 'Model');


App::uses('Controller', 'Controller');
App::uses('AppController', 'Controller');

App::uses('AppShell', 'Console/Command');
App::uses('ComponentCollection', 'Controller');
App::uses('IparapheurComponent', 'Controller/Component');
/**
 * @deprecated au profit des méthodes de même nom dans Deliberation (Model)
 * Class ParapheurShell
 */
class ParapheurShell extends Shell {

    /**
	 *
	 * @var type
	 */
	private $_conn;
    
    /**
	 *
	 * @var type
	 */
	public $Courrier;
    
    
    var $uses = array('Courrier', 'Comment');

    public function startup() {
        parent::startup();

		$this->_conn = 'default';
		if (!empty($this->params['connection'])) {
			Configure::write('conn', $this->params['connection']);
			$this->_conn = $this->params['connection'];
		}
        
        if ($this->_conn != 'default') {
			ClassRegistry::init('Courrier');
			$this->Courrier = new Courrier();
			$this->Courrier->setDataSource($this->_conn);
            
            $collection = new ComponentCollection();
			$this->Parafwebservice = new IparapheurComponent($collection);
//			$this->Parafwebservice->startup(new AppController());

        }
    }

    function main() {        
        $Courrier = ClassRegistry::init('Courrier');

        $conn = $this->_conn;
        if ($conn != 'default') {
            $Courrier->useDbConfig = $conn;

            //Si service désactivé ==> quitter
            if (!Configure::read('USE_PARAPHEUR')) {
                $this->out("Service i-Parapheur désactivé");
                exit;
            }
            $collection = new ComponentCollection();
            $this->Parafwebservice = new IparapheurComponent($collection);


            // Controle de l'avancement des délibérations dans le parapheur
            $courriers = $Courrier->find('all', array(
                'conditions' => array(
    //                'Courrier.etat >' => 2,
                    'Courrier.parapheur_etat' => 1),
                'recursive' => -1,
                'fields' => array('id', 'name')));
//debug($courriers);
            foreach ($courriers as $courrier) {
                //FIXME : pourquoi aller chercher compteur_id ?
                $compteur_id = 0;
    //            $typeacte = $this->Deliberation->Typeacte->find('first', array('conditions' => array('Typeacte.id' => $delib['Deliberation']['typeacte_id'])));
    //            if ($typeacte['Nature']['code'] != 'DE')
    //                $compteur_id = $typeacte['Typeacte']['compteur_id'];
                $this->_checkEtatParapheur($courrier['Courrier']['id'], $courrier['Courrier']['name'], false, $compteur_id);
            }      
        }
    }

    function _checkEtatParapheur($courrier_id, $name, $tdt = false, $compteur_id = 0) {
        
        $collection = new ComponentCollection();
        $this->Parafwebservice = new IparapheurComponent($collection);
        
        $Courrier = ClassRegistry::init('Courrier');
        $Comment = ClassRegistry::init('Comment');
        
        $conn = $this->_conn;
        if ($conn != 'default') {
            $Courrier->useDbConfig = $conn;
            $Comment->useDbConfig = $conn;
            $Courrier->id = $courrier_id;
            $courrier = $Courrier->find(
				'first',
				array(
					'conditions' => array("Courrier.id" => $courrier_id),
					'contain' => array( 'Document' ),
// 					'recursive' => -1
				)
			);

            if ($courrier['Courrier']['parapheur_id'] != "")
                    $id_dossier = $courrier['Courrier']['parapheur_id'];
            else //DEPRECATED (rétro-compatibilité vieux dossiers parapheur)
                    $id_dossier = "$courrier_id $name";

            $histo = $this->Parafwebservice->getHistoDossierWebservice($id_dossier);
debug($histo);
// debug( $Courrier->majTraitementsParapheur(276) );
//die();
            if (isset($histo['logdossier'])){
                for ($i = 0; $i < count($histo['logdossier']); $i++) {
                    if (!$tdt) {
                        if ($histo['logdossier'][$i]['status'] == 'Signe'
                            || $histo['logdossier'][$i]['status'] == 'Archive') {

                            $Comment->create();
                            $comm ['Comment']['target_id'] = $courrier_id;
                            $comm ['Comment']['owner_id'] = -1;
                            $comm ['Comment']['content'] = $histo['logdossier'][$i]['nom'] . " : " . $histo['logdossier'][$i]['annotation'];
    //                        $comm ['Comment']['commentaire_auto'] = 0;
                            $Comment->save($comm['Comment']);

							if ($courrier['Courrier']['parapheur_etat'] == 1) {
								if ($histo['logdossier'][$i]['status'] == 'Signe') {
									$dossier = $this->Parafwebservice->GetDossierWebservice($id_dossier);
//debug($dossier);
									if (!empty($dossier['getdossier']['signature'])) {
										$Courrier->majDocument($courrier_id, $dossier);
									}
									$Courrier->saveField('signee', true);
								}
//                                debug($histo);
//                                if ($histo['logdossier'][$i]['status'] == 'Archive'){
//                                    $Courrier->saveField('parapheur_etat', 2);
//                                    $this->Parafwebservice->archiverDossierWebservice($id_dossier, "EFFACER");
//                                    
//                                }
                            }
                        } elseif ($histo['logdossier'][$i]['status'] == 'RejetSignataire'
                            || $histo['logdossier'][$i]['status'] == 'RejetVisa') { // Cas de refus dans le parapheur
                            $Comment->create();
                            $comm ['Comment']['target_id'] = $courrier_id;
                            $comm ['Comment']['owner_id'] = -1;
                            $comm ['Comment']['content'] = $histo['logdossier'][$i]['nom'] . " : " . $histo['logdossier'][$i]['annotation'];
    //                        $comm ['Comment']['commentaire_auto'] = 0;
                            $Comment->save($comm['Comment']);
                            // Supprimer le dossier du parapheur
                            $this->Parafwebservice->effacerDossierRejeteWebservice($id_dossier);
                            $Courrier->createRefusParapheur($courrier,$courrier['Courrier']['desktop_creator_id']);
                        }
                    } else {
                        if ($histo['logdossier'][$i]['status'] == 'EnCoursTransmission')
                            return true;
                    }
                }
                //FIXME Arnaud TEST
                $Courrier->majTraitementsParapheur($courrier_id);
            }
        }
        return false;
    }
    
    
    
	/**
	 *
	 * @return optionParser
	 */
	public function getOptionParser() {
		$actions = array(
			'repair_addressbook_slugs' => 'Recalcule les informations pour la recherche d\'homonymie des contacts.'
		);
		ksort($actions);
		$optionParser = parent::getOptionParser();
		$optionParser->description(__("Outils d'administration"));
		foreach ($actions as $action => $description) {
			$optionParser->addSubcommand($action, array('help' => $description));
		}
		$optionParser->addOption('connection', array(
			'short' => 'c',
			'help' => 'connection',
			'default' => 'default',
			'choices' => array_keys(ConnectionManager::enumConnectionObjects())
		));
		
		return $optionParser;
	}

}
