<?php

/**
 * Statistiques
 *
 * Statistiques controller class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arnaud Auzolat
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		Controller
 */
class StatistiquesController extends AppController {

	/**
	 * Controller name
	 *
	 * @var string
	 * @access public
	 */
	public $name = 'Statistiques';

	/**
	 * Controller uses
	 *
	 * @var array
	 * @access public
	 */
	public $uses = array('Statistique', 'Courrier');

	/**
	 * Controller components
	 *
	 * @var array
	 * @access public
	 */
	public $components = array('DataAuthorized');

	/**
	 * Controller helpers
	 *
	 * @var array
	 * @access public
	 */
	public $helpers = array( 'Csv','Paginator');


	//TODO: enlever le beforeFilter et régénérer les droits
	public function beforeFilter() {
		$this->Auth->allow( array( 'index', 'exportcsv' )); //FIXME
		parent::beforeFilter();

	}


	/**
	 * Index method
	 *
	 * @access public
	 * @return void
	 */
	public function index() {
		$this->set('ariane', array(__d('menu', 'Statistiques', true)));
        
        if (!empty($this->request->data)) {
			$this->Jsonmsg->init();
			$data = array();
			$data['Statistique'] = $this->request->data['Statistique'];

            $this->Statistique->begin();
            if ($this->Statistique->save($data)) {
                $this->Statistique->commit();
                $this->Jsonmsg->valid();
            } else {
                $this->Statistique->rollback();
            }
            $this->Jsonmsg->send();
        }
        else {
            
        }
	}


	/**
	 * Récupération de la liste des Statistiques
	 *
	 * @logical-group Statistiques
	 * @user-profile Admin
	 *
	 * @access public
	 * @return void
	 */
	public function getStatistiques() {

	}

	/**
	 * Export de la Statistique au format CSV
	 *
	 * @logical-group Statistiques
	 * @user-profile Admin
	 *
	 * @access public
	 * @return void
	 */
	public function exportcsv() {


	}

}

?>
