<?php

App::uses('AppModel', 'Model');

/**
 * Bancontenu model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class Bancontenu extends AppModel {

	/**
	 *
	 * @var type
	 */
	public $name = 'Bancontenu';

	/**
	 *
	 * @var type
	 */
	public $belongsTo = array(
		'Desktop' => array(
			'className' => 'Desktop',
			'foreignKey' => 'desktop_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		),
//      'User' => array(
//          'className' => 'User',
//          'foreignKey' => 'user_id',
//          'type' => 'INNER',
//          'conditions' => null,
//          'fields' => null,
//          'order' => null
//      ),
		'Bannette' => array(
			'className' => 'Bannette',
			'foreignKey' => 'bannette_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		),
		'Courrier' => array(
			'className' => 'Courrier',
			'foreignKey' => 'courrier_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		)
	);

	/**
	 *
	 *
	 * etat :
	 *      -1 refus
	 *      0 validé
	 *      1 a traité
	 *      2 terminé
	 *
	 * @param type $desktop_id
	 * @param type $bannette_id
	 * @param type $courrier_id
	 * @return type
	 */
	public function add($desktop_id = null, $bannette_id = null, $courrier_id = null, $read = false) {
		$ret = false;
		if ($desktop_id != null && $bannette_id != null && $courrier_id != null) {
			$bancontenu = $this->find('first', array('conditions' => array('Bancontenu.desktop_id' => $desktop_id, 'Bancontenu.bannette_id' => $bannette_id, 'Bancontenu.courrier_id' => $courrier_id)));
			if (empty($bancontenu)) {
				$content = $this->create();
				$content['Bancontenu']['desktop_id'] = $desktop_id;
				$content['Bancontenu']['bannette_id'] = $bannette_id;
				$content['Bancontenu']['courrier_id'] = $courrier_id;
				$content['Bancontenu']['read'] = $read;
				$ret = $this->save($content);
			} else {
				$bancontenu['Bancontenu']['etat'] = 1;
				$this->create($bancontenu);
				$ret = $this->save($bancontenu);
			}
		}
		return !empty($ret);
	}

	/**
	 *
	 * @param type $desktop_id
	 * @param type $bannette_id
	 * @param type $courrier_id
	 * @return type
	 */
	public function end($desktop_id = null, $bannette_id = null, $courrier_id = null) {
		$ret = false;
		$querydata = array(
			'conditions' => array(
				'Bancontenu.desktop_id' => $desktop_id,
				'Bancontenu.bannette_id' => $bannette_id,
				'Bancontenu.courrier_id' => $courrier_id
			)
		);
		$item = $this->find('first', $querydata);

		if (!empty($item)) {
			$item['Bancontenu']['etat'] = 0;
			$ret = $this->save($item);
		}
		return !empty($ret);
	}

	/**
	 *
	 * @param type $courrier_id
	 */
	public function fullend($courrier_id = null) {
		$retval = false;
		if ($courrier_id != null) {
			$retval = $this->updateAll(array('Bancontenu.etat' => 2), array('Bancontenu.courrier_id' => $courrier_id));
		}
		return $retval;
	}

	/**
	 *
	 * @param type $courrier_id
	 */
	public function cancel($courrier_id = null) {
		if ($courrier_id != null) {
			$this->query('update bancontenus set etat = -1 where courrier_id = ' . $courrier_id . ';');
		}
	}

	public function setRead($fluxId, $desktopId) {
		$qd = array(
			'recursive' => -1,
			'fields' => array(
				'Bancontenu.id',
				'Bancontenu.read'
			),
			'conditions' => array(
				'Bancontenu.courrier_id' => $fluxId,
				'Bancontenu.desktop_id' => $desktopId
			)
		);
		$bancontenu = $this->find('first', $qd);

		$this->create();
		$bancontenu['Bancontenu']['read'] = true;

		$this->save($bancontenu);
	}

}

?>