<?php

App::uses('AppModel', 'Model');

/**
 * Recherche model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class Recherche extends AppModel {

	/**
	 *
	 * @var type
	 */
	public $name = 'Recherche';

	/**
	 *
	 * @var type
	 */
	public $validate = array();

	/**
	 *
	 * @var type
	 */
	public $belongsTo = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_id'
		)
	);
    
    /**
     * 
     */
    public $hasMany = array(
        'RechercheSelectvaluemetadonnee' => array(
			'className' => 'RechercheSelectvaluemetadonnee',
			'foreignKey' => 'recherche_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)  
    );

	/**
	 *
	 * @var type
	 */
	public $hasAndBelongsToMany = array(
		'Metadonnee' => array(
			'className' => 'Metadonnee',
			'joinTable' => 'recherches_metadonnees',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'metadonnee_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheMetadonnee'
		),
		'Circuit' => array(
			'className' => 'Cakeflow.Circuit',
			'joinTable' => 'recherches_circuits',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'circuit_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheCircuit'
		),
		'Dossier' => array(
			'className' => 'Dossier',
			'joinTable' => 'recherches_dossiers',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'dossier_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheDossier'
		),
		'Affaire' => array(
			'className' => 'Affaire',
			'joinTable' => 'recherches_affaires',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'affaire_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheAffaire'
		),
		'Type' => array(
			'className' => 'Type',
			'joinTable' => 'recherches_types',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'type_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheType'
		),
		'Soustype' => array(
			'className' => 'Soustype',
			'joinTable' => 'recherches_soustypes',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'soustype_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheSoustype'
		),
		'Tache' => array(
			'className' => 'Tache',
			'joinTable' => 'recherches_taches',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'tache_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheTache'
		),
// 		'Vcard' => array(
// 			'className' => 'Vcard',
// 			'joinTable' => 'recherches_vcards',
// 			'foreignKey' => 'recherche_id',
// 			'associationForeignKey' => 'vcard_id',
// 			'unique' => null,
// 			'conditions' => null,
// 			'fields' => null,
// 			'order' => null,
// 			'limit' => null,
// 			'offset' => null,
// 			'finderQuery' => null,
// 			'deleteQuery' => null,
// 			'insertQuery' => null,
// 			'with' => 'RechercheVcard'
// 		),
		'Contact' => array(
			'className' => 'Contact',
			'joinTable' => 'recherches_contacts',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'contact_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheContact'
		),
		'Addressbook' => array(
			'className' => 'Addressbook',
			'joinTable' => 'recherches_addressbooks',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'addressbook_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheAddressbook'
		),
		'Desktop' => array(
			'className' => 'Desktop',
			'joinTable' => 'recherches_desktops',
			'foreignKey' => 'recherche_id',
			'associationForeignKey' => 'desktop_id',
			'unique' => null,
			'conditions' => null,
			'fields' => null,
			'order' => null,
			'limit' => null,
			'offset' => null,
			'finderQuery' => null,
			'deleteQuery' => null,
			'insertQuery' => null,
			'with' => 'RechercheDesktop'
		)
	);

	/**
	 * Recherche de flux
	 */
	 
	public function search( $params, $id = null ) {
		$conditions = array();
		$Courrier = ClassRegistry::init( 'Courrier' );
       
		$joins = array(
			$Courrier->join( 'Contactinfo' ),
			$Courrier->Contactinfo->join( 'Contact' ),
			$Courrier->join( 'Soustype' ),
			$Courrier->Soustype->join( 'Type', array('type' => 'LEFT OUTER') ),
			$Courrier->join( 'Traitement' ),
			$Courrier->Traitement->join( 'Circuit' ),
			$Courrier->join( 'Affaire' ),
			$Courrier->Affaire->join('Dossier'),
			$Courrier->join('Affairesuivie'),
                        $Courrier->join('Tache')
		);
		$contain = false;
		$order = array(
			'Courrier.date',
			'Courrier.datereception',
			'Courrier.name'
		);
		$fields = array_merge(
			$Courrier->fields(),
			$Courrier->Contactinfo->fields(),
			$Courrier->Contactinfo->Contact->fields(),
			$Courrier->Soustype->fields(),
			$Courrier->Soustype->Type->fields(),
			$Courrier->Traitement->fields(),
			$Courrier->Traitement->Circuit->fields(),
			$Courrier->Affaire->fields(),
			$Courrier->Affaire->Dossier->fields(),
            array(
                'Affairesuivie.name'
            )
		);
//debug($params);
		//critères Recherches
		if ( !empty($params['Recherche']['cname'] ) ) {
            $conditions[] = array('Courrier.name ILIKE' => $Courrier->wildcard("*{$params['Recherche']['cname']}*"));
		}
//debug($params);
        // Objet du courrier
//        if ($params['Recherche']['cobjet'] != "") {
        if (!empty( $params['Recherche']['cobjet'] ) ) {
            $conditions[] = array('Courrier.objet ILIKE' => $Courrier->wildcard("*{$params['Recherche']['cobjet']}*"));
        }

        // Commentaire
        if ( isset( $params['Recherche']['ccomment'] ) && !empty($params['Recherche']['ccomment'] ) )  {
            
            //'SELECT comment.target_id FROM comments WHERE comments.slug '
            $sq = $Courrier->Comment->sq(
                array(
                    'fields' => array( 'comments.target_id' ),
                    'alias' => 'comments',
                    'conditions' => array(
                        //'comments.slug ILIKE' => $Courrier->wildcard("*{$params['Recherche']['ccomment']}*")
                        'NOACCENTS_UPPER( comments.slug ) LIKE' => noaccents_upper( $Courrier->wildcard("*{$params['Recherche']['ccomment']}*") )
                    ),
                    'contain' => false
                )
            );
            $conditions[] = array( "Courrier.id IN ( {$sq} )" );
                    
        }
		//critères Recherches
		if ( !empty( $params['Recherche']['creference'] ) )  {
            $conditions[] = array('Courrier.reference ILIKE' => $Courrier->wildcard("*{$params['Recherche']['creference']}*"));
		}
		//Critères sur les dates d'entrée en collectivité
		if ( isset( $params['Recherche']['cdate'] ) && !empty( $params['Recherche']['cdate'] ) ) {
			if ( isset( $params['Recherche']['cdatefin'] ) && !empty( $params['Recherche']['cdatefin'] ) ) {
				$conditions[] = array(
                    'AND' => array(
                        array(
                            'Courrier.date >=' => $params['Recherche']['cdate']
                        ),
                        array(
                            'Courrier.date <=' => $params['Recherche']['cdatefin']
                        )
                    )
                );
			} else {
				$conditions[] = array('Courrier.date' => $params['Recherche']['cdate']);
			}
		}
		
		//Critères sur les dates de réception par la collectivité
        if ( isset( $params['Recherche']['cdatereception'] ) && !empty( $params['Recherche']['cdatereception'] ) ) {
            if ( isset( $params['Recherche']['cdatereceptionfin'] ) && !empty( $params['Recherche']['cdatereceptionfin'] ) ) {    
				$conditions[] = array('AND' => array(array('Courrier.datereception >=' => $params['Recherche']['cdatereception']), array('Courrier.datereception <=' => $params['Recherche']['cdatereceptionfin'])));
			} else {
				$conditions[] = array('Courrier.datereception' => $params['Recherche']['cdatereception']);
			}
		}
		
        //critères Affaire suviie par
		if ( !empty( $params['Desktop']['Desktop'] ) ) {
            $conditions[] = array('Courrier.affairesuiviepar_id' => $params['Desktop']['Desktop']);
		}

		//critères Contact
		if (!empty($params['Recherche']['contactname'])) {
            $conditions[] = array('Contact.name ILIKE' => $Courrier->Contactinfo->Contact->wildcard("*{$params['Recherche']['contactname']}*"));
		} else if (!empty($params['Contact']['Contact'])) {
			$contact_conditions = array();
			foreach ($params['Contact']['Contact'] as $contact_id) {
				$contact_conditions[] = array('Courrier.contactinfo_id' => $contact_id);
			}
			$conditions[] = array('OR' => $contact_conditions);
		} else if ($id != null && !empty($params['Contact'])) {
			$contact_conditions = array();
			foreach ($params['Contact'] as $contact) {
				$contact_conditions[] = array('Courrier.contactinfo_id' => $contact['id']);
			}
			$conditions[] = array('OR' => $contact_conditions);
		}

		//critères Type
		if (!empty($params['Type']['Type'])) {
			$type_conditions = array();
			foreach ($params['Type']['Type'] as $type_id) {
				$type_conditions[] = array('Type.id' => $type_id);
			}
			$conditions[] = array('OR' => $type_conditions);
		} else if ($id != null && !empty($params['Type'])) {
			$type_conditions = array();
			foreach ($params['Type'] as $type) {
				$type_conditions[] = array('Type.id' => $type['id']);
			}
			$conditions[] = array('OR' => $type_conditions);
		}

		//critères Soustype
		if (!empty($params['Soustype']['Soustype'])) {
			$soustype_conditions = array();
			foreach ($params['Soustype']['Soustype'] as $soustype_id) {
				$soustype_conditions[] = array('Courrier.soustype_id' => $soustype_id);
			}
			$conditions[] = array('OR' => $soustype_conditions);
		} else if ($id != null && !empty($params['Soustype'])) {
			$soustype_conditions = array();
			foreach ($params['Soustype'] as $soustype) {
				$soustype_conditions[] = array('Courrier.soustype_id' => $soustype['id']);
			}
			$conditions[] = array('OR' => $soustype_conditions);
		}

		//critères Metadonnee
		$meta_conditions = array();
		$joinmeta = false;
		
// debug($params);
        // Recherche sur les valeurs présentes pour les métadonnées
        if( !empty( $params['Selectvaluemetadonnee']['Selectvaluemetadonnee'] ) ) {
            foreach ($params['Selectvaluemetadonnee']['Selectvaluemetadonnee'] as $kmeta => $meta) {
                if ($meta != '') {
                    if (!$joinmeta) {
                        $joins[] = $Courrier->join($Courrier->CourrierMetadonnee->alias);
                        $joinmeta = true;
                    }
                    $meta_conditions[] = array( 'CourrierMetadonnee.valeur LIKE' => $Courrier->CourrierMetadonnee->wildcard("*{$meta}*"));
                }
            }
            if (!empty($meta_conditions)) {
                $conditions[] = array('AND' => $meta_conditions);
            }
        }
        /*if( !empty( $params['Metadonnee']['valeur'] ) ) {
            foreach ($params['Metadonnee']['valeur'] as $kmeta => $meta) {
                if ($meta != '') {
                    if (!$joinmeta) {
                        $joins[] = $Courrier->join($Courrier->CourrierMetadonnee->alias);
                        $joinmeta = true;
                    }
                    $meta_conditions[] = array( 'CourrierMetadonnee.valeur ILIKE' => $Courrier->CourrierMetadonnee->wildcard($meta));
                }
            }
            if (!empty($meta_conditions)) {
                $conditions[] = array('AND' => $meta_conditions);
            }
        }*/
        if( !empty( $params['Metadonnee']['Metadonnee'] ) ) {
            foreach ($params['Metadonnee']['Metadonnee'] as $kmeta => $meta) {
                if ($meta != '') {
                    if (!$joinmeta) {
                        $joins[] = $Courrier->join($Courrier->CourrierMetadonnee->alias);
                        $joinmeta = true;
                    }
                    $meta_conditions[] = array(
//						array('CourrierMetadonnee.valeur ILIKE' => $Courrier->CourrierMetadonnee->wildcard($meta)),
                        array('CourrierMetadonnee.metadonnee_id' => $meta)
                    );
                }
            }
            if (!empty($meta_conditions)) {
                $conditions[] = array('AND' => $meta_conditions);
            }
        }


		//critères Circuit
		if (!empty($params['Circuit']['Circuit'])) {
			$circuit_conditions = array();
			foreach ($params['Circuit']['Circuit'] as $circuit_id) {
				$circuit_conditions[] = array('Circuit.id' => $circuit_id);
			}
			$conditions[] = array('OR' => $circuit_conditions);
		} else if ($id != null && !empty($params['Circuit'])) {
			$circuit_conditions = array();
			foreach ($params['Circuit'] as $circuit) {
				$circuit_conditions[] = array('Circuit.id' => $circuit['id']);
			}
			$conditions[] = array('OR' => $circuit_conditions);
		}

		//critères Dossier
		if (!empty($params['Dossier']['Dossier'])) {
			$dossier_conditions = array();
			foreach ($params['Dossier']['Dossier'] as $dossier_id) {
				$dossier_conditions[] = array('Dossier.id' => $dossier_id);
			}
			$conditions[] = array('OR' => $dossier_conditions);
		} else if ($id != null && !empty($params['Dossier'])) {
			$dossier_conditions = array();
			foreach ($params['Dossier'] as $dossier) {
				$dossier_conditions[] = array('Dossier.id' => $dossier['id']);
			}
			$conditions[] = array('OR' => $dossier_conditions);
		}

		//critères Affaire
		if (!empty($params['Affaire']['Affaire'])) {
			$affaire_conditions = array();
			foreach ($params['Affaire']['Affaire'] as $affaire_id) {
				$affaire_conditions[] = array('Courrier.affaire_id' => $affaire_id);
			}
			$conditions[] = array('OR' => $affaire_conditions);
		} else if ($id != null && !empty($params['Affaire'])) {
			$affaire_conditions = array();
			foreach ($params['Affaire'] as $affaire) {
				$affaire_conditions[] = array('Courrier.affaire_id' => $affaire['id']);
			}
			$conditions[] = array('OR' => $affaire_conditions);
		}

		//critères Tache
		if (!empty($params['Tache']['Tache'])) {
			$type_conditions = array();
			foreach ($params['Tache']['Tache'] as $tache_id) {
				$tache_conditions[] = array('Tache.id' => $tache_id);
			}
			$conditions[] = array('OR' => $tache_conditions);
		} else if ($id != null && !empty($params['Tache'])) {
			$type_conditions = array();
			foreach ($params['Tache'] as $tache) {
				$tache_conditions[] = array('Tache.id' => $tache['id']);
			}
			$conditions[] = array('OR' => $tache_conditions);
		}

        
        
        
		$query = array();
		// Si aucune condition, on ne retourne rien
//		if( !empty( $conditions ) ) {
			$query = array(
				'fields' => $fields,
				'recursive' => -1,
				'joins' => $joins,
				'conditions' => $conditions,
				'order' => $order,
				'contain' => $contain
			);
//		}
// debug($query);
		return $query;
	}
}

?>
