<?php

App::uses('AppModel', 'Model');

/**
 * RechercheAffaire model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package		app
 * @subpackage		app.Model
 */
class RechercheAffaire extends AppModel {

	/**
	 * Model name
	 *
	 * @access public
	 */
	public $name = 'RechercheAffaire';

	/**
	 * Validation rules
	 *
	 * @access public
	 */
	public $validate = array(
		'recherche_id' => array(
			array(
				'rule' => array('numeric'),
				'allowEmpty' => true,
			),
		),
		'affaire_id' => array(
			array(
				'rule' => array('numeric'),
				'allowEmpty' => true,
			),
		)
	);

	/**
	 * belongsTo
	 *
	 * @access public
	 */
	public $belongsTo = array(
		'Recherche' => array(
			'className' => 'Recherche',
			'foreignKey' => 'recherche_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		),
		'Affaire' => array(
			'className' => 'Affaire',
			'foreignKey' => 'affaire_id',
			'type' => 'INNER',
			'conditions' => null,
			'fields' => null,
			'order' => null
		)
	);

}

?>