<?php

/**
 * SimpleComment Reader behavior class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * CakePHP version 2.0.x
 *
 * @author Stéphane Sampaio
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * @package			SimpleComment
 * @subpackage		SimpleComment.Model.Behavior
 */
class SCReaderBehavior extends ModelBehavior {

    /**
     *
     * @var type
     */
    public $Comment;

    /**
     *
     * @var type
     */
    public $CommentReader;

    /**
     *
     * @param type $model
     * @param type $config
     */
    public function setup($model, $config = array()) {

        //verfier la definition des alias

        $bindModelCommentParams = array(
            'hasAndBelongsToMany' => array(
                'Comment' => array(
                    'className' => 'SimpleComment.SCComment',
                    'joinTable' => 'comments_readers',
                    'foreignKey' => 'reader_id',
                    'associationForeignKey' => 'comment_id',
                    'unique' => 'keepExisting',
                    'conditions' => '',
                    'fields' => '',
                    'order' => '',
                    'limit' => '',
                    'offset' => '',
                    'finderQuery' => '',
                    'deleteQuery' => '',
                    'insertQuery' => '',
                    'with' => 'SimpleComment.SCCommentReader'
                )
            )
        );
        $model->bindModel($bindModelCommentParams, false);

        $bindModelReaderParams = array(
            'hasAndBelongsToMany' => array(
                'Reader' => array(
                    'className' => $model->name,
                    'joinTable' => 'comments_readers',
                    'foreignKey' => 'comment_id',
                    'associationForeignKey' => 'reader_id',
                    'unique' => 'keepExisting',
                    'conditions' => '',
                    'fields' => '',
                    'order' => '',
                    'limit' => '',
                    'offset' => '',
                    'finderQuery' => '',
                    'deleteQuery' => '',
                    'insertQuery' => '',
                    'with' => 'SimpleComment.SCCommentReader'
                )
            )
        );
        $model->Comment->bindModel($bindModelReaderParams, false);
    }

}

?>