<?php

App::uses('SimpleCommentAppModel', 'SimpleComment.Model');
App::uses('SCTarget', 'SimpleComment/Model/Behavior');

/**
 * Carnet d'adresse
 *
 * SimpleComment Plugin
 * SimpleComment Comment model class
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 *
 * @package             SimpleComment
 * @subpackage          SimpleComment.Model
 *
 * @property Owner $Owner
 * @property Target $Target
 * @property Reader $Reader
 */
class SCComment extends SimpleCommentAppModel {

    /**
     * Display field
     *
     * @var string
     */
    public $displayField = 'slug';

    /**
     *
     * @var type
     */
    public $recursive = -1;

    /**
     *
     * @var type
     */
    public $useTable = "comments";

    /**
     * Validation rules
     *
     * @var array
     */
    public $validate = array(
        'owner_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'target_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
    );

    /**
     *
     * @param type $options
     * @return type
     */
    public function beforeSave($options = array()) {
        $result = parent::beforeSave($options);

        if (!empty($this->data[$this->alias]['content'])) {
            if (empty($this->data[$this->alias]['slug'])) {
                $this->data[$this->alias]['slug'] = Inflector::slug(substr($this->data[$this->alias]['content'], 0, 255));
            }
        }
        return $result;
    }

}
