<?php
/**
 *
 * Addressbooks/get_addressbooks.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
//Debugger::log($addressbooks);
if (!empty($addressbooks)) {
	$options = array(
		'nodes' => array(
			array(
				'model' => 'Addressbook',
				'field' => 'name',
				'actions' => array(
					"view" => array(
						"ico" => '/img/view.png',
						"url" => '/contacts/get_contacts',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/addressbooks/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/addressbooks/delete',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					)
				)
			)
		)
		,
		'listId' => 'browserAddressbook',
		'listClass' => 'filetree addressbooks'
	);
	echo $this->Liste->jqueryListView($addressbooks, $options);
} else {
	echo __d('addressbook', 'addressbooks.void');
}
?>

<script type="text/javascript">
	$("#browserAddressbook").treeview({ collapsed: true });

	$('.treeviewBttn img').each(function(){
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){
			$('#browserAddressbook .folder').removeClass('ui-state-focus');
			parentSpan.parent().addClass('ui-state-focus');

			if ($(this).hasClass('editBttn')){
				gui.formMessage({
					url: href,
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#liste .content'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function(){
							var form = $('#AddressbookEditForm');
							if(form.valid()){
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data){
									getJsonResponse(data);
									loadAddressbooks();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog('close');
						}
					}
				}, function(){
					loadAddressbooks();
				});
			}

			if ($(this).hasClass('viewBttn')){
				gui.request({
					url: href,
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}

			if ($(this).hasClass('deleteBttn')){
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function(){
							$(this).dialog("close");
							gui.request({
								url: href,
								loader: true,
								loaderMessage: gui.loaderMessage
							},function(data){
								getJsonResponse(data);
								loadAddressbooks();
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog("close");
						}
					}
				});
			}
		});
		parentLink.remove();
	});

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	})
</script>