<?php
/**
 *
 * Addressbooks/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/addressbook/index'), null, array('inline' => false)); ?>

<script type="text/javascript">
	function loadAddressbooks() {
		$('#infos .content').empty();
		$('#liste table tr').removeClass('ui-state-focus');
		gui.disablebutton({
			element: $('#infos .controls'),
			button: "<?php echo __d('default', 'Button.submit'); ?>"
		});
		gui.disablebutton({
			element: $('#infos .controls'),
			button: "<?php echo __d('default', 'Button.cancel'); ?>"
		});
		gui.request({
			url: "/Addressbooks/get_addressbooks",
			updateElement: $('#liste .content'),
			loader: true,
			loaderMessage: gui.loaderMessage
		});
	}

	function loadContacts(id) {
		gui.request({
			url: "<?php echo Configure::read('BaseUrl') . "/contacts/get_contacts"; ?>/" + id,
			updateElement: $('#infos .content'),
			loader: true,
			loaderMessage: gui.loaderMessage
		});
	}

	function addressbookSubmitAll(submits, index) {
		if (submits[index] != 'end') {
			gui.request({
				url: submits[index].url,
				data: submits[index].data,
				loaderElement: $('#addressbooks_skel'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				getJsonResponse(data);
				addressbookSubmitAll(submits, index + 1);
			});
		} else {
			loadAddressbooks();
		}
	}
</script>

<table id="addressbooks_skel">
	<tr>
		<td id="liste">
			<div class="title">
				<?php echo __d('addressbook', 'Addressbooks.liste'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
		<td id="infos">
			<div class="title">
				<?php echo __d('addressbook', 'Addressbooks.infos'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#liste .controls')
	});

	gui.addbutton({
		element: $('#liste .controls'),
		button: {
			content: "<?php echo __d('addressbook', 'Addressbook.add'); ?>",
			action: function() {
				gui.formMessage({
					url: "<?php echo Configure::read('BaseUrl') . '/addressbooks/add' ?>",
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#addressbooks_skel'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#AddressbookAddForm');
							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
									loadAddressbooks();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				}, function() {
					loadAddressbooks();
				});
			}
		}
	});

	gui.buttonbox({
		element: $('#infos .controls')
	});

	gui.addbutton({
		element: $('#infos .controls'),
		button: {
			content: "<?php echo __d('addressbook', 'Contact.add'); ?>",
			action: function() {

				gui.formMessage({
					url: "/contacts/add",
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#addressbooks_skel'),
					width: 600,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#ContactAddForm');

							if ($('#ContactCitoyen0').attr('checked') == 'checked') {
								$('#ContactName').val($('#ContactNom').val());
							}

							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
									loadAddressbooks();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				}, function() {
					loadAddressbooks();
				});
			}
		}
	});


	gui.addbutton({
		element: $('#infos .controls'),
		button: {
			content: "<?php echo __d('contact', 'Contact.import'); ?>",
			action: function() {
				gui.formMessage({
					url: "/contacts/import",
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#addressbooks_skel'),
					width: 600,
					buttons: {
						"<?php echo __d('contact', 'Contact.import'); ?>": function() {
							$('#ImportImportForm').submit();
							$(this).dialog('close');
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				}, function() {
					loadAddressbooks();
				});
			}
		}
	});


	loadAddressbooks();
</script>
