<?php
/**
 *
 * Collectivites/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->script('compteurs.js');
echo $this->Html->css(array('zones/collectivite/edit'), null, array('inline' => false));
?>


<div id="tabs">
	<ul>
		<li><a href="#tabs-1">Pré-requis</a></li>
		<li><a href="#tabs-2">Informations générales</a></li>
		<li><a href="#tabs-3">Administrateur</a></li>
		<li><a href="#tabs-4">Configuration</a></li>
		<li><a href="#tabs-6">Logo</a></li>
	</ul>

	<?php echo $this->Form->create('Collectivite', array('url' => array('controller' => 'collectivites', 'action' => 'add'))); ?>

	<div id="tabs-1">
		<?php
// 		$divContent = '<br />Avant de créer une collectivité, vous devez effectuer les opérations suivantes : ';
// 		$divContent .= $this->Html->tag('h4', '1. Création de la base de données', array('class' => 'ui-widget ui-widget-content ui-corner-all ui-state-focus', 'style' => 'padding: 3px;'));
// 		$divContent .= '<div class="input checkbox"><label for="createdb">Op&eacute;ration effectu&eacute;e</label><input type="checkbox" name="createdb" id="createdb" /></div>';
//    $divContent .= $this->Form->input('createdb', array('type' => 'checkbox', 'label' => 'Opération effectuée'));

// 		$br = $this->Html->tag('br');
// 		$pContent = 'Exemple de création de base de données PostgresSQL:';
// 		$pContent .= $this->Html->tag('div', 'postgres=# create database nom_de_ma_base owner mon_utilisateur;', array('class' => 'code'));
// 		$divContent .= $this->Html->tag('p', $pContent);
		
		$divContent = '<br />Avant de créer une collectivité, vous devez effectuer l\'opération suivante : ';
		$divContent .= $this->Html->tag('h4', '1. Paramétrage de la connexion', array('class' => 'ui-widget ui-widget-content ui-corner-all ui-state-focus', 'style' => 'padding: 3px;'));
		$divContent .= '<div class="input checkbox"><label for="paramconn">Op&eacute;ration effectu&eacute;e</label><input type="checkbox" name="paramconn" id="paramconn" /></div>';
//    $divContent .= $this->Form->input('paramconn', array('type' => 'checkbox', 'label' => 'Opération effectuée'));
		$br = $this->Html->tag('br');
		$pContent = 'Editer le fichier \'APP/Config/database.php\' et ajouter les informations suivantes après celles déjà définies et avant la dernière accoclade " } ":';
		$preContent = "
    &nbsp;public \$nom_de_la_connexion = array(<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'datasource' => 'Database/Postgres',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'persistent' => false,<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'host' => 'adresse_du_serveur_de_base_de_données',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'login' => 'identifiant_base_de_données',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'password' => 'mot_de_passe_base_de_données',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'database' => 'nom_de_la_base_de_données',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'prefix' => '',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'port' => 'port_du_serveur_de_base_de_données',<br />
    &nbsp;&nbsp;&nbsp;&nbsp;'encoding' => 'utf8'<br />
    );<br />
    ";
		$pContent .= $this->Html->tag('div', 'Attention : le nom des tables est prédéfini, l\'attribut \'prefix\' doit rester vide !', array('class' => array('ui-state-highlight'), 'style' => array('text-align: center;font-weight: bold;')));
		$pContent .= $this->Html->tag('div', $preContent, array('class' => 'code'));
		$divContent .= $this->Html->tag('p', $pContent);

		echo $this->Html->tag('div', $divContent, array('class' => 'ui-widget-content ui-corner-all', 'style' => 'padding-left: 5px; padding-right: 5px;'));
		?>
	</div>



	<div id="tabs-2">
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Informations'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.name', array('label' => __d('collectivite', 'Collectivite.name')));
			echo $this->Form->input('Collectivite.siren', array('label' => __d('collectivite', 'Collectivite.siren')));
			echo $this->Form->input('Collectivite.codeinsee', array('label' => __d('collectivite', 'Collectivite.codeinsee'), 'maxLength' => 5));
			?>
		</fieldset>
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Coordonnées'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.adresse', array('label' => __d('collectivite', 'Collectivite.adresse')));
			echo $this->Form->input('Collectivite.complementadresse', array('label' => __d('collectivite', 'Collectivite.complementadresse')));
			echo $this->Form->input('Collectivite.codepostal', array('label' => __d('collectivite', 'Collectivite.codepostal')));
			echo $this->Form->input('Collectivite.ville', array('label' => __d('collectivite', 'Collectivite.ville')));
			echo $this->Form->input('Collectivite.telephone', array('label' => __d('collectivite', 'Collectivite.telephone'), 'maxLength' => 10));
			?>
		</fieldset>
	</div>




	<div id="tabs-3">
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'admin.infoperso'); ?></legend>
			<?php
			echo $this->Form->input('User.nom', array('label' => __d('user', 'User.nom')));
			echo $this->Form->input('User.prenom', array('label' => __d('user', 'User.prenom')));
			echo $this->Form->input('User.mail', array('label' => __d('user', 'User.mail')));
			?>
		</fieldset>
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'admin.infocompte'); ?></legend>
			<?php
			echo $this->Form->input('User.username', array('label' => __d('user', 'User.username')));
			echo $this->Form->input('User.password', array('label' => __d('user', 'User.password')));
			?>
		</fieldset>
	</div>



	<div id="tabs-4">
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Collectivite.active_state'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.active', array('label' => __d('collectivite', 'Collectivite.active'), 'default' => true));
			?>
		</fieldset>
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'cakephp.conn'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.conn', array('label' => __d('collectivite', 'Collectivite.conn'), 'options' => $conns, 'empty' => true));
			echo $this->Form->input('Collectivite.login_suffix', array('label' => __d('collectivite', 'Collectivite.login_suffix')));
			?>
		</fieldset>
		<br />
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.use'); ?></legend>
			<div>
				<?php
				echo $this->Form->input('Collectivite.ldap_active', array('label' => __d('collectivite', 'Collectivite.ldap_active')));
				?>
			</div>
		</fieldset>
		<br />
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.server'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.ldap_use_ad', array('label' => __d('collectivite', 'Collectivite.ldap_use_ad'), 'class' => 'ldapparam'));
			echo $this->Form->input('Collectivite.ldap_host', array('label' => __d('collectivite', 'Collectivite.ldap_host'), 'value' => 'localhost', 'class' => 'ldapparam'));
			echo $this->Form->input('Collectivite.ldap_port', array('label' => __d('collectivite', 'Collectivite.ldap_port'), 'value' => 389, 'class' => 'ldapparam'));
			?>
		</fieldset>
		<br />
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.params'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.ldap_uniqueid', array('label' => __d('collectivite', 'Collectivite.ldap_uniqueid'), 'value' => 'UID', 'class' => 'ldapparam'));
			echo $this->Form->input('Collectivite.ldap_base_dn', array('label' => __d('collectivite', 'Collectivite.ldap_base_dn'), 'class' => 'ldapparam'));
			echo $this->Form->input('Collectivite.ldap_account_suffix', array('label' => __d('collectivite', 'Collectivite.ldap_account_suffix'), 'class' => 'ldapparam'));
			echo $this->Form->input('Collectivite.ldap_dn', array('label' => __d('collectivite', 'Collectivite.ldap_dn'), 'class' => 'ldapparam', 'value' => 'dn'));
			?>
		</fieldset>



		<br />
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.use'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.scan_active', array('label' => __d('collectivite', 'Collectivite.scan_active')));
			$scanRemote = Configure::read('scan.remote');
			$optionsScanUse = array('local' => __d('collectivite', 'scan.local'));
			if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
				$optionsScanUse['remote'] = __d('collectivite', 'scan.remote');
			}
			if (Configure::read('scan.imap')) {
				$optionsScanUse['imap'] = __d('collectivite', 'scan.imap');
			}
			echo $this->Form->input('Collectivite.scan_access_type', array('label' => __d('collectivite', 'Collectivite.scan_access_type'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsScanUse));

			echo $this->Form->input('Collectivite.scan_purge_delay', array('label' => __d('collectivite', 'Collectivite.scan_purge_delay'), 'class' => 'scanparam'));
			?>



		</fieldset>
		<br />
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.local'); ?></legend>
			<?php
			echo $this->Form->input('Collectivite.scan_local_path', array('label' => __d('collectivite', 'Collectivite.scan_local_path'), 'class' => 'scanparam'));
			?>
		</fieldset>


		<?php
		if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
			?>
			<br />
			<fieldset class="ui-widget-content ui-corner-all">
				<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.remote'); ?></legend>
				<?php
				$optionsScanRemote = array();
				if (Configure::read('scan.remote.ftp')) {
					$optionsScanRemote['ftp'] = __d('collectivite', 'scan.remote.ftp');
				}
				if (Configure::read('scan.remote.ssh')) {
					$optionsScanRemote['ssh'] = __d('collectivite', 'scan.remote.ssh');
				}
				if (Configure::read('scan.remote.smb')) {
					$optionsScanRemote['smb'] = __d('collectivite', 'scan.remote.smb');
				}

				echo $this->Form->input('Collectivite.scan_remote_type', array('label' => __d('collectivite', 'Collectivite.scan_remote_type'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsScanRemote));
				echo $this->Form->input('Collectivite.scan_remote_url', array('label' => __d('collectivite', 'Collectivite.scan_remote_url'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_remote_port', array('label' => __d('collectivite', 'Collectivite.scan_remote_port'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_remote_user', array('label' => __d('collectivite', 'Collectivite.scan_remote_user'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_remote_pass', array('label' => __d('collectivite', 'Collectivite.scan_remote_pass'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_remote_path', array('label' => __d('collectivite', 'Collectivite.scan_remote_path'), 'class' => 'scanparam'));
				?>
			</fieldset>
		<?php } ?>

		<?php if (Configure::read('scan.imap')) { ?>
			<br />
			<fieldset class="ui-widget-content ui-corner-all">
				<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.imap'); ?></legend>
				<?php
				echo $this->Form->input('Collectivite.scan_imap_url', array('label' => __d('collectivite', 'Collectivite.scan_imap_url'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_imap_port', array('label' => __d('collectivite', 'Collectivite.scan_imap_port'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_imap_user', array('label' => __d('collectivite', 'Collectivite.scan_imap_user'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_imap_pass', array('label' => __d('collectivite', 'Collectivite.scan_imap_pass'), 'class' => 'scanparam'));
				echo $this->Form->input('Collectivite.scan_imap_path', array('label' => __d('collectivite', 'Collectivite.scan_imap_path'), 'class' => 'scanparam'));
				$optionsImapEncryption = array(
					'none' => __d('collectivite', 'scan_imap_encryption.none'),
					'ssl' => __d('collectivite', 'scan_imap_encryption.ssl'),
					'tls' => __d('collectivite', 'scan_imap_encryption.tls')
				);
				echo $this->Form->input('Collectivite.scan_imap_encryption', array('label' => __d('collectivite', 'Collectivite.scan_imap_encryption'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsImapEncryption));
				$optionsImapLoginEncryption = array(
					'plain' => __d('collectivite', 'scan_imap_login_encryption.plain')
				);
				echo $this->Form->input('Collectivite.scan_imap_login_encryption', array('label' => __d('collectivite', 'Collectivite.scan_imap_login_encryption'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsImapLoginEncryption));
				?>
			</fieldset>
		<?php } ?>

	</div>



	<?php echo $this->Form->end(); ?>

	<div id="tabs-6">
		<fieldset class="ui-widget-content ui-corner-all">
			<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Logo'); ?></legend>
			<br />Vous devez créer la collectivité avant de pouvoir y associer un logo.<br /><br />
		</fieldset>
	</div>

</div>


<script type="text/javascript">
	$(document).ready(function() {

		gui.tabs({
			element: $("#tabs")
		});

		$("#CollectiviteAddForm").validate({
			rules: {
// 				"createdb": "required",
				"paramconn": "required",
				"data[Collectivite][conn]": "required",
				"data[Collectivite][login_suffix]": "required",
				"data[Collectivite][name]": "required",
				"data[Collectivite][adresse]": "required",
				"data[Collectivite][codepostal]": {
					"required": true,
					"number": true,
					"minlength": "5",
					"maxlength": "5"
				},
				"data[Collectivite][ville]": "required",
				"data[Collectivite][codeinsee]": {
					"required": true,
					"minlength": "5",
					"maxlength": "5"
				},
				"data[Collectivite][siren]": {
					"required": true,
					"number": true,
					"minlength": "9",
					"maxlength": "9"
				},
				"data[Collectivite][telephone]": {
					"required": true,
					"number": true,
					"minlength": "10",
					"maxlength": "10"
				},
				"data[User][username]": "required",
				"data[User][nom]": "required",
				"data[User][prenom]": "required",
				"data[User][mail]": {
					"required": true,
					"email": true
				},
				"data[User][password]": "required"
			}
		});

		function showHideLdapSettings() {
			if ($('#CollectiviteLdapActive').attr('checked') == 'checked') {
				$('.ldapparam').removeAttr('disabled');
			} else {
				$('.ldapparam').attr('disabled', 'disabled');
			}
		}
		showHideLdapSettings();

		$('#CollectiviteLdapActive').change(function() {
			showHideLdapSettings();
		});



		function showHideScanSettings() {
			if ($('#CollectiviteScanActive').attr('checked') == 'checked') {
				$('.scanparam').removeAttr('disabled');
			} else {
				$('.scanparam').attr('disabled', 'disabled');
			}
		}
		showHideScanSettings();

		$('#CollectiviteScanActive').change(function() {
			showHideScanSettings();
		});

		$('#CollectiviteName').blur(function() {
			gui.request({
				url: "/collectivites/ajaxformvalid/name",
				data: $(this).parents('form').serialize()
			}, function(data) {
				processJsonFormCheck(data);
			})
		});


		gui.enablebutton({
			element: $('#infos .controls'),
			button: '<?php echo __d('default', 'Button.submit'); ?>'
		});
		gui.enablebutton({
			element: $('#infos .controls'),
			button: '<?php echo __d('default', 'Button.cancel'); ?>'
		});


		$('#paramconn').change(function() {
			gui.request({
				url: "/collectivites/getConnList"
			}, function(data) {
				var json = jQuery.parseJSON(data);
				$('#CollectiviteConn').empty();
				$('#CollectiviteConn').append('<option value=""></option>');
				for (i in json) {
					$('#CollectiviteConn').append('<option value="' + i + '">' + json[i] + '</option>');
				}

			});
		});


	});
</script>
