<?php
/**
 *
 * Collectivites/admin.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->script('compteurs.js');
echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/administration/admin'), null, array('inline' => false));
echo $this->Html->css(array('zones/collectivite/edit'), null, array('inline' => false));
?>

<script type="text/javascript">

	function adminSubmitAll(submits, index) {
		if (submits[index] != 'end') {
			gui.request({
				url: submits[index].url,
				data: submits[index].data,
				loaderElement: $('#admin_skel'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				adminSubmitAll(submits, index + 1);
				getJsonResponse(data);
			});
		}
	}

	function getLogo(first) {
		var loaderElement = null;
		var loaderMessage = null;

		if (!first) {
			loaderElement = $("#logo").parent().parent();
			loaderMessage = gui.loaderMessage;
		}

		gui.request({
			url: '/collectivites/getLogo/' + <?php echo $this->request->data['Collectivite']['id']; ?>,
			noErrorMsg: true,
			loaderElement: loaderElement,
			loaderMessage: loaderMessage
		}, function(data) {
			$("#logo").empty();
			$("#logo").append(data);
		});
        
	}

</script>

<table id="admin_skel">
	<tr>
		<td id="infos">
			<div class="content">
				<div id="tabs">
					<ul>
						<li><a href="#tabs-2">Informations générales</a></li>
						<li><a href="#tabs-4">Configuration</a></li>
						<li><a href="#tabs-5">Compteurs</a></li>
						<li><a href="#tabs-6">Logo</a></li>
					</ul>

					<?php echo $this->Form->create('Collectivite', array('url' => array('controller' => 'collectivites', 'action' => 'admin'))); ?>

					<div id="tabs-2">
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Informations'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.id');
							echo $this->Form->input('Collectivite.name', array('label' => __d('collectivite', 'Collectivite.name')));
							echo $this->Form->input('Collectivite.siren', array('label' => __d('collectivite', 'Collectivite.siren')));
							echo $this->Form->input('Collectivite.codeinsee', array('label' => __d('collectivite', 'Collectivite.codeinsee'), 'maxLength' => 5));
							?>
						</fieldset>
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Coordonnées'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.adresse', array('label' => __d('collectivite', 'Collectivite.adresse')));
							echo $this->Form->input('Collectivite.complementadresse', array('label' => __d('collectivite', 'Collectivite.complementadresse')));
							echo $this->Form->input('Collectivite.codepostal', array('label' => __d('collectivite', 'Collectivite.codepostal')));
							echo $this->Form->input('Collectivite.ville', array('label' => __d('collectivite', 'Collectivite.ville')));
							echo $this->Form->input('Collectivite.telephone', array('label' => __d('collectivite', 'Collectivite.telephone'), 'maxLength' => 10));
							?>
						</fieldset>
					</div>

					<div id="tabs-4">
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Collectivite.active_state'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.active', array('label' => __d('collectivite', 'Collectivite.active')));
							?>
						</fieldset>
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'cakephp.conn'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.conn', array('label' => __d('collectivite', 'Collectivite.conn'), 'disabled' => true));
							echo $this->Form->input('Collectivite.login_suffix', array('label' => __d('collectivite', 'Collectivite.login_suffix')));
							?>
						</fieldset>
						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.use'); ?></legend>
							<div>
								<?php
								echo $this->Form->input('Collectivite.ldap_active', array('label' => __d('collectivite', 'Collectivite.ldap_active')));
								?>
							</div>
						</fieldset>
						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.server'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.ldap_use_ad', array('label' => __d('collectivite', 'Collectivite.ldap_use_ad'), 'class' => 'ldapparam'));
							echo $this->Form->input('Collectivite.ldap_host', array('label' => __d('collectivite', 'Collectivite.ldap_host'), 'class' => 'ldapparam'));
							echo $this->Form->input('Collectivite.ldap_port', array('label' => __d('collectivite', 'Collectivite.ldap_port'), 'class' => 'ldapparam'));
							?>
						</fieldset>
						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'ldap.params'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.ldap_uniqueid', array('label' => __d('collectivite', 'Collectivite.ldap_uniqueid'), 'class' => 'ldapparam'));
							echo $this->Form->input('Collectivite.ldap_base_dn', array('label' => __d('collectivite', 'Collectivite.ldap_base_dn'), 'class' => 'ldapparam'));
							echo $this->Form->input('Collectivite.ldap_account_suffix', array('label' => __d('collectivite', 'Collectivite.ldap_account_suffix'), 'class' => 'ldapparam'));
							echo $this->Form->input('Collectivite.ldap_dn', array('label' => __d('collectivite', 'Collectivite.ldap_dn'), 'class' => 'ldapparam'));
							?>
						</fieldset>



						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.use'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.scan_active', array('label' => __d('collectivite', 'Collectivite.scan_active')));

							$optionsScanUse = array('local' => __d('collectivite', 'scan.local'));
							if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
								$optionsScanUse['remote'] = __d('collectivite', 'scan.remote');
							}
							if (Configure::read('scan.imap')) {
								$optionsScanUse['imap'] = __d('collectivite', 'scan.imap');
							}
							echo $this->Form->input('Collectivite.scan_access_type', array('label' => __d('collectivite', 'Collectivite.scan_access_type'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsScanUse));
							$optionsScanDesktopId = array(
								'Initiateurs' => $scanDestInitRoles,
								'Aiguilleurs' => $scanDestDispRoles
							);
							echo $this->Form->input('Collectivite.scan_desktop_id', array('label' => __d('collectivite', 'Collectivite.scan_desktop_id'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsScanDesktopId));
							echo $this->Form->input('Collectivite.scan_purge_delay', array('label' => __d('collectivite', 'Collectivite.scan_purge_delay'), 'class' => 'scanparam'));
							?>



						</fieldset>
						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.local'); ?></legend>
							<?php
							echo $this->Form->input('Collectivite.scan_local_path', array('label' => __d('collectivite', 'Collectivite.scan_local_path'), 'class' => 'scanparam'));
							?>
						</fieldset>


						<?php
						if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
							?>
							<br />
							<fieldset class="ui-widget-content ui-corner-all">
								<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.remote'); ?></legend>
								<?php
								$optionsScanRemote = array();
								if (Configure::read('scan.remote.ftp')) {
									$optionsScanRemote['ftp'] = __d('collectivite', 'scan.remote.ftp');
								}
								if (Configure::read('scan.remote.ssh')) {
									$optionsScanRemote['ssh'] = __d('collectivite', 'scan.remote.ssh');
								}
								if (Configure::read('scan.remote.smb')) {
									$optionsScanRemote['smb'] = __d('collectivite', 'scan.remote.smb');
								}

								echo $this->Form->input('Collectivite.scan_remote_type', array('label' => __d('collectivite', 'Collectivite.scan_remote_type'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsScanRemote));
								echo $this->Form->input('Collectivite.scan_remote_url', array('label' => __d('collectivite', 'Collectivite.scan_remote_url'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_remote_port', array('label' => __d('collectivite', 'Collectivite.scan_remote_port'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_remote_user', array('label' => __d('collectivite', 'Collectivite.scan_remote_user'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_remote_pass', array('label' => __d('collectivite', 'Collectivite.scan_remote_pass'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_remote_path', array('label' => __d('collectivite', 'Collectivite.scan_remote_path'), 'class' => 'scanparam'));
								?>
							</fieldset>
						<?php } ?>

						<?php if (Configure::read('scan.imap')) { ?>
							<br />
							<fieldset class="ui-widget-content ui-corner-all">
								<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'scan.imap'); ?></legend>
								<?php
								echo $this->Form->input('Collectivite.scan_imap_url', array('label' => __d('collectivite', 'Collectivite.scan_imap_url'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_imap_port', array('label' => __d('collectivite', 'Collectivite.scan_imap_port'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_imap_user', array('label' => __d('collectivite', 'Collectivite.scan_imap_user'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_imap_pass', array('label' => __d('collectivite', 'Collectivite.scan_imap_pass'), 'class' => 'scanparam'));
								echo $this->Form->input('Collectivite.scan_imap_path', array('label' => __d('collectivite', 'Collectivite.scan_imap_path'), 'class' => 'scanparam'));
								$optionsImapEncryption = array(
									'none' => __d('collectivite', 'scan_imap_encryption.none'),
									'ssl' => __d('collectivite', 'scan_imap_encryption.ssl'),
									'tls' => __d('collectivite', 'scan_imap_encryption.tls')
								);
								echo $this->Form->input('Collectivite.scan_imap_encryption', array('label' => __d('collectivite', 'Collectivite.scan_imap_encryption'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsImapEncryption));
								$optionsImapLoginEncryption = array(
									'plain' => __d('collectivite', 'scan_imap_login_encryption.plain')
								);
								echo $this->Form->input('Collectivite.scan_imap_login_encryption', array('label' => __d('collectivite', 'Collectivite.scan_imap_login_encryption'), 'class' => 'scanparam', 'type' => 'select', 'options' => $optionsImapLoginEncryption));
								?>
							</fieldset>
						<?php } ?>


					</div>

					<div id="tabs-5">
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Compteur affaire'); ?></legend>
							<div>
								<select onchange="InsertSelectedValueIntoInput(this);" class="cptSelect">
									<option value="AIDEFORMAT">sélectionner les formats dans la liste</option>
									<option value="#s#">num&eacute;ro de la s&eacute;quence</option>
									<option value="#S#">num&eacute;ro de la s&eacute;quence sur 1 chiffre</option>
									<option value="#SS#">num&eacute;ro de la s&eacute;quence sur 2 chiffres (compl&eacute;t&eacute; par un soulign&eacute;)</option>
									<option value="#SSS#">num&eacute;ro de la s&eacute;quence sur 3 chiffres (compl&eacute;t&eacute; par des soulign&eacute;s)</option>
									<option value="#SSSS#">num&eacute;ro de la s&eacute;quence sur 4 chiffres (compl&eacute;t&eacute; par des soulign&eacute;s)</option>
									<option value="#00#">num&eacute;ro de la s&eacute;quence sur 2 chiffres (compl&eacute;t&eacute; par un z&eacute;ro)</option>
									<option value="#000#">num&eacute;ro de la s&eacute;quence sur 3 chiffres (compl&eacute;t&eacute; par des z&eacute;ros)</option>
									<option value="#0000#">num&eacute;ro de la s&eacute;quence sur 4 chiffres (compl&eacute;t&eacute; par des z&eacute;ros)</option>
									<option value="#AAAA#">ann&eacute;e sur 4 chiffres</option>
									<option value="#AA#">ann&eacute;e sur 2 chiffres</option>
									<option value="#M#">num&eacute;ro du mois sans z&eacute;ro significatif</option>
									<option value="#MM#">num&eacute;ro du mois avec z&eacute;ro significatif</option>
									<option value="#J#">num&eacute;ro du jour sans z&eacute;ro significatif</option>
									<option value="#JJ#">num&eacute;ro du jour avec z&eacute;ro significatif</option>
								</select>
								<?php
								echo $this->Form->input('Caffaire.def_compteur', array('label' => __d('collectivite', 'Caffaire.def_compteur')));
								?>
							</div>
							<br />
							<br />
							<div>
								<select onchange="InsertSelectedValueIntoInput(this);" class="cptSelect">
									<option value="AIDEFORMAT">sélectionner les formats dans la liste</option>
									<option value="#AAAA#">Ann&eacute;e</option>
									<option value="#MM#">Mois</option>
									<option value="#JJ#">Jour</option>
								</select>
								<?php echo $this->Form->input('Caffaire.def_reinit', array('label' => __d('collectivite', 'Caffaire.def_reinit'))); ?>
							</div>
						</fieldset>
						<br />
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Compteur dossier'); ?></legend>
							<div>
								<select onchange="InsertSelectedValueIntoInput(this);" class="cptSelect">
									<option value="AIDEFORMAT">sélectionner les formats dans la liste</option>
									<option value="#s#">num&eacute;ro de la s&eacute;quence</option>
									<option value="#S#">num&eacute;ro de la s&eacute;quence sur 1 chiffre</option>
									<option value="#SS#">num&eacute;ro de la s&eacute;quence sur 2 chiffres (compl&eacute;t&eacute; par un soulign&eacute;)</option>
									<option value="#SSS#">num&eacute;ro de la s&eacute;quence sur 3 chiffres (compl&eacute;t&eacute; par des soulign&eacute;s)</option>
									<option value="#SSSS#">num&eacute;ro de la s&eacute;quence sur 4 chiffres (compl&eacute;t&eacute; par des soulign&eacute;s)</option>
									<option value="#00#">num&eacute;ro de la s&eacute;quence sur 2 chiffres (compl&eacute;t&eacute; par un z&eacute;ro)</option>
									<option value="#000#">num&eacute;ro de la s&eacute;quence sur 3 chiffres (compl&eacute;t&eacute; par des z&eacute;ros)</option>
									<option value="#0000#">num&eacute;ro de la s&eacute;quence sur 4 chiffres (compl&eacute;t&eacute; par des z&eacute;ros)</option>
									<option value="#AAAA#">ann&eacute;e sur 4 chiffres</option>
									<option value="#AA#">ann&eacute;e sur 2 chiffres</option>
									<option value="#M#">num&eacute;ro du mois sans z&eacute;ro significatif</option>
									<option value="#MM#">num&eacute;ro du mois avec z&eacute;ro significatif</option>
									<option value="#J#">num&eacute;ro du jour sans z&eacute;ro significatif</option>
									<option value="#JJ#">num&eacute;ro du jour avec z&eacute;ro significatif</option>
								</select>
								<?php
								echo $this->Form->input('Cdossier.def_compteur', array('label' => __d('collectivite', 'Cdossier.def_compteur')));
								?>
							</div>
							<br />
							<br />
							<div>
								<select onchange="InsertSelectedValueIntoInput(this);" class="cptSelect">
									<option value="AIDEFORMAT">sélectionner les formats dans la liste</option>
									<option value="#AAAA#">Ann&eacute;e</option>
									<option value="#MM#">Mois</option>
									<option value="#JJ#">Jour</option>
								</select>
								<?php echo $this->Form->input('Cdossier.def_reinit', array('label' => __d('collectivite', 'Cdossier.def_reinit'))); ?>
							</div>
						</fieldset>
					</div>

					<?php echo $this->Form->end(); ?>

					<div id="tabs-6">
						<fieldset class="ui-widget-content ui-corner-all">
							<legend class="ui-widget ui-widget-content ui-corner-all ui-state-focus"><?php echo __d('collectivite', 'Logo'); ?></legend>
							<div id="logo"></div>
							<div id="logoUpload"></div>
						</fieldset>
					</div>
				</div>
			</div>
			<div class="controls"></div>
		</td>
	</tr>
</table>

<script type="text/javascript">

	$(document).ready(function() {

		$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

		gui.tabs({
			element: $("#tabs")
		});

		$("#CollectiviteAdminForm").validate({
			rules: {
				"createdb": "required",
				"paramconn": "required",
				"data[Collectivite][conn]": "required",
				"data[Collectivite][login_suffix]": "required",
				"data[Collectivite][name]": "required",
				"data[Collectivite][adresse]": "required",
				"data[Collectivite][codepostal]": {
					"required": true,
					"number": true,
					"minlength": "5",
					"maxlength": "5"
				},
				"data[Collectivite][ville]": "required",
				"data[Collectivite][codeinsee]": {
					"required": true,
					"minlength": "5",
					"maxlength": "5"
				},
				"data[Collectivite][siren]": {
					"required": true,
					"number": true,
					"minlength": "9",
					"maxlength": "9"
				},
				"data[Collectivite][telephone]": {
					"required": true,
					"number": true,
					"minlength": "10",
					"maxlength": "10"
				},
				"data[Collectivite][ldap_port]": {
					"required": true,
					"number": true
				},
				"data[Caffaire][def_compteur]": "required",
				"data[Caffaire][def_reinit]": "required",
				"data[Cdossier][def_compteur]": "required",
				"data[Cdossier][def_reinit]": "required"
			}
		});


		$('#UserUsername').blur(function() {
			gui.request({
				url: "/users/ajaxformvalid/username",
				data: $(this).parents('form').serialize()
			}, function(data) {
				processJsonFormCheck(data);
			})
		});
		$('#UserMail').blur(function() {
			gui.request({
				url: "/users/ajaxformvalid/mail",
				data: $(this).parents('form').serialize()
			}, function(data) {
				processJsonFormCheck(data);
			})
		});

		$('#CollectiviteName').blur(function() {
			gui.request({
				url: "/collectivites/ajaxformvalid/name",
				data: $(this).parents('form').serialize()
			}, function(data) {
				processJsonFormCheck(data);
			})
		});

		function showHideLdapSettings() {
			if ($('#CollectiviteLdapActive').attr('checked') == 'checked') {
				$('.ldapparam').removeAttr('disabled');
			} else {
				$('.ldapparam').attr('disabled', 'disabled');
			}
		}
		showHideLdapSettings();

		$('#CollectiviteLdapActive').change(function() {
			showHideLdapSettings();
		});



		function showHideScanSettings() {
			if ($('#CollectiviteScanActive').attr('checked') == 'checked') {
				$('.scanparam').removeAttr('disabled');
			} else {
				$('.scanparam').attr('disabled', 'disabled');
			}
		}
		showHideScanSettings();

		$('#CollectiviteScanActive').change(function() {
			showHideScanSettings();
		});


		gui.buttonbox({
			element: $('#infos .controls'),
			align: "center"
		});

		gui.addbuttons({
			element: $('#infos .controls'),
			buttons: [
				{
					content: "<?php echo __d('default', 'Button.submit'); ?>",
					action: function() {

						if (!$(this).hasClass('ui-state-disabled')) {
							var errorFormTabs = [];
							var areValid = true;

							$('#infos .content form').each(function() {
								if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data") {

									var visibleLabelError = [];
									$("label.ui-state-error", this).each(function() {
										if ($(this).css('display') == 'block') {
											visibleLabelError.push($(this));
										}
									});


									if (!$(this).valid() || visibleLabelError.length > 0) {
										areValid = false;
										var panelId;
										var first = true;
										$("label.ui-state-error", this).each(function() {
											if ($(this).css('display') == 'block' && first) {
												panelId = $(this).parents(".ui-tabs-panel").attr('id');
												first = false;
											}
										});
										errorFormTabs.push(panelId.substring(panelId.lastIndexOf("-")));
									}
								}
							});

							if (areValid) {
								var submits = {};
								var index = 0;
								$('#infos .content form').each(function() {
									if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data") {
										submits[index] = {'url': $(this).attr('action'), 'data': $(this).serialize()};
										index++;
									}
								});
								submits[index] = 'end';
								adminSubmitAll(submits, 0);
							} else {
								$('#infos #tabs').tabs('select', errorFormTabs[0]);
							}
						}
					}
				},
				{
					content: "<?php echo __d('default', 'Button.cancel'); ?>",
					action: function() {
						window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
					}
				}
			]
		});

		var ulfile = gui.createupload({
			button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
			label: "Associer un logo",
			url: "/collectivites/upload",
			fileInputName: "myfile",
			hiddenItem: {
				name: "collectiviteId",
				value: <?php echo $this->request->data['Collectivite']['id']; ?>
			}
		});
		$('#logoUpload').append(ulfile);
        

		getLogo(true);

	});
</script>