<?php
/**
 *
 * Collectivites/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/collectivite/add'), null, array('inline' => false));
?>

<script type="text/javascript">

	function loadStructure(){

		$('#infos .content').empty();

		gui.request({
			url: "/collectivites/getCollectivites",
			updateElement: $('#liste .content'),
			loader: true,
			loaderMessage: gui.loaderMessage
		});
	}

	function adminSubmitAll(submits, index){
		if (submits[index] != 'end'){
			gui.request({
				url: submits[index].url,
				data: submits[index].data,
				loaderElement: $('#admin_skel'),
				loaderMessage: gui.loaderMessage
			}, function(data){
				adminSubmitAll(submits, index + 1);
				getJsonResponse(data);
			});
		}
		else{
			$('#infos .content').empty();
			$('#liste table tr').removeClass('ui-state-focus');
			gui.disablebutton({
				element: $('#infos .controls'),
				button: "<?php echo __d('default', 'Button.submit'); ?>"
			});
			gui.disablebutton({
				element: $('#infos .controls'),
				button: "<?php echo __d('default', 'Button.cancel'); ?>"
			});
			gui.request({
				url: "<?php echo Configure::read('BaseUrl') . "/collectivites/getCollectivites"; ?>",
				updateElement: $('#liste .content'),
				loader: true,
				loaderMessage: gui.loaderMessage
			});

		}
	}

	function msgDelete(){
		gui.message({
			'title': 'Attention : à lire après une suppression de collectivité',
			'msg': 'Pensez a supprimer la base de données ainsi que ses paramètres de connexion dans le fichier \'APP/Config/database.php\'.<br /><br />Si vous conservez la base et les paramètres, pensez à supprimer toutes les tables de la base de données.'
		});
	}

</script>

<table id="admin_skel">
	<tr>
		<td id="liste">
			<div class="title">
				<?php echo __d('collectivite', 'Collectivite.liste'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
		<td id="infos">
			<div class="title">
				<?php echo __d('collectivite', 'Collectivite.infos'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#liste .controls')
	});

	gui.addbutton({
		element: $('#liste .controls'),
		button: {
			content: "<?php echo __d('default', 'Button.add'); ?>",
			action: function(){
				gui.request({
					url: "/Collectivites/add",
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}
		}
	});

	gui.buttonbox({
		element: $('#infos .controls'),
		align: "center"
	});

	gui.addbuttons({
		element: $('#infos .controls'),
		buttons: [
			{
				content: "<?php echo __d('default', 'Button.submit'); ?>",
				action: function(){

					if (!$(this).hasClass('ui-state-disabled')){
						//            gui.request({
						//              url: "/collectivites/ajaxformvalid/name",
						//              data: $('#CollectiviteName').parents('form').serialize()
						//            }, function(data){

						var errorFormTabs = [];
						var areValid = true;
						//              var areValid = !isInErrorJsonFormCheck(data);


						$('#infos .content form').each(function(){
							if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data"){


								var visibleLabelError = [];
								$("label.ui-state-error", this).each(function(){
									if ($(this).css('display') == 'block'){
										visibleLabelError.push($(this));
									}
								});


								if (!$(this).valid() || visibleLabelError.length > 0){
									areValid = false;
									var panelId;
									var first = true;
									$("label.ui-state-error", this).each(function(){
										if ($(this).css('display') == 'block' && first) {
											panelId = $(this).parents(".ui-tabs-panel").attr('id');
											first = false;
										}
									});
									errorFormTabs.push(panelId.substring(panelId.lastIndexOf("-")));
								}
							}
						});

						if (areValid){
							var submits = {};
							var index = 0;
							$('#infos .content form').each(function(){
								if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data"){
									submits[index] = {'url': $(this).attr('action'), 'data': $(this).serialize()};
									index++;
								}
							});
							submits[index] = 'end';
							adminSubmitAll(submits, 0);
						} else {
							$('#infos #tabs').tabs('select', errorFormTabs[0]);
						}


						//            });
					}
				}
			},
			{
				content: "<?php echo __d('default', 'Button.cancel'); ?>",
				action: function(){
					if (!$(this).hasClass('ui-state-disabled')){
						$('#infos .content').empty();
						$('#liste table tr').removeClass('ui-state-focus');
						gui.disablebutton({
							element: $('#infos .controls'),
							button: "<?php echo __d('default', 'Button.submit'); ?>"
						});
						gui.disablebutton({
							element: $('#infos .controls'),
							button: "<?php echo __d('default', 'Button.cancel'); ?>"
						});
					}
				}
			}
		]
	});

	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.submit'); ?>"
	});
	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.cancel'); ?>"
	});

	gui.request({
		url: "/collectivites/getCollectivites",
		updateElement: $('#liste .content'),
		loader: true,
		loaderMessage: gui.loaderMessage
	}, function(data){
		$('#liste .content').html(data);
	});

</script>