<?php
/**
 *
 * Contacts/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Contact');
echo $this->Form->input('Contact.addressbook_id', array('label' => __d('addressbook', 'Contact.addressbook'), 'type' => 'select', 'options' => $addressbooks, 'empty' => true));
echo $this->Html->tag('br');
$fieldsetIdentity = $this->Html->tag('legend', __d('addressbook', 'Contact.fieldset.identity'));
$fieldsetIdentity .= $this->Form->input('Contact.citoyen', array(
	'legend' => false,
	'options' => array(
		1 => $this->Html->image('contact_citoyen.png') . ' ' . __d('contact', 'Contact.citoyen.citoyen'),
		0 => $this->Html->image('contact_organisme.png') . ' ' . __d('contact', 'Contact.citoyen.organisme')
	),
	'default' => 1,
	'type' => 'radio'
		));
$fieldsetIdentity .= $this->Form->input('Contact.civilite', array('type' => 'select', 'empty' => true, 'options' => array('Monsieur' => 'Monsieur', 'Madame' => 'Madame', 'Mademoiselle' => 'Mademoiselle'), 'label' => __d('addressbook', 'Contact.civilite')));
$fieldsetIdentity .= $this->Form->input('Contact.nom', array('label' => __d('addressbook', 'Contact.nom')));
$fieldsetIdentity .= $this->Form->input('Contact.prenom', array('label' => __d('addressbook', 'Contact.prenom')));
echo $this->Html->tag('fieldset', $fieldsetIdentity);
echo $this->Html->tag('br');
echo $this->Form->input('Contact.name', array('label' => __d('addressbook', 'Contact.name')));




echo $this->Html->tag('br');
echo $this->Html->tag('hr');
echo $this->Html->tag('h3', 'Fiche-contact principale');

echo $this->Form->input('Contactinfo.name', array('label' => __d('addressbook', 'Contactinfo.name')));
$fieldsetIdentity = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.identity'));
$fieldsetIdentity .= $this->Form->input('Contactinfo.civilite', array('type' => 'hidden', 'empty' => true, 'options' => array('Monsieur' => 'Monsieur', 'Madame' => 'Madame', 'Mademoiselle' => 'Mademoiselle'), 'label' => __d('addressbook', 'Contactinfo.civilite')));
$fieldsetIdentity .= $this->Form->input('Contactinfo.nom', array('type' => 'hidden','label' => __d('addressbook', 'Contactinfo.nom')));
$fieldsetIdentity .= $this->Form->input('Contactinfo.prenom', array('type' => 'hidden','label' => __d('addressbook', 'Contactinfo.prenom')));
$fieldsetIdentity .= $this->Form->input('Contactinfo.contact_id', array('type' => 'hidden'));
echo $this->Html->tag('fieldset', $fieldsetIdentity, array('style' => 'display:none;'));
//echo $this->Html->tag('br');
$fieldsetCom = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.com'));
$fieldsetCom .= $this->Form->input('Contactinfo.email', array('label' => __d('addressbook', 'Contactinfo.email')));
$fieldsetCom .= $this->Form->input('Contactinfo.tel', array('label' => __d('addressbook', 'Contactinfo.tel')));
echo $this->Html->tag('fieldset', $fieldsetCom);
echo $this->Html->tag('br');
$fieldsetLoc = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.loc'));
$fieldsetLoc .= $this->Form->input('Contactinfo.numvoie', array('label' => __d('addressbook', 'Contactinfo.numvoie')));
$fieldsetLoc .= $this->Form->input('Contactinfo.typevoie', array('label' => __d('addressbook', 'Contactinfo.typevoie'), 'type' => 'select', 'empty' => true, 'options' => $options['Addressbook']['typevoie']));
$fieldsetLoc .= $this->Form->input('Contactinfo.nomvoie', array('label' => __d('addressbook', 'Contactinfo.nomvoie')));
$fieldsetLoc .= $this->Form->input('Contactinfo.adresse', array('type' => 'hidden' ));
$fieldsetLoc .= $this->Form->input('Contactinfo.compl', array('label' => __d('addressbook', 'Contactinfo.compl')));
$fieldsetLoc .= $this->Form->input('Contactinfo.cp', array('label' => __d('addressbook', 'Contactinfo.cp')));
$fieldsetLoc .= $this->Form->input('Contactinfo.ville', array('label' => __d('addressbook', 'Contactinfo.ville')));
$fieldsetLoc .= $this->Form->input('Contactinfo.region', array('label' => __d('addressbook', 'Contactinfo.region')));
$fieldsetLoc .= $this->Form->input('Contactinfo.pays', array('label' => __d('addressbook', 'Contactinfo.pays'), 'default' => 'FRANCE'));
echo $this->Html->tag('fieldset', $fieldsetLoc);
echo $this->Html->tag('br');
$fieldsetWork = $this->Html->tag('legend', __d('addressbook', 'Contactinfo.fieldset.work'));
$fieldsetWork .= $this->Form->input('Contactinfo.role', array('label' => __d('addressbook', 'Contactinfo.role')));
$fieldsetWork .= $this->Form->input('Contactinfo.organisation', array('label' => __d('addressbook', 'Contactinfo.organisation')));
echo $this->Html->tag('fieldset', $fieldsetWork);



echo $this->Form->end();
?>
<script type="text/javascript">
	$('#ContactAddForm').validate({
		rules: {
			'data[Contact][name]': 'required',
			'data[Contact][nom]': 'required',
			'data[Contact][addressbook_id]': 'required',
			'data[Contactinfo][name]': 'required'
		}
	});


	var checkHomonyms = function() {
		$('.homonyms').remove();
		$.ajax({
			type: 'post',
			dataType: 'json',
			url: '/Contacts/getHomonyms',
			data: $('#ContactAddForm').serialize(),
			success: function(data) {

				if (data.length > 0) {
					var homonyms = $('<div></div>').html('<?php echo __d('contact', 'Contact.HomonymsListTitle'); ?>').addClass('homonyms').addClass('ui-state-highlight');
					var homonymList = $('<ul></ul>');

					for (var i in data) {
						homonymList.append($('<li></li>').html(data[i].Contact.name + ' (' + data[i].Addressbook.name + ')'));
					}
					homonyms.append(homonymList);

					$('#ContactName').parent().after(homonyms);

				}
			}
		});

	}

	$('#ContactNom, #ContactPrenom').blur(function() {
		if ($('#ContactPrenom').val() != "" || $('#ContactNom').val() != "") {
			$('#ContactName').val($('#ContactPrenom').val() + " " + $('#ContactNom').val());
			checkHomonyms();
		}
	});

	$('#ContactName').change(function() {
		checkHomonyms();
	});

	$('#ContactAddForm').addClass('checkHomonyms');



	$('#ContactCitoyen1, #ContactCitoyen0').click(function() {
		if ($('#ContactCitoyen1').attr('checked') == 'checked') {
//			$('#ContactName').parent().show();
			$('#ContactCivilite').parent().show();
			$('#ContactPrenom').parent().show();
		} else if ($('#ContactCitoyen0').attr('checked') == 'checked') {
//			$('#ContactName').parent().hide();
			$('#ContactCivilite').parent().hide();
			$('#ContactPrenom').parent().hide();
		}
	});
</script>