<?php
/**
 *
 * Contacts/get_contacts.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($contacts)) {
	$options = array(
		'nodes' => array(
			array(
				'model' => 'Contact',
				'field' => 'name',
				'classField' => array(
					'citoyen' => array(
						0 => 'organisme',
						1 => 'citoyen'
					)
				),
				'actions' => array(
					"addvcard" => array(
						"ico" => '/img/vcard_add.png',
						"url" => '/contactinfos/add',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/contacts/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/contacts/delete',
						"updateElement" => "$('#infos .content')",
						"refreshAction" => "loadAdressbook();"
					)
				)
			),
			array(
				'model' => 'Contactinfo',
				'field' => 'name',
				'actions' => array(
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/contactinfos/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/contactinfos/delete',
						"updateElement" => "$('#infos .content')",
						"refreshAction" => "loadAdressbook();"
					)
				)
			)
		)
		,
		'listId' => 'browserContact',
		'listClass' => 'filetree contacts'
	);
	echo $this->Liste->jqueryTreeView($contacts, $options);
} else {
	echo $this->Html->tag('div', __d('contact', 'Contact.void'), array('class' => 'ui-state-highlight voidMessage'));
}
?>

<script type="text/javascript">
	$("#browserContact").treeview({collapsed: true});

	$('.treeviewBttn img').each(function() {
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function() {

			if ($(this).hasClass('addvcardBttn')) {
				gui.formMessage({
					url: href,
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#addressbooks_skel'),
					height: 500,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#ContactinfoAddForm');
							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
									loadAddressbooks();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				}, function() {
					loadAddressbooks();
				});
			}


			if ($(this).hasClass('editBttn')) {
				gui.formMessage({
					url: href,
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#infos .content'),
					width: 500,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#ContactEditForm');
							if (form.length == 0) {
								var form = $('#ContactinfoEditForm');
							}
							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
									loadContacts(<?php echo $addressbook_id; ?>);
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				}, function() {
					loadContacts(<?php echo $addressbook_id; ?>);
				});
			}

			if ($(this).hasClass('viewBttn')) {
				gui.message({
					url: href,
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}

			if ($(this).hasClass('deleteBttn')) {
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function() {
							$(this).dialog("close");

							gui.request({
								url: href,
								loader: true,
								loaderMessage: gui.loaderMessage
							}, function(data) {
								getJsonResponse(data);
								loadContacts(<?php echo $addressbook_id; ?>);
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog("close");
						}
					}
				});
			}
		});
		parentLink.remove();
	});

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function() {
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function() {
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	})
</script>