<?php

/**
 *
 * Courriers/get_circuit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (empty($circuit['Circuit']['id'])) {
	echo $this->Html->tag('div', __d('circuit', 'Circuit.void'), array('class' => 'ui-state-highlight ui-widget voidMessage'));
} else {

	$typesEtape = array(
		ETAPESIMPLE => 'Simple',
		ETAPEET => 'Collaborative',
		ETAPEOU => 'Concurrente'
	);

	if (empty($visas)) {
		$divCircuitContent = '';

		foreach ($etapes as $etape) {
			$spanNumEtape = $this->Html->tag('span', $etape['Etape']['ordre'], array('class' => 'numEtape'));
			$spanTypeEtape = $this->Html->tag('span', $typesEtape[$etape['Etape']['type']], array('class' => 'typeEtape'));
			$descriptionEtape = $etape['Etape']['description'];

			$divNomEtape = $this->Html->tag('div', $etape['Etape']['nom'], array('class' => 'nomEtape'));

			$ulCompoContent = array();
			foreach ($etape['Composition'] as $composition) {
                // Pour distinguer un desktop du parapheur
                $compositionName = '';
                if( $composition['trigger_id'] == '-1') {
                    $compositionName = 'Etape Parapheur';
                }else {
                    $compositionName = $composition['Desktop']['name'];
                }
				$ulCompoContent[] = $compositionName;
			}

			$imgDirectionEtape = $this->Html->image('/img/etape_wkf_direction_wait.png');
			$divEtapeContent = $this->Html->tag('div', $imgDirectionEtape, array('class' => 'wkf_direction'));

			$divEtapeContent .= $this->Html->tag('div', $spanNumEtape . $spanTypeEtape, array('class' => 'head'));
			$divEtapeContent .= $divNomEtape;
			$divEtapeContent .= $this->Html->nestedList($ulCompoContent);
			$divCircuitContent .= $this->Html->tag('div', $divEtapeContent, array('class' => 'etape', 'title' => $descriptionEtape));
		}

		$fieldsetContent = $this->Html->tag('legend', $circuit['Circuit']['nom']) . $divCircuitContent;
		echo $this->Html->tag('fieldset', $fieldsetContent, array('class' => 'fieldsetView circuit'));
	} else {
		$chkValid = $this->Html->image('/img/valid_16.png');
		$refusImg = $this->Html->image('/img/test-fail-icon.png');

		$convertVisaAction = array(
			'RI' => '',
			'OK' => $chkValid,
			'KO' => $refusImg,
			'IL' => $chkValid,
			'IP' => $chkValid,
			'JP' => '',
			'JS' => '',
			'ST' => '',
			'IN' => ''
		);

		$numTraitementAct = $visas[0]['Traitement']['numero_traitement'];
		$isTreatedTraitementAct = $visas[0]['Traitement']['treated'];


		$inserted = false;
		$cptInserted = 0;
		$divTraitementContent = '';
		foreach ($visas as $visa) {
			$specialClassEtape = '';
			$descriptionEtape = '';
			//preparation de l'affichage des etapes validées et de l'étape en cours
			if ($visa['Visa']['numero_traitement'] < $numTraitementAct || $isTreatedTraitementAct) {
				$specialClassEtape = ' etape_valid';
				$descriptionEtape .= 'Etape validée';
				$arrowDirection = '_valid.png';
			} else if ($visa['Visa']['numero_traitement'] == $numTraitementAct) {
				$specialClassEtape = ' etape_current';
				$descriptionEtape .= 'Etape en cours';
				$arrowDirection = '_current.png';
			} else if ($visa['Visa']['numero_traitement'] > $numTraitementAct) {
				$specialClassEtape = ' etape_wait';

				$arrowDirection = '_wait.png';
			}

			//preparation de l'affichage des étapes insérées
			if ($inserted && $cptInserted > 1) {
				$cptInserted--;
				$specialClassEtape .= ' etape_inserted';
			} else if ($inserted && $cptInserted == 1) {
				$cptInserted = 0;
				$inserted = false;
				$specialClassEtape .= ' etape_inserted';
			}



			$spanNumTraitement = $this->Html->tag('span', $visa['Visa']['numero_traitement'], array('class' => 'numEtape'));
			$spanTypeEtape = $this->Html->tag('span', $typesEtape[$visa['Visa']['etape_type']], array('class' => 'typeEtape'));

			if (!empty($visa['Etape']['description'])) {
				$descriptionEtape .= (($descriptionEtape != "") ? " : " : "") . $visa['Etape']['description'];
			}
			$divNomEtape = $this->Html->tag('div', $visa['Visa']['etape_nom'], array('class' => 'nomEtape'));

			$ulCompoContent = array();
			foreach ($visa['Composition'] as $composition) {
				if ($composition['Desktop']['action'] == 'IL') {
					$inserted = true;
					$cptInserted = 2;
				} else if ($composition['Desktop']['action'] == 'IP') {
					$inserted = true;
					$cptInserted = 1;
				}
				$ulCompoContent[] = $convertVisaAction[$composition['Desktop']['action']] . ' ' . $composition['Desktop']['name'];
			}

			$imgDirectionEtape = $this->Html->image('/img/etape_wkf_direction' . $arrowDirection);
			$divEtapeContent = $this->Html->tag('div', $imgDirectionEtape, array('class' => 'wkf_direction'));

			$divEtapeContent .= $this->Html->tag('div', $spanNumTraitement . $spanTypeEtape, array('class' => 'head'));
			$divEtapeContent .= $divNomEtape;
			$divEtapeContent .= $this->Html->nestedList($ulCompoContent);

			if (preg_match('#etape_current#', $specialClassEtape)) {
				$divEtapeContent .= $this->Html->tag('div', '', array('class' => 'triangle-right'));
			}

			$divTraitementContent .= $this->Html->tag('div', $divEtapeContent, array('class' => 'etape' . $specialClassEtape, 'title' => $descriptionEtape));
		}
		$fieldsetContent = $this->Html->tag('legend', $circuit['Circuit']['nom']) . $divTraitementContent;
		echo $this->Html->tag('fieldset', $fieldsetContent, array('class' => 'fieldsetView traitement'));
	}
}
?>
