<?php
/**
 *
 * Courriers/get_flow_controls.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
//on vide #flowControls
?>
<script type="text/javascript">
	$('#flowControls').empty();
</script>
<?php
//le courrier n est pas refusé
if (!$isRefused && !$isClosed) {
	//le courrier n est pas dans un circuit
	if (!$isInCircuit && !$cpyOnly) {
		//le courrier n a pas de circuit / soustype_id associé
		if (empty($courrier['Courrier']['soustype_id']) ) {
			?>
			<script type="text/javascript">
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Insert Courrier'); ?>",
						action: function() {
							gui.message({
								title: "Insertion dans le circuit impossible.",
								msg: "Veuillez choisir un sous-type dans l onglet qualification."
							});
						}
					}
				});

				gui.disablebutton({
					element: $('#flowControls'),
					button: "<?php echo __d('courrier', 'Insert Courrier'); ?>"
				})
			</script>
			<?php
		} else { //le sous-type associé au courrier possède-t-il un circuit
            
            if(empty($courrier['Soustype']['circuit_id']) ) {?>
                <script type="text/javascript">
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Insert Courrier'); ?>",
						action: function() {
							gui.message({
								title: "Insertion dans le circuit impossible.",
								msg: "Aucun circuit défini, veuillez contacter votre administrateur."
							});
						}
					}
				});

				gui.disablebutton({
					element: $('#flowControls'),
					button: "<?php echo __d('courrier', 'Insert Courrier'); ?>"
				})
			</script>
            <?php
            }
            else if( $hasEtapeParapheur ) { 
                if( empty($courrier['Document']['id'])) {?>
                    <script type="text/javascript">
                    gui.addbutton({
                        element: $('#flowControls'),
                        button: {
                            content: "<?php echo __d('courrier', 'Insert Courrier'); ?>",
                            action: function() {
                                gui.message({
                                    title: "Insertion dans le circuit impossible.",
                                    msg: "Aucun document défini. L'envoi dans un circuit comportant une étape parapheur nécessite l'association d'un document."
                                });
                            }
                        }
                    });

                    gui.disablebutton({
                        element: $('#flowControls'),
                        button: "<?php echo __d('courrier', 'Insert Courrier'); ?>"
                    })
                </script>
                <?php
                }
                else { ?>
                    <script type="text/javascript">
                        gui.addbutton({
                            element: $('#flowControls'),
                            button: {
                                content: "<?php echo __d('courrier', 'Insert Courrier'); ?>",
                                action: function() {
                                    if (!$(this).hasClass('ui-state-disabled')) {

                                        gui.loader({
                                            message: gui.loaderMessage,
                                            element: $('#courrier_skel')
                                        });

                                        gui.request({
                                            url: "/courriers/insert/<?php echo $courrier['Courrier']['id']; ?>"
                                        },
                                        function() {
                                            //redirection vers l environement
                                            window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
                                        });
                                    }
                                }
                            }
                        });
                    </script>
                <?php }
            }
            else {
			?>
			<script type="text/javascript">
			//ajout du bouton insérer dans le circuit
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Insert Courrier'); ?>",
						action: function() {
							if (!$(this).hasClass('ui-state-disabled')) {

								gui.loader({
									message: gui.loaderMessage,
									element: $('#courrier_skel')
								});

								gui.request({
									url: "/courriers/insert/<?php echo $courrier['Courrier']['id']; ?>"
								},
								function() {
									//redirection vers l environement
									window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
								});
							}
						}
					}
				});
			</script>
			<?php
            }
		}
	} else { //le courrier est dans un circuit
            echo $this->Form->input('Insert.desktop_id', array('id' => 'rebondSelect', 'style' => 'display: none;', 'type' => 'select', 'div' => false, 'label' => false, 'options' => $desktopsToSend));
		//ajout du bouton valider
		if (!$cpyOnly || $isInCircuit  && $isUserInCircuit && $desktopCurrentEtapeCircuit) {
			?>
			<script type="text/javascript">
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', (!$endCircuit) ? 'Valid Courrier' : 'Cloture Courrier'); ?>",
						action: function() {
							if (!$(this).hasClass('ui-state-disabled')) {
								gui.request({
									url: "/courriers/valid/<?php echo $courrier['Courrier']['id']; ?>"
								},
								function() {
									//redirection vers l environement
									window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
								});
							}
						}
					}
				});
			</script>
			<?php
                }
		//ajout du bouton reponse
		if ($reponse && $endCircuit && !$cpyOnly  && $desktopCurrentEtapeCircuit) {                   
			?>
			<script type="text/javascript">
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Cloture Reponse Courrier'); ?>",
						action: function() {
							if (!$(this).hasClass('ui-state-disabled')) {
								gui.formMessage({
									title: "<?php echo __d('courrier', 'Courrier.response_choice_title') ?>",
									url: "<?php echo '/courriers/reponse/' . $courrier['Courrier']['id']; ?>",
									buttons: {
										"<?php echo __d('default', 'Button.submit'); ?>": function() {
											var form = $('form', this);
											var insertAuto = 0;
											if ($('#CourrierReponseInsertAuto').attr('checked') == 'checked') {
												insertAuto = 1;
											}
											if ($(form).valid()) {
												gui.request({
													url: "<?php echo Configure::read('BaseUrl') . '/courriers/valid/' . $courrier['Courrier']['id']; ?>" + '/1/' + $('select option:selected', form).val() + "/" + insertAuto
															//                          data: $('form', this).serialize()
												}, function() {
													window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index" ?>";
												});
											}
										},
										"<?php echo __d('default', 'Button.cancel'); ?>": function() {
											$(this).dialog('close');
										}
									}
								});
							}
						}
					}
				});
			</script>
			<?php
		}
		//ajout du bouton refuser
		?>
		<script type="text/javascript">
		<?php if (!$cpyOnly || $isInCircuit && $isUserInCircuit && $desktopCurrentEtapeCircuit) {  ?>
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Refus Courrier'); ?>",
						action: function() {
							if (!$(this).hasClass('ui-state-disabled')) {
								gui.formMessage({
									url: "/courriers/refus/<?php echo $courrier['Courrier']['id']; ?>",
									buttons: {
										"<?php echo __d('default', 'Button.submit'); ?>": function() {
											gui.request({
												url: "/courriers/refus/<?php echo $courrier['Courrier']['id']; ?>",
												data: $('form', this).serialize()
											}, function() {
												window.location.href = "/environnement/index";
											})
										},
										"<?php echo __d('default', 'Button.cancel'); ?>": function() {
											$(this).dialog('close');
										}
									}
								});
							}
						}
					}
				});
		<?php } ?>
 </script>
 <script type="text/javascript">
		<?php
		if ($sendcpy || $sendwkf || $cpyOnly) {
			if ($sendcpy && $sendwkf) {
				$url = '/courriers/send';
			} else if (($sendcpy && !$sendwkf) || $cpyOnly) {
				$url = '/courriers/sendcpy';
			} else if (!$sendcpy && $sendwkf) {
				$url = '/courriers/sendwkf';
			}
			?>
			//ajout du bouton envoyer
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('default', 'Button.send'); ?>",
						action: function() {
							gui.formMessage({
								title: '<?php echo __d('default', 'Button.send'); ?>',
								width: '600px',
								url: '/courriers/send/<?php echo $courrier['Courrier']['id'] . ($cpyOnly ? '/1' : ''); ?>',
								buttons: {
									'<?php echo __d('default', 'Button.submit'); ?>': function() {
										var dialog = $(this);
										var url = '<?php echo $url; ?>';
										gui.request({
											url: url,
											data: $('form', this).serialize()
										}, function(data) {
											if (data.length > 4) { //FIXME avant avec 0 cela marchait
												getJsonResponse(data);
												dialog.dialog('close');
											} else {
												window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
											}
										});
									},
									'<?php echo __d('default', 'Button.cancel'); ?>': function() {
										$(this).dialog('close');
									}
								}
							});
						}
					}
				});
		<?php } ?>
		</script>

        <?php       // Ajout du bouton Versement GED ?>
        <?php if ($endCircuit && $isAuthVersGed) { ?>
			<script type="text/javascript">
				gui.addbutton({
					element: $('#flowControls'),
					button: {
						content: "<?php echo __d('courrier', 'Versement Courrier'); ?>",
						action: function() {
							if (!$(this).hasClass('ui-state-disabled')) {

								gui.message({
									title: "<?php echo __d('default', 'Versement en GED'); ?>",
									msg: "<?php echo __d('default', 'Etes-vous sûr de vouloir verser ce flux en GED ?'); ?>",
									buttons: {
										"<?php echo __d('default', 'Button.confirm'); ?>": function() {
											$(this).dialog("close");
											
											gui.loader({
												message: gui.loaderMessage,
												element: $('#courrier_skel')
											});

											var updateElement = $(this);
											gui.request({
												url: "/courriers/sendToGed/<?php echo $courrier['Courrier']['id']; ?>",
												updateElement: updateElement
											}, function() {
												updateElement.removeAttr('loaded');
												loadContextTab(updateElement);
												window.location.reload();
											});
										},
										"<?php echo __d('default', 'Button.cancel'); ?>": function() {
											$(this).dialog("close");
										}
									}
								});
							}
						}
					}
				});
			</script>
        <?php } ?>
		<?php
	}
}

// Si aucun document lié, on ne peut pas faire suivre au parapheur
if(!$fairesuivre && $hasEtapeParapheur) { ?>
    <script type="text/javascript">
    gui.disablebutton({
        element: $('#flowControls'),
        button: "<?php echo __d('courrier', (!$endCircuit) ? 'Valid Courrier' : 'Cloture Courrier'); ?>",
    });
    </script>
<?php } ?>

