<?php
/**
 *
 * Courriers/get_infos.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (isset($viewOnly) && $viewOnly === true) {
    echo $this->Element('viewOnly');
}

$priority = array(
    0 => array(
        'img' => $this->Html->image('/img/priority_low.png'),
        'txt' => __d('courrier', 'Courrier.priorite_0')
    ),
    1 => array(
        'img' => $this->Html->image('/img/priority_mid.png'),
        'txt' => __d('courrier', 'Courrier.priorite_1')
    ),
    2 => array(
        'img' => $this->Html->image('/img/priority_high.png'),
        'txt' => __d('courrier', 'Courrier.priorite_2')
    )
);

$direction = array(
    0 => array(
//        'img' => $this->Html->image('/img/flux_sortant.png'),
        'img' => $this->Html->image('/img/folder_outbox.png'),
        'txt' => __d('courrier', 'Courrier.courrier_sortant'),
        'contact' => 'dest'
    ),
    1 => array(
//        'img' => $this->Html->image('/img/flux_entrant.png'),
        'img' => $this->Html->image('/img/folder_inbox.png'),
        'txt' => __d('courrier', 'Courrier.courrier_entrant'),
        'contact' => 'exp'
    ),
    2 => array(
        'img' => $this->Html->image('/img/flux_interne.png'),
        'txt' => __d('courrier', 'Courrier.courrier_interne'),
        'contact' => 'exp'
    )
);

$tabDelaiUnite = array('jour', 'semaine', 'mois');
?>

<fieldset class="fieldsetView">
    <legend><?php echo __d('courrier', 'Courrier.fluxFieldset'); ?></legend>
    <dl>
        <dt><?php echo __d('courrier', 'Courrier.name'); ?></dt><dd><?php echo $flux['Courrier']['name']; ?></dd>
        <dt><?php echo __d('courrier', 'Courrier.objet'); ?></dt><dd><?php echo $flux['Courrier']['objet']; ?></dd>
        <dt><?php echo __d('courrier', 'Courrier.priorite'); ?></dt><dd>
            <?php
            echo $priority[$flux['Courrier']['priorite']]['img'] . " " . $priority[$flux['Courrier']['priorite']]['txt'];
            ?>
        </dd>
        <dt><?php echo __d('courrier', 'Courrier.affairesuiviepar_id'); ?></dt><dd><?php echo $flux['Affairesuivie']['name']; ?></dd>
    </dl>
</fieldset>

<fieldset class="fieldsetView">
    <legend><?php echo __d('courrier', 'Qualification'); ?></legend>
    <dl>
        <dt class="ui-state-focus"><?php echo __d('type', 'Type'); ?></dt>
        <dd><?php echo (!empty($flux['Soustype']["type_id"]) ? $types[$flux['Soustype']['type_id']] : ""); ?></dd>
        <dt class="ui-state-focus"><?php echo __d('soustype', 'Soustype'); ?></dt>
        <dd><?php echo $flux['Soustype']['name']; ?></dd>
    </dl>

    <dl>
        <dt class="ui-state-focus"><?php echo __d('courrier', 'Courrier.reference'); ?></dt>
			<dd><?php echo $flux['Courrier']['reference']; ?></dd>
        <dt class="ui-state-focus"><?php echo __d('courrier', 'Courrier.entrant/sortant'); ?></dt>
			<dd>
				<?php echo (isset($flux["Soustype"]['entrant']) ? $direction[$flux['Soustype']['entrant']]['img'] . " " . $direction[$flux['Soustype']['entrant']]['txt'] : ''); ?>
			</dd>
        <dt class="ui-state-focus"><?php echo __d('soustype', 'Soustype.delai'); ?></dt>
        <!-- <dd><?php /* echo (isset($flux['Soustype']['delai_nb']) && isset($flux['Soustype']['delai_unite'])) ? $flux['Soustype']['delai_nb'] . " " . $tabDelaiUnite[$flux['Soustype']['delai_unite']] . (($flux['Soustype']['delai_nb'] > 1) ? 's' : '' ) : '&nbsp;'; */ ?></dd> -->
        <dd><?php echo (isset($flux['Courrier']['delai_nb']) && isset($flux['Courrier']['delai_unite'])) ? $flux['Courrier']['delai_nb'] . " " . $tabDelaiUnite[$flux['Courrier']['delai_unite']] . ((@$flux['Courrier']['delai_unite'] != 2 && $flux['Courrier']['delai_nb'] > 1) ? 's' : '' ) : @$flux['Soustype']['delai_nb'] . " " . @$tabDelaiUnite[$flux['Soustype']['delai_unite']] . ((@$flux['Soustype']['delai_unite'] != 2 && @$flux['Soustype']['delai_nb'] > 1) ? 's' : '' ); ?></dd>
    </dl>
</fieldset>

    <?php if( isset($flux['Soustype']['entrant']) ) :?>
    <fieldset class="fieldsetView" id="contactData">    
        <legend><?php echo __d('courrier', 'Courrier.contactFieldset.' . $direction[$flux['Soustype']['entrant']]['contact']); ?></legend>
        <dl>
            <dt><?php echo __d('courrier', 'Courrier.contact.' . $direction[$flux['Soustype']['entrant']]['contact']); ?></dt><dd><?php echo!empty($flux['Contactinfo']['Contact']) ? $flux['Contactinfo']['Contact']['name'] : ''; ?></dd>
            <dt><?php echo __d('courrier', 'Courrier.contactinfo.' . $direction[$flux['Soustype']['entrant']]['contact']); ?></dt><dd><?php echo $flux['Contactinfo']['name']; ?></dd>
        </dl>
    </fieldset>
    <?php else :?>
    <fieldset class="fieldsetView" id="contactData">    
        <legend><?php echo __d('courrier', 'Courrier.contactFieldset'); ?></legend>
        <dl>
            <dt><?php echo __d('courrier', 'Courrier.contact' ); ?></dt><dd><?php echo!empty($flux['Contactinfo']['Contact']) ? $flux['Contactinfo']['Contact']['name'] : ''; ?></dd>
            <dt><?php echo __d('courrier', 'Courrier.contactinfo' ); ?></dt><dd><?php echo $flux['Contactinfo']['name']; ?></dd>
        </dl>
    </fieldset>
    <?php endif;?>

<fieldset class="fieldsetView">
    <legend><?php echo __d('courrier', 'Courrier.dateFieldset'); ?></legend>
    <dl>
        <dt><?php echo __d('courrier', 'Courrier.datereception'); ?></dt><dd><?php echo $this->Html2->ukToFrenchDateWithSlashes($flux['Courrier']['datereception']); ?></dd>
        <dt><?php echo __d('courrier', 'Courrier.date'); ?></dt><dd><?php echo $this->Html2->ukToFrenchDateWithSlashes($flux['Courrier']['date']); ?></dd>
    </dl>
</fieldset>



<?php
//Commentaires
//echo $this->Html->tag('fieldset ', $this->Html->tag('legend', __d('courrier', 'Courrier.commentFieldset')) . $this->GFCComment->drawComments($comments));
?>

<script type="text/javascript">

    var contactInfoCard = createContactinfo({
<?php
$unwantedFields = array('name', 'active', 'created', 'modified', 'contact_id', 'slug', 'Contact');
foreach ($flux['Contactinfo'] as $key => $val) {
    if (!in_array($key, $unwantedFields)) {
        echo '"' . __d('addressbook', 'Contactinfo.' . $key) . '": "' . $val . '",';
    }
}
?>
    });

    $('#contactData').append($(contactInfoCard).css('display', 'table'));



</script>