<?php
/**
 *
 * Courriers/get_relements.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Form->create('ResponseDoc');
echo $this->Form->input('courrier_id', array('type' => 'hidden', 'value' => $fluxId));
?>
<div class="rmodel_list">
	<fieldset><legend><?php echo __d('relement', 'Relement.Rmodels'); ?></legend>
		<?php
		if (!empty($rmodels)) {
			foreach ($rmodels as $rmodel) {
				?><input type="radio" name="data[ResponseDoc][rmodel_id]" value="<?php echo $rmodel['Rmodel']['id']; ?>" /><?php
		echo $this->Element('ctxdoc', array('ctxdoc' => $rmodel['Rmodel'], 'gfcDocType' => 'Rmodel', 'cssClass' => 'ctxdoc'));
	}
} else {
	echo $this->Html->tag('div', __d('courrier', 'Rmodel.void'), array('class' => 'ui-state-highlight voidMessage'));
}
		?>
	</fieldset>
</div>

<div class="relement_list">
	<fieldset><legend><?php echo __d('relement', 'Relement.documents') ?></legend>
		<div class="relement_doc_list">
			<?php
			if (!empty($relements)) {
				foreach ($relements as $relement) {
//                    debug($relement);
					echo $this->Form->checkbox($relement['Relement']['id'], array('name' => 'data[ResponseDoc][Relement][' . $relement['Relement']['id'] . ']'));
					echo $this->Element('ctxdoc', array('ctxdoc' => $relement['Relement'], 'gfcDocType' => 'Relement', 'cssClass' => 'ctxdoc', 'right_delete' => $right_delete));
				}
			} else {
				echo $this->Html->tag('div', __d('courrier', 'Relement.void'), array('class' => 'ui-state-highlight voidMessage'));
			}
           
			?>
		</div>
	</fieldset>
</div>
<?php if( Configure::read('DOC_DEFAULT') ):?>
<div class="relement_docs">
	<fieldset><legend><?php echo __d('relement', 'Relement.modelesFournis') ?></legend>
		<div class="relement_docs_list">
			<?php
            if (!empty($fichiers)) {
                foreach ($fichiers as $i => $fichier) {
                    if(!empty($fichier['name'])){
                        echo $this->Element('ctxdoc', array('ctxdoc' => $fichier, 'gfcDocType' => 'Relement', 'cssClass' => 'ctxdoc', 'right_delete' => false));
                    }
                }
            }
            else {
                echo $this->Html->tag('div', __d('courrier', 'Fichier.void'), array('class' => 'ui-state-highlight voidMessage'));
            }
            if(empty($fichiersName) ) {
                echo $this->Html->tag('div', __d('courrier', 'Fichier.void'), array('class' => 'ui-state-highlight voidMessage'));
            }
			?>
		</div>
	</fieldset>
</div>
<?php endif;?>
<span class="bttn_gen_doc"><?php echo __d('relement', 'Relement.gendoc') ?></span>
<?php echo $this->Form->end(); ?>

<script type="text/javascript">
	$('#upload_target').remove();
<?php if ($right_upload) { ?>
		var ulfile = gui.createupload({
			button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
			label: "<?php echo __d('relement', 'Relement.add'); ?>",
			url: "/relements/add",
			fileInputName: "myfile",
			hiddenItem: {
				name: "fluxId",
				value: <?php echo $fluxId; ?>
			}
		});
		$('.relement_list fieldset').append(ulfile);
<?php } ?>


	function check_rmodels_select(){
		var valid = false;
		$('.rmodel_list input[type="radio"]').each(function(){
			if ($(this).attr('checked') == "checked"){
				valid = true;
			}
		});
		return valid;
	}

	function check_relements_select(){
		var valid = false;
		$('.relement_list input[type="checkbox"]').each(function(){
			if ($(this).attr('checked') == 'checked'){
				valid = true;
			}
		});
		return valid;
	}

	$('.bttn_gen_doc').button().click(function(){
		var form = $('#ResponseDocGetRelementsForm');
		var updateElement = $('.context_accordion').find('.ui-state-active');
		var documentTab = $('.context_accordion').find('.document_tab');

		var message = '';
		if (!check_rmodels_select()){
			message = '<?php echo __d('relement', 'Relement.generate.rmodel_select'); ?>';
		}
		if (!check_relements_select()){
			if (message != ''){
				message += "<br />";
			}
			message += '<?php echo __d('relement', 'Relement.generate.relement_select'); ?>';
		}

		if (message != ''){
			gui.message({
				title: '<?php echo __d('relement', 'Relement.generate.form_error'); ?>',
				msg: message
			});
		} else {
			var event = new $.Event();
			var loader_id = event.timeStamp;
			gui.loader({
				element: $('.context_accordion').find('.ui-state-active'),
				message: gui.loaderMessage,
				id: loader_id
			});

			gui.request({
				url: '/courriers/genResponse',
				data: $(form).serialize()
			}, function(data){
				$("#loader_" + loader_id).remove();
				getJsonResponse(data);
				updateElement.removeAttr('loaded');
				loadContextTab(updateElement);
				documentTab.removeAttr('loaded');
				loadContextTab(documentTab);
				$('.context_accordion').accordion("activate", 1 );
			});
		}

	});

	$('.relement_list .ctxdocBttnWebdav').unbind('click').click(function(){
		//window.location.href="<?php echo WEBDAV_URL; ?>" + $(this).attr('itemName');
		window.location.href="<?php echo WEBDAV_URL; ?>" + "/" + "<?php echo $fluxId; ?>" + "/" + $(this).attr('itemName');
	});

	initContextDocumentBttnActions();
    
    $('.relement_docs .ctxdocBttnWebdavAdd').button().click(function(){
//        console.log($(this));
        var filename = $(this).parentsUntil('.relement_docs_list' ).find( '.ctxdoc_name span.filename').html();
        var updateElement = $('.context_accordion').find('.ui-state-active');
//        var documentTab = $('.context_accordion').find('.document_tab');
        gui.request({
			url: "/relements/addFromFile/<?php echo $fluxId; ?>/"+filename,
            data: $(this).serialize(),
		}, function(data){
            getJsonResponse(data);
            updateElement.removeAttr('loaded');
            loadContextTab(updateElement);
//            documentTab.removeAttr('loaded');
//            loadContextTab(documentTab);
//            $('.context_accordion').accordion("activate", 1 );
        });

    });
</script>