<?php
/**
 *
 * Courriers/get_tache.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (isset($viewOnly) && $viewOnly === true) {
	echo $this->Element('viewOnly');
}
?>
<script type="text/javascript">
	function validTache(id){
		gui.request({
			loader: true,
			loaderMessage: gui.loaderMessage,
			updateElement: $('#tabs'),
			url:  "/taches/checkTache/" + id
		},function(data){
			getJsonResponse(data);
			$('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
			updateTaskNotification();
		});
	}

	function grabTache(id){
		gui.request({
			loader: true,
			loaderMessage: gui.loaderMessage,
			updateElement: $('#tabs'),
			url:  "/taches/grabTache/" + id
		},function(data){
			getJsonResponse(data);
			$('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
			updateTaskNotification();
		});
	}

	function releaseTache(id){
		gui.request({
			loader: true,
			loaderMessage: gui.loaderMessage,
			updateElement: $('#tabs'),
			url:  "/taches/releaseTache/" + id
		},function(data){
			getJsonResponse(data);
			$('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
			updateTaskNotification();
		});
	}
</script>
<?php
$retardImg = $this->Html->image('/img/retard_16.png', array('alt' => __d('Tache', 'tache.retard'), 'title' => __d('Tache', 'tache.retard')));
$enAttenteImg = $this->Html->image('/img/priority_unknown.png', array('alt' => __d('Tache', 'tache.attente'), 'title' => __d('Tache', 'tache.attente')));
$enCoursImg = $this->Html->image('/img/priority_mid.png', array('alt' => __d('Tache', 'tache.encours'), 'title' => __d('Tache', 'tache.encours')));
$traiteeImg = $this->Html->image('/img/priority_low.png', array('alt' => __d('Tache', 'tache.traitee'), 'title' => __d('Tache', 'tache.traitee')));

if (!$canAddTask){
	echo $this->Html->tag('div', __d('tache', 'Tache.cantAddTask'), array('class' => 'viewOnlyTab'));
}

if (count($taches) > 0) {
	$ulContent = '';
	foreach ($taches as $tache) {
		$spanEtatContent = $tache['retard'] ? $retardImg : '&nbsp;';

		if ($tache['Tache']['statut'] == 2) {
			$spanEtatContent .= $traiteeImg;
		} else if ($tache['Tache']['statut'] == 1) {
			$spanEtatContent .= $enCoursImg;
		} else if ($tache['Tache']['statut'] == 0) {
			$spanEtatContent .= $enAttenteImg;
		} else {
			$spanEtatContent .= '&nbsp;';
		}

		$canValidImg = $this->Html->image('/img/task_valid_16.png', array('class' => 'tacheValid', 'alt' => __d('Tache', 'tache.validate'), 'title' => __d('Tache', 'tache.validate'), 'itemId' => $tache['Tache']['id']));
		$canGrabImg = $this->Html->image('/img/task_grab_16.png', array('class' => 'tacheGrab', 'alt' => __d('Tache', 'tache.grab'), 'title' => __d('Tache', 'tache.grab'), 'itemId' => $tache['Tache']['id']));
		$canReleaseImg = $this->Html->image('/img/task_release_16.png', array('class' => 'tacheRelease', 'alt' => __d('Tache', 'tache.release'), 'title' => __d('Tache', 'tache.release'), 'itemId' => $tache['Tache']['id']));

		$spanActionContent = $tache['canGrab'] ? $canGrabImg : '&nbsp;';
		$spanActionContent .= $tache['canRelease'] ? $canReleaseImg : '&nbsp;';
		$spanActionContent .= $tache['canValid'] ? $canValidImg : '&nbsp;';

		$ulDesktopsContent = '';
		foreach ($tache['Desktop'] as $desktop) {
			$actionDesktop = '';
			$actionDesktopClass = '';
			if ($tache['Tache']['statut'] == 2 && $tache['Tache']['act_desktop_id'] == $desktop['id']) {
				$actionDesktop = $this->Html->image('/img/task_valid_16.png', array('alt' => __d('Tache', 'tache.validatedBy'), 'title' => __d('Tache', 'tache.validatedBy')));
				$actionDesktopClass = 'ui-state-valid';
			}
			if ($tache['Tache']['statut'] == 1 && $tache['Tache']['act_desktop_id'] == $desktop['id']) {
				$actionDesktop = $this->Html->image('/img/task_grab_16.png', array('alt' => __d('Tache', 'tache.grabedBy'), 'title' => __d('Tache', 'tache.grabedBy')));
				$actionDesktopClass = 'ui-state-highlight';
			}
			$ulDesktopsContent .= $this->Html->tag('li', $this->Html->tag('span', $actionDesktop . ' ' . $desktop['name'], array('class' => 'desktopName ' . $actionDesktopClass)));
		}


		$divTaskNameContent = $this->Html->tag('span', $spanActionContent, array('class' => 'actions'));
		$divTaskNameContent .= $this->Html->tag('span', $spanEtatContent, array('class' => 'etats'));
		$divTaskNameContent .= $tache['Tache']['name'];

		$liContent = $this->Html->tag('div', $divTaskNameContent, array('class' => 'tache ui-widget-header'));
		$liContent .= $this->Html->tag('ul', $ulDesktopsContent, array('class' => 'desktops'));

		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'tache'));
	}
	echo $this->Html->tag('ul', $ulContent, array('class' => 'listTaches'));
} else {
	echo $this->Html->tag('div', __d('tache', 'Tache.void'), array('class' => 'ui-state-highlight ui-widget voidMessage'));
}
?>

<script type="text/javascript">
	$('.tacheValid').button().click(function (){
		validTache($(this).attr("itemId"));
	});

	$('.tacheGrab').button().click(function (){
		grabTache($(this).attr("itemId"));
	});

	$('.tacheRelease').button().click(function (){
		releaseTache($(this).attr("itemId"));
	});


	$('.listTaches li.tache').hover(function(){
		$(this).addClass('ui-state-highlight');
	}, function(){
		$(this).removeClass('ui-state-highlight');
	});
</script>
