<?php
/**
 *
 * Courriers/historiqueGlobal.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Arnaud AUZOLAT
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/environnement/environnement'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/bannette'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/courrier'), null, array('inline' => false));
echo $this->Html->css(array('zones/circuit/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/histoire/courrier'), null, array('inline' => false));
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
?>


<!-- Affichage des états des flux-->
<?php
    // Gestion de l'affichage des états du flux
    $imgEtat = 'flux_valide.png';
    $titleEtat = __d('courrier', 'Courrier.courrier_valide');
    $altEtat = 'validé';
    $etat = @$bannettes[0]['Bancontenu']['etat'];
    if ($etat == -1) {
        $imgEtat = 'flux_refuse.png';
        $titleEtat = __d('courrier', 'Courrier.courrier_refuse');
        $altEtat = 'refusé';
    } else if ($etat == 1 || $etat == 0 ) {
        $imgEtat = 'flux_a_traite.png';
        $titleEtat = __d('courrier', 'Courrier.courrier_a_traite');
        $altEtat = 'traitement';
    } else if ($etat == 2) {
        $imgEtat = 'flux_cloture.png';
        $titleEtat = __d('courrier', 'Courrier.courrier_cloture');
        $altEtat = 'cloturé';
    }

    // Gestion de l'affichage des priorités
    $imgPriority = 'priority_unknown.png';
    $priority = $courrier['Courrier']['priorite'];
    $altPriority = $priority;
    
    $titlePriority = __d('courrier', 'Courrier.priorite_indefinie');
    if ($priority == 0) {
        $imgPriority = 'priority_low.png';
        $titlePriority = __d('courrier', 'Courrier.priorite_basse');
    } else if ($priority == 1) {
        $imgPriority = 'priority_mid.png';
        $titlePriority = __d('courrier', 'Courrier.priorite_moyenne');
    } else if ($priority == 2) {
        $imgPriority = 'priority_high.png';
        $titlePriority = __d('courrier', 'Courrier.priorite_haute');
    }
    
    // Gestion de l'affichage des directions
    $direction = $courrier['Courrier']['direction'];
    $directionDef = array(
        '0' => array(
            'img' => 'folder_outbox.png',
            'title' => __d('courrier', 'Courrier.courrier_sortant')
        ),
        '1' => array(
            'img' => 'folder_inbox.png',
            'title' => __d('courrier', 'Courrier.courrier_entrant')
        ),
        '2' => array(
            'img' => 'flux_interne.png',
            'title' => __d('courrier', 'Courrier.courrier_interne')
        )
    );
?>

<!-- -->


<?php echo $this->Html->link("Retour à l'historique", array( 'controller' => 'environnement', 'action' => 'historique'));?>

<h1 class="bannette"><?php echo $courrier['Courrier']['name'].' - Numéro de référence : '.$courrier['Courrier']['reference'];?></h1>
<!-- Afficher le motif de refus du courrier ici ou bien le mettre en commentaire -->
<?php if( !empty($courrier['Courrier']['motifrefus']) ):?>
    <h2 class="historique"><?php echo 'Motif du refus : '.$courrier['Courrier']['motifrefus'];?></h2>
<?php endif;?>

<div id="courrier_skel">
    <div id="flux_infos" class="infos">
        <div>
            <table class="bannette_table search ui-widget ui-corner-all ui-widget-content "> 
                <thead style="background-color:white">
                    <th class="thState"><?php echo __d('bannette', 'Courrier.priorite');?></th>
                    <th class="thState"><?php echo __d('bannette', 'Courrier.direction');?></th>
                    <th class=""><?php echo __d('bannette', 'Courrier.etat');?></th>
                    <th class="reference thState"><?php echo __d('courrier', 'Courrier.reference');?></th>
                    <th class="nom"><?php echo __d('courrier', 'Courrier.name');?></th>
                    <th class="objet"><?php echo __d('courrier', 'Courrier.objet');?></th>
                    <th class="">Identité du contact</th>
                    <th class=""><?php echo __d('courrier', 'Courrier.affairesuiviepar_id');?></th>
                    <th class=""><?php echo __d('courrier', 'Courrier.datereception');?></th>
                    <th class="">Type / Sous-type</th>
                    <th class="">Action</th>
                </thead>
                <tbody>
                    <tr>
                        <td class="tdState"><?php echo $this->Html->image('/img/' . $imgPriority, array('alt' => $altPriority, 'title' => $titlePriority));?></td>
                        <td class="tdState"><?php echo isset($directionDef[$direction]) ? $this->Html->image('/img/' . @$directionDef[$direction]['img'], array('alt' => $direction, 'title' => @$directionDef[$direction]['title'] ) ) : '';?></td>
                        <td class="tdState"><?php echo $this->Html->image('/img/' . $imgEtat, array('alt' => $altEtat, 'title' => $titleEtat));?></td>
                        <td class="reference"><?php echo $courrier['Courrier']["reference"];?></td>
                        <td class="nom"><?php echo $courrier['Courrier']['name'];?></td>
                        <td class="expediteur"><?php echo $this->String->troncateStr($courrier['Courrier']["objet"], 90);?></td>
                        <td class="expediteur"><?php echo $courrier['Contact']["name"];?></td>
                        <td class="expediteur"><?php echo @$courrier['Affairesuivie']["name"];?></td>
                        <td class="datereception"><?php echo isset( $courrier['Courrier']['datereception'] ) ? strftime( '%d/%m/%Y', strtotime( $courrier['Courrier']['datereception'] ) ) : '' ;?></td>
                        <td class=""><?php echo $courrier['Type']["name"].' / '.$courrier['Soustype']["name"];?></td>
                        <td class=""><?php echo $this->Html->image('/img/folder_sent_mail.png', array(
								'title' => __d('default', 'Button.export'),
								'alt' => __d('default', 'Button.export'),
                                'class' => 'sendtoged',
//								'url' => array(
//									'controller' => 'courriers',
//									'action' => 'sendToGed',
//									$courrier['Courrier']['id']
//								)
									)
							);?></td>
                </tbody>
            </table>
        </div>
        <br />
        <h3 class="bannette">Liste des acteurs dans la vie du flux</h3>
        <div>
            <table class="bannette_table search ui-widget ui-corner-all ui-widget-content"> 
                <thead>
                <th>Nom du bureau ayant traité le flux</th>
                <th>Nom de l'agent ayant traité le flux</th>
                <th>Rôle de l'agent ayant traité le flux</th>
                <th>Date du traitement du flux</th>
                <th>Pour copie ?</th>
                </thead>
                <tbody>
                    <?php foreach( $bannettes as $key => $bannette ):?>
                        <?php
                        // Affichage de l'icône pour copie ou non
                            $bannetteName = $bannette['Bannette']['name'];

                            // Utilisateur ayant réalisé l'action
                            $user = @$bannette['Desktop']['User'][0]['nom'].' '.@$bannette['Desktop']['User'][0]['prenom'];
                            if( $user == ' ' ) {
                                $user = @$bannette['Desktop']['SecondaryUser'][0]['nom'].' '.@$bannette['Desktop']['SecondaryUser'][0]['prenom'];
                            }
                        ?>
                    <tr>
                        <td class="tdDate"><?php echo $bannette['Desktop']['name'];?></td>
                        <td class="tdDate"><?php echo $user;?></td>
                        <td class="tdDate"><?php echo $bannette['Desktop']['Group']['name'];?></td>
                        <td class="tdDate"><?php echo strftime( '%d/%m/%Y %T', strtotime( $bannette['Bancontenu']['created'] ) );?></td>
                        <td class="tdState"><?php echo ($bannetteName == 'copy' ) ? $this->Html->image('/img/valid_16.png', array('alt' => 'Pour copie', 'title' => 'Flux envoyé pour copie' ) ) : null;?></td>
                    </tr>
                    <?php endforeach;?>
                </tbody>
            </table>
        </div>

    

    <!-- Liste des métadonnées déposées sur le flux -->
        <?php
            $divContent = $this->Html->tag('div', __d('metadonnee', 'Metadonnee.void'), array('class' => 'ui-state-highlight voidMessage'));

            $valOfSelect =  Configure::read('Selectvaluemetadonnee.id');
            if (!empty($metas)) {
                $dlContent = '';
                foreach ($metas as $meta) {
                    if ($meta['Metadonnee']['typemetadonnee_id'] != 3 || $meta['Metadonnee']['typemetadonnee_id'] == 3 && $meta['CourrierMetadonnee']['valeur'] != 0) {
                        $dlContent .= $this->Html->tag('dt', $meta['Metadonnee']['name']/* , array('class' => 'ui-state-focus') */);
                        if ($meta['Metadonnee']['typemetadonnee_id'] == 3) {
                            $dlContent .= $this->Html->tag('dd', $this->Html->image('/img/valid_16.png', array('alt' => '', 'style' => 'vertical-align:middle;')) . ' ' . __d('metadonnee', 'Metadonnee.checked'));
                        } else if ($meta['Metadonnee']['typemetadonnee_id'] == $valOfSelect) {
                            $dlContent .= $this->Html->tag('dd', (isset( $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] ) ) ? $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] : 'Aucune information');
                        } else {
                            $dlContent .= $this->Html->tag('dd', ($meta['CourrierMetadonnee']['valeur'] != '') ? $meta['CourrierMetadonnee']['valeur'] : 'Aucune information');
                        }
                    }
                }
                $divContent = $this->Html->tag('dl', $dlContent);
            }
        ?>

        <fieldset class="fieldsetView">
            <legend><?php echo __d('courrier', 'Metadonnees'); ?></legend>
            <?php
            echo $divContent;
            ?>
        </fieldset>

        <!-- Liste des comentaires (privés / publics) émis sur le flux -->
        <?php echo $this->GFCComment->drawComments($comments); ?>
 
    <!-- Panneau latéral reprenant la liste des documents liés au flux -->    
    <?php
        $context_params = array(
            'fluxId' => $courrier['Courrier']['id'],
            'rights' => $rights,
            'parent' => $parent,
            'sortant' => $sortant,
            'mainDoc' => $mainDoc,
            'documentList' => $documents
        );
        echo $this->Element('context', $context_params);
    //	echo $this->Element('context', array('fromDispEnv' => true, 'fluxId' => $courrier['Courrier']['id'], 'documentList' => $documents, 'rights' => $rights));
    ?>

   </div>
</div>

<script type="text/javascript">
	lockContext();
    
    $( '.sendtoged' ).css( 'cursor', 'pointer');
    $( '.sendtoged' ).click( function() {
        gui.message({
            title: "<?php echo __d('default', 'Versement en GED'); ?>",
            msg: "<?php echo __d('default', 'Etes-vous sûr de vouloir verser ce flux en GED ?'); ?>",
            buttons: {
                "<?php echo __d('default', 'Button.confirm'); ?>": function() {
                    $(this).dialog("close");

                    gui.loader({
                        message: gui.loaderMessage,
                        element: $('#courrier_skel')
                    });

                    var updateElement = $(this);
                    gui.request({
                        url: "/courriers/sendToGed/<?php echo $courrier['Courrier']['id']; ?>",
                        updateElement: updateElement
                    }, function() {
                        updateElement.removeAttr('loaded');
                        loadContextTab(updateElement);
                        window.location.reload();
                    });
                },
                "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                    $(this).dialog("close");
                }
            }
        });
    });
</script>

<?php 
//debug($courrier);
//debug($bannettes);
?>