<?php
/**
 *
 * Courriers/set_affaire.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
	function selectDossier(){
		if ($('#AffaireDossierId option:selected').val() != "new"){
			$('#DossierName').parent().css('display', 'none');
			$('#DossierComment').parent().css('display', 'none');
			$('#DossierName').attr('disabled', 'disabled');
			$('#DossierComment').attr('disabled', 'disabled');
		} else {
			$('#DossierName').parent().css('display', 'block');
			$('#DossierComment').parent().css('display', 'block');
			$('#DossierName').removeAttr('disabled');
			$('#DossierComment').removeAttr('disabled');
		}
	}
</script>

<div id="affaireAccordion">
<?php
if (!empty($dossiers)) {
	$options = array(
		'nodes' => array(
			array(
				'model' => 'Dossier',
				'field' => 'name'
			),
			array(
				'model' => 'Affaire',
				'field' => 'name',
				'actions' => array(
					"select" => array(
						"ico" => Configure::read('BaseUrl') . '/img/affaire_locked.png',
						"icoAlt" => Configure::read('BaseUrl') . '/img/affaire_unlocked.png',
						"url" => Configure::read('BaseUrl') . '/courriers/setAffaire/' . $this->data['Courrier']['id']
					)
				)
			)
		)
		,
		'listId' => 'browser',
		'listClass' => 'filetree',
		'selectedChild' => $selectedAffaire
	);

	$list = $this->Liste->jqueryTreeView($dossiers, $options);
    echo $this->Html->tag('h3', __d('courrier', 'Courrier.affaire.associate'));
	echo $this->Html->tag('div', $list, array('class' => 'ui-widget-content ui-corner-all divContent', 'style' => 'padding: 15px;height: 145px;overflow: auto;'));
}

echo $this->Html->tag('h3', __d('courrier', 'Courrier.affaire.assoc.new'));
$form = $this->Form->create('Affaire', array('status' => 'disabled'));
$form .= $this->Form->input('Affaire.name', array('label' => __d('affaire', 'Affaire.name'), 'type' => 'text', 'value' => $newAffaireName));
$form .= $this->Form->input('Affaire.comment', array('label' => __d('affaire', 'Affaire.comment'), 'type' => 'textarea'));
$form .= $this->Form->input('Affaire.dossier_id', array('label' => __d('affaire', 'Affaire.dossier'), 'type' => 'select', 'options' => array_merge(array('new' => __d('dossier', 'Dossier.add')), $listDossiers), 'empty' => true));
$form .= $this->Form->input('Dossier.name', array('label' => __d('dossier', 'Dossier.name'), 'type' => 'text', 'value' => $newDossierName));
$form .= $this->Form->input('Dossier.comment', array('label' => __d('dossier', 'Dossier.comment'), 'type' => 'textarea'));
$form .= $this->Form->end();
echo $this->Html->tag('div', $form, array('class' => 'ui-widget-content ui-corner-all divContent', 'style' => 'padding: 15px;'));
?>
</div>
<script type="text/javascript">
	$("#browser").treeview({ collapsed: true });

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	});


	$('.treeviewBttn img').each(function(){
		if ($(this).hasClass('actionImg')){
			$(this).button();
		}
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){
			gui.request({
				url: href,
				loaderElement: $('#affaireAccordion'),
				loaderMessage: gui.loaderMessage
			}, function(data){
				getJsonResponse(data);
				$('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
			});
		});
		parentLink.remove();
	});


<?php if (isset($selectedAffaire) && $selectedAffaire != '') { ?>
	    $('.folder', $('#Affaire_<?php echo $selectedAffaire; ?>').parent().parent().parent().parent().parent()).click();
<?php } ?>

	$('#affaireAccordion').accordion({
		change: function(event, ui){
			if ($('#AffaireSetAffaireForm', ui.newContent).length > 0){
				$('#AffaireSetAffaireForm').attr('status', 'enabled');
			} else {
				$('#AffaireSetAffaireForm').attr('status', 'disabled');
			}
		}
	});
	$('#affaireAccordion h3').css({'padding': '5px'});
	$('#affaireAccordion .divContent').css('height', '350px');

	$('#AffaireDossierId').change(function(){
		selectDossier();
	});
	selectDossier();

</script>
