<?php
/**
 *
 * Courriers/set_infos.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->script('contactinfo.js', array('inline' => true));


if (!empty($newCourrierId)) {
	echo $newCourrierId;
} else {

	$direction = array(
		0 => array(
//			'img' => $this->Html->image('/img/flux_sortant.png'),
			'img' => $this->Html->image('/img/folder_outbox.png'),
			'txt' => __d('courrier', 'Courrier.courrier_sortant'),
			'contact' => 'dest'
		),
		1 => array(
//			'img' => $this->Html->image('/img/flux_entrant.png'),
			'img' => $this->Html->image('/img/folder_inbox.png'),
			'txt' => __d('courrier', 'Courrier.courrier_entrant'),
			'contact' => 'exp'
		),
		2 => array(
			'img' => $this->Html->image('/img/flux_interne.png'),
			'txt' => __d('courrier', 'Courrier.courrier_interne'),
			'contact' => 'exp'
		)
	);

	$tabDelaiUnite = array('jour', 'semaine', 'mois');

	$formOptions = array(
		'type' => 'file',
		'url' => array(
			'controller' => 'courriers',
			'action' => 'setQualification',
			$this->data['Courrier']['id']
		)
	);
	?>
	<script type="text/javascript">
		/*function refreshContacts() {
			gui.request({
				url: "/courriers/getContacts",
				loader: true,
				updateElement: $('#ui-tabs-1 fieldset')
			}, function(data) {
				$('#CourrierContactId').html(data);
			});
		}*/

        function refreshContacts(contactNameValue) {
            $('#CourrierContactName').val(contactNameValue);
		}

        function refreshContactInfos(contactId) {

			$('#CourrierContactinfoId').html('');
			gui.request({
				url: '/contacts/searchContactinfo/' + contactId
			}, function(data) {
				$('#CourrierContactId').val(contactId);
				var json = jQuery.parseJSON(data);
				for (i in json) {
					$('#CourrierContactinfoId').append($('<option>' + json[i]['Contactinfo']['name'] + '</option>').attr('value', json[i]['Contactinfo']['id']));
                    
                    var contactinfo = json[i]['Contactinfo'];
                    if (typeof contactinfo['id'] !== 'undefined') {
                        var option = $('<option />')
                                .append(contactinfo['name'])
                                .val(contactinfo['id']);
                        $('#CourrierContactinfoId')
//                                .append(option)
                                .bind('change', showContactinfo())
                                .parent().append(createContactinfo(contactinfo));
                    }
                    $('#contactInfoCard' + $('#CourrierContactinfoId option:selected').val()).show();
				}
			});
		}
        
		function genPriorityImg() {
			var img = $('<img />').attr('id', 'priorityImg').css({
				width: '16px',
				height: '16px',
				"vertical-align": "middle"
			});

			var priorityLevel = $('#CourrierPriorite option:selected').val();
			if (priorityLevel == 0) {
				img.attr('src', '/img/priority_low.png');
			} else if (priorityLevel == 1) {
				img.attr('src', '/img/priority_mid.png');
			} else if (priorityLevel == 2) {
				img.attr('src', '/img/priority_high.png');
			}

			$('#CourrierPriorite').after(img);
		}


		//contruction du tableau de types / soustypes
		var types = [];
	<?php foreach ($types as $type) { ?>
			var type = {
				id: "<?php echo $type['Type']['id']; ?>",
				name: "<?php echo $type['Type']['name']; ?>",
				soustypes: []
			};
		<?php foreach ($type['Soustype'] as $stype) { ?>
				var soustype = {
					id: "<?php echo $stype['id']; ?>",
					name: "<?php echo $stype['name']; ?>",
					entrant: "<?php echo $stype['entrant']; ?>"
				};
				type.soustypes.push(soustype);
		<?php } ?>
			types.push(type);
	<?php } ?>
		function fillSoustypes(type_id, stype_id) {
			$("#CourrierSoustypeId").empty();
			$("#CourrierSoustypeId").append($("<option value=''> --- </option>"));

			for (i in types) {
				if (types[i].id == type_id) {
					for (j in types[i].soustypes) {
						if (types[i].soustypes[j].id == stype_id) {
							$("#CourrierSoustypeId").append($("<option value='" + types[i].soustypes[j].id + "' selected='selected'>" + types[i].soustypes[j].name + "</option>"));
						} else {
							$("#CourrierSoustypeId").append($("<option value='" + types[i].soustypes[j].id + "'>" + types[i].soustypes[j].name + "</option>"));
						}
					}
				}
			}
		}




		function setFieldSetContact(stypeId) {
			if (stypeId == -1) {
				$('#fieldsetContact').css('display', 'none');
			} else if (stypeId == 0) {
				$('#fieldsetContact').hide('fast');
			} else {
				$('#fieldsetContact').show('slow');
				var sens;
				for (i in types) {
					for (j in types[i].soustypes) {
						if (types[i].soustypes[j].id == stypeId) {
							sens = types[i].soustypes[j].entrant;
						}
					}
				}
				if (sens == 1 || sens == 2) {
					$('#fieldsetContact legend').html("<?php echo __d('courrier', 'Courrier.contactFieldset.exp'); ?>");
					$('#fieldsetContact label[for=CourrierContactName]').html("<?php echo __d('courrier', 'Courrier.contact.exp'); ?>");
					$('#fieldsetContact label[for=CourrierContactinfoId]').html("<?php echo __d('courrier', 'Courrier.contactinfo.exp'); ?>");
				} else if (sens == 0) {
					$('#fieldsetContact legend').html("<?php echo __d('courrier', 'Courrier.contactFieldset.dest'); ?>");
					$('#fieldsetContact label[for=CourrierContactName]').html("<?php echo __d('courrier', 'Courrier.contact.dest'); ?>");
					$('#fieldsetContact label[for=CourrierContactinfoId]').html("<?php echo __d('courrier', 'Courrier.contactinfo.dest'); ?>");
				}
			}
		}

	</script>
	<?php
	$url = array('controller' => 'courriers', 'action' => 'setInfos');
	if (isset($this->data['Courrier']['id'])) {
		$url[] = $this->data['Courrier']['id'];
	}

	echo $this->Form->create('Courrier', array('name' => 'CourrierSetInfosForm', 'url' => $url));
	echo $this->Form->input('Courrier.id');


	$fluxFieldsetContent = $this->Html->tag('legend', __d('courrier', 'Courrier.fluxFieldset'));
	$fluxFieldsetContent.= $this->Form->input('Courrier.name', array('label' => __d('courrier', 'Courrier.intitule')));
	$fluxFieldsetContent.= $this->Form->input('Courrier.objet', array('label' => __d('courrier', 'Courrier.objet')));
	$priorites = array(
		0 => __d('courrier', 'Courrier.priorite_basse'),
		1 => __d('courrier', 'Courrier.priorite_moyenne'),
		2 => __d('courrier', 'Courrier.priorite_haute')
	);
	$fluxFieldsetContent.= $this->Form->input('Courrier.priorite', array('type' => 'select', 'options' => $priorites, 'default' => 0, 'label' => __d('courrier', 'Courrier.priorite')));
    $fluxFieldsetContent.= $this->Form->input('Courrier.affairesuiviepar_id', array('type' => 'select', 'options' => $allDesktops, 'empty' => true, 'label' => __d('courrier', 'Courrier.affairesuiviepar_id')));
	echo $this->Html->tag('fieldset', $fluxFieldsetContent);
	?>

	<fieldset class="fieldsetEdit">
		<legend><?php echo __d('courrier', 'Qualification'); ?></legend>
		<?php
		echo $this->Form->input('Courrier.id');
		echo $this->Form->input('Types.Type', array('label' => __d('type', 'Type'), "options" => array(), 'disabled' => $isInCircuit ? 'disabled' : ''));
		echo $this->Form->input('Courrier.soustype_id', array('label' => __d('soustype', 'Soustype'), "options" => array(), 'disabled' => $isInCircuit ? 'disabled' : ''));
// 		echo $this->Form->input('Courrier.reference', array('disabled' => 'disabled', 'label' => __d('courrier', 'Courrier.reference')));
		?>
		<div class="input text">
			<?php
			echo $this->Html->tag('label', __d('courrier', 'Courrier.reference'), array('for' => 'CourrierReference'));
			$courrierReferenceContent = (isset($this->data['Courrier']['reference']) ? $this->data['Courrier']['reference'] : '');
			echo $this->Html->tag('span', $courrierReferenceContent, array('class' => 'fakeDisabledInputText'));
			?>
		</div>
		<div class="input text">
			<?php
			echo $this->Html->tag('label', __d('courrier', 'Courrier.entrant/sortant'), array('for' => 'SoustypeEntrant'));
			$soustypeEntrantContent = (isset($this->data['Soustype']['entrant']) ? $direction[$this->data['Soustype']['entrant']]['img'] . " " . $direction[$this->data['Soustype']['entrant']]['txt'] : '');
			echo $this->Html->tag('span', $soustypeEntrantContent, array('class' => 'fakeDisabledInputText'));
			?>
		</div>

		<!--		<div class="input text">
		<?php
//			echo $this->Html->tag('label', __d('soustype', 'Soustype.delai'), array('for' => 'SoustypeDelai'));
//			$soustypeDelaiContent = ((isset($this->data['Soustype']['delai_nb']) && isset($this->data['Soustype']['delai_unite'])) ? $this->data['Soustype']['delai_nb'] . " " . $tabDelaiUnite[$this->data['Soustype']['delai_unite']] . (($this->data['Soustype']['delai_nb'] > 1) ? 's' : '' ) : '&nbsp;');
//			echo $this->Html->tag('span', $soustypeDelaiContent, array('class' => 'fakeDisabledInputText'));
		?>
				</div>-->
		<div class="input text" id="delai">
			<?php
//			echo $this->Html->tag('label', __d('courrier', 'Courrier.delai'), array('for' => 'CourrierDelai'));
			$soustypeDelaiNb = (isset($this->data['Courrier']['delai_nb'])) ? $this->data['Courrier']['delai_nb'] : $this->data['Soustype']['delai_nb'];
			$soustypeDelaiUnite = (isset($this->data['Courrier']['delai_unite'])) ? $this->data['Courrier']['delai_unite'] : $this->data['Soustype']['delai_unite'];
			echo $this->Form->input('Courrier.delai_nb', array('label' => 'Délai de traitement', 'type' => 'text', 'value' => $soustypeDelaiNb, 'class' => 'halfSize')) . $this->Form->input('Courrier.delai_unite', array('label' => false, 'type' => 'select', 'options' => $tabDelaiUnite, 'value' => $soustypeDelaiUnite, 'empty' => true, 'class' => 'halfSize'));
			?>
		</div>
	</fieldset>


	<?php
	$contactFieldsetContent = $this->Html->tag('legend', __d('courrier', 'Courrier.contactFieldset'));
	$contactFieldsetContent .= $this->Form->input('ContactName', array('type' => 'text', 'value' => $contactname, 'label' => __d('courrier', 'Courrier.contact')));
	$contactFieldsetContent .= $this->Form->input('ContactId', array('type' => 'hidden', 'value' => $contactid != '' ? $contactid : 0));

	$contactinfosOpts = array();
	for ($i = 0; $i < count($contactinfos); $i++) {
		$contactinfosOpts[$contactinfos[$i]['Contactinfo']['id']] = str_replace("&apos;", "'", $contactinfos[$i]['Contactinfo']['name']);
	}

	$contactFieldsetContent .= $this->Form->input('Courrier.contactinfo_id', array('type' => 'select', 'options' => $contactinfosOpts, 'label' => __d('courrier', 'Courrier.contactinfo')));
	echo $this->Html->tag('fieldset', $contactFieldsetContent, array('id' => 'fieldsetContact'));

	$dateFieldsetContent = $this->Html->tag('legend', __d('courrier', 'Courrier.dateFieldset'));
	$dateFieldsetContent.= $this->Form->input('Courrier.datereception', array('label' => __d('courrier', 'Courrier.datereception'), 'type' => 'text', 'class' => 'datepicker'));
    $dateFieldsetContent.= $this->Form->input('Courrier.date', array('label' => __d('courrier', 'Courrier.date'), 'type' => 'text', 'class' => 'datepicker'));
	echo $this->Html->tag('fieldset', $dateFieldsetContent);


	//Commentaires
//	debug($this->GFCComment->drawComments($comments));
//	echo $this->Html->tag('fieldset ', $this->Html->tag('legend', __d('courrier', 'Courrier.commentFieldset')) . $this->GFCComment->drawComments($comments) . $this->GFCComment->drawForm($commentReaders));

	echo $this->Form->end();
	?>

	<script type="text/javascript">
		$(document).ready(function() {
            $("#CourrierAffairesuivieparId").select2();
            
			$("#CourrierSetInfosForm").validate({
				rules: {
					"data[Courrier][name]": "required"
				}
			});

			$('#CourrierDate').before("<input type='text' id='dateAltField' />");
			$('#CourrierDate').css('display', 'none');
			gui.datepicker({
				element: $("#CourrierDate"),
				image: "/img/date.png",
				dateFormat: "yy-mm-dd",
				altFormat: "dd/mm/yy",
				altField: "#dateAltField"
			});

			$('#dateAltField').change(function() {
				var tmpdate = $(this).val().split('/');
				$('#CourrierDate').val($.datepicker.formatDate("yy-mm-dd", new Date(tmpdate[2], tmpdate[1] - 1, tmpdate[0])));
			});

			$('#CourrierDatereception').before("<input type='text' id='datereceptionAltField' />");
			$('#CourrierDatereception').css('display', 'none');
			gui.datepicker({
				element: $("#CourrierDatereception"),
				image: "/img/date.png",
				dateFormat: "yy-mm-dd",
				altFormat: "dd/mm/yy",
				altField: "#datereceptionAltField"
			});


			$('.datepicker').each(function() {
				if ($(this).datepicker('getDate') == null) {
					$(this).datepicker('setDate', new Date());
				} else {
					$($(this).datepicker('option', 'altField')).val($.datepicker.formatDate("dd/mm/yy", $(this).datepicker('getDate')));
				}
			});


			$("#TypesType").append($("<option value=''> --- </option>"));
			//remplissage de la liste des types
			for (i in types) {
				$("#TypesType").append($("<option value='" + types[i].id + "'>" + types[i].name + "</option>"));
			}
			//definition de l action sur type
			$("#TypesType").bind('change', function() {
				var type_id = $('option:selected', this).attr('value');
				fillSoustypes(type_id);
				if (type_id == '') {
					setFieldSetContact(0);
				}
			});
			//definition de l action sur stype
			$("#CourrierSoustypeId").bind('change', function() {
				var stype_id = $('option:selected', this).attr('value');
				
				$('.msgChange').remove();

				var reloadImgString = '<?php echo $this->Html->image('/img/reload.png'); ?>';
				var reloadImgFullString = '<?php echo $this->Html->image('/img/reload.png ', array('alt' => __d('courrier', 'Courrier.messagechange.short'), 'title' => __d('courrier', 'Courrier.messagechange'))); ?>';

				$('.fakeDisabledInputText').after($('<span></span>').addClass('msgChange').html(reloadImgString + ' ' + "<?php echo __d('courrier', 'Courrier.messagechange'); ?>"));
				$('#delai').after($('<div></div>').addClass('msgChange').html(reloadImgString + ' ' + "<?php echo __d('courrier', 'Courrier.messagechange'); ?>"));
				$('.context_accordion .ui-accordion-header').each(function() {
					if ($('a', this).length > 0) {
						$(this).append($('<span></span>').addClass('msgChange').html(reloadImgFullString));
					}
				});
                
//                $( '#courrier_skel #flux_context' ).removeClass('open');
			});

	<?php if (!empty($this->data['Soustype']['id'])) {
		?>
				$("#TypesType option").each(function() {
					if ($(this).attr('value') == "<?php echo $this->data['Soustype']['type_id']; ?>") {
						$(this).attr('selected', 'selected');
						var type_id = parseInt("<?php echo $this->data['Soustype']['type_id']; ?>");
						var stype_id = parseInt("<?php echo $this->data['Soustype']['id']; ?>");

						if (stype_id != "") {
							fillSoustypes(type_id, stype_id);
							setFieldSetContact(stype_id);
						}
						else {
							fillSoustypes(type_id);
							setFieldSetContact(0);
						}
					}
				});
	<?php } else { ?>
//				setFieldSetContact(-1);
	<?php } ?>

		});

		$('#CourrierPriorite').change(function() {
			$('#priorityImg').remove();
			genPriorityImg();
		});
		genPriorityImg();

	<?php $addContactImg = $this->Html->image('/img/contact_add_16.png', array('id' => 'addContact', 'name' => 'addContact', 'title' => __d('addressbook', 'Contact.add'))); ?>
		var addContactImg = $('<?php echo $addContactImg; ?>').css({height: '16px', width: '16px'}).click(function() {
			gui.formMessage({
				url: "/contacts/add",
				loader: true,
				loaderMessage: gui.loaderMessage,
				updateElement: $('#addContact').parents('fieldset'),
				width: 550,
				buttons: {
					"<?php echo __d('default', 'Button.submit'); ?>": function() {
						var form = $('#ContactAddForm');
                        contactNameValue = $('#ContactName').val();
						if (form.valid()) {
							gui.request({
								url: form.attr('action'),
								data: form.serialize()
							}, function(data) {
                                var settings = {};
                                jQuery.jGrowl("Les informations ont bien été enregistrées", settings);
                                contactId = data;
 								refreshContacts(contactNameValue);
 								refreshContactInfos(contactId);
//								getJsonResponse(data);
//								refreshContacts();
							});
							$(this).dialog('close');
						}
					},
					"<?php echo __d('default', 'Button.cancel'); ?>": function() {
						$(this).dialog('close');
					}
				}
			});
		}).appendTo($('#CourrierContactName').parent());

// Modification contact
        <?php
            $editContactImg = $this->Html->image('/img/edit_16.png', array('id' => 'editContact', 'name' => 'editContact', 'title' => __d('addressbook', 'Contact.edit')));
        ?>
        var editContactImg = $('<?php echo $editContactImg; ?>').css({height: '16px', width: '16px'}).click(function() {
            var contactId = $('#CourrierContactId').val();
			if (contactId == 0) {
				gui.message({
					title: '<?php echo __d('contact', 'Contact.edit') ?>',
					msg: '<?php echo __d('contact', 'Contact.edit.undefined') ?>'
				})
			} else {
                gui.formMessage({
                    url: "/contacts/edit/" + contactId,
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                    updateElement: $('#editContact').parents('fieldset'),
                    width: 600,
                    buttons: {
                        "<?php echo __d('default', 'Button.submit'); ?>": function() {
                            var form = $('#ContactEditForm');

                            if (form.valid()) {
                                contactNameValue = $('#ContactName').val();
                                gui.request({
                                    url: form.attr('action'),
                                    data: form.serialize()
                                }, function(data) {
                                    getJsonResponse(data);
     								refreshContacts(contactNameValue);
                                    refreshContactInfos(contactId);
                                });
                                $(this).dialog('close');
                            }
                        },
                        "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                            $(this).dialog('close');
                        }
                    }
                });
            }
		}).appendTo($('#CourrierContactName').parent());
        
	<?php $addContactinfoImg = $this->Html->image('/img/vcard_add.png', array('id' => 'addContactinfo', 'name' => 'addContactinfo', 'title' => __d('contact', 'Contactinfo.add'))); ?>

		var addContactinfoImg = $('<?php echo $addContactinfoImg; ?>').click(function() {
			var contactId = $('#CourrierContactId').val();
			if (contactId == 0) {
				gui.message({
					title: '<?php echo __d('contact', 'Contactinfo.add') ?>',
					msg: '<?php echo __d('contact', 'Contactinfo.add.undefined') ?>'
				})
			} else {
				gui.formMessage({
					url: "/contactinfos/add/" + contactId,
					loader: true,
					updateElement: $('#addContactinfo').parents('fieldset'),
					loaderMessage: gui.loaderMessage,
					width: 550,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#ContactinfoAddForm');
                            var contactNameValue = $('#CourrierContactName').val();
							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
                                    refreshContacts(contactNameValue);
                                    refreshContactInfos(contactId);
//									refreshContacts();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				});
			}
		}).appendTo($('#CourrierContactinfoId').parent());
        
         // Modification fiche contact
        <?php
        $editContactinfoImg = $this->Html->image('/img/edit_16.png', array('id' => 'editContactinfo', 'name' => 'editContactinfo', 'title' => __d('contact', 'Contactinfo.edit')));
        ?>

		var editContactinfoImg = $('<?php echo $editContactinfoImg; ?>').css({height: '16px', width: '16px'}).click(function() {
			var contactinfoId = $('#CourrierContactinfoId').val();

			if (contactinfoId == 0 || contactinfoId == undefined || contactinfoId == null) {
				gui.message({
					title: '<?php echo __d('contact', 'Contactinfo.edit') ?>',
					msg: '<?php echo __d('contact', 'Contactinfo.edit.undefined') ?>'
				})
			} else {
				gui.formMessage({
					url: "/contactinfos/edit/" + contactinfoId,
					loader: true,
					updateElement: $('#editContactinfo').parents('fieldset'),
					loaderMessage: gui.loaderMessage,
					width: 600,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function() {
							var form = $('#ContactinfoEditForm');
							if (form.valid()) {
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data) {
									getJsonResponse(data);
//                                    refreshContactInfos(contactId);
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function() {
							$(this).dialog('close');
						}
					}
				});
			}
		}).appendTo($('#CourrierContactinfoId').parent());

		$.widget("custom.catcomplete", $.ui.autocomplete, {
			_renderMenu: function(ul, items) {
				var self = this,
						currentCategory = "";

				$.each(items, function(index, item) {
					if (item.category != currentCategory) {
						ul.append("<li class='ui-autocomplete-category'>" + item.category + "</li>");
						currentCategory = item.category;
					}
					self._renderItem(ul, item);
				});

			},
			_renderItem: function(ul, item) {
				return $("<li></li>")
						.data("item.autocomplete", item)
						.append($("<a></a>")[ this.options.html ? "html" : "text" ](item.label)
								.prepend('&nbsp;&nbsp;')
								.prepend($('<img></img>').attr('src', '/img/contact_' + item.img + '.png').attr('alt', item.img).css('vertical-align', 'middle'))
								)
						.appendTo(ul);
			}


		});

		$('#CourrierContactinfoId').bind('change', function() {
			showContactinfo();
		});

		// Using jQuery UI's autocomplete widget:
		$('#CourrierContactName').bind("keydown", function(event) {
			//keycodes - maj : 16, ctrl : 17, alt : 18
			if (event.keyCode !== 16 &&
					event.keyCode !== 17 &&
					event.keyCode !== 18) {
				$('#CourrierContactId').val(0);
				$('#CourrierContactinfoId').html('');
			}
			if (event.keyCode === $.ui.keyCode.TAB &&
					$(this).data("autocomplete").menu.active) {
				event.preventDefault();
			}
		}).catcomplete({
			minLength: 3,
			source: '/contacts/search',
			select: function(event, ui) {
				$('#CourrierContactinfoId').empty();
				gui.request({
					url: '/contacts/searchContactinfo/' + ui.item.id
				}, function(data) {
					$('#CourrierContactId').val(ui.item.id);
					var json = jQuery.parseJSON(data);
					$('.contactInfoCard').remove();
					for (var i = 0, ln = json.length; i < ln; i++) {
						var contactinfo = json[i]['Contactinfo'];

						if (typeof contactinfo['id'] !== 'undefined') {
							var option = $('<option />')
									.append(contactinfo['name'])
									.val(contactinfo['id']);
							$('#CourrierContactinfoId').append(option).parent().append(createContactinfo(contactinfo));
						}
					}
					showContactinfo();
				});
			}
		});

		var jsContactinfo = $.parseJSON('<?php echo json_encode($contactinfos); ?>');
		for (var i = 0, jsContactinfoLn = jsContactinfo.length; i < jsContactinfoLn; i++) {
			$('#CourrierContactinfoId').parent().append(createContactinfo(jsContactinfo[i]['Contactinfo']));
		}
		showContactinfo();
	</script>
<?php } ?>