<?php
/**
 *
 * Courriers/set_meta.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php if (!empty($thesaurus_keywords)) { ?>
	<script type="text/javascript">
		var thesaurus_keywords = new Array();
	<?php foreach ($thesaurus_keywords as $item) { ?>
			var thkw = new Array();
			var keywordlist = new Array();
			keywordlist['id'] = <?php echo $item['keywordlist']['id']; ?>;
			keywordlist['nom'] = "<?php echo $item['keywordlist']['nom']; ?>";
			var keywords = new Array();
		<?php foreach ($item['keywords'] as $kkeyword => $keyword) { ?>
					keywords[<?php echo $kkeyword; ?>] = "<?php echo $keyword; ?>";
		<?php } ?>
				thkw.push(keywordlist);
				thkw.push(keywords);
				thesaurus_keywords.push(thkw);
				keywordlist = null;
				keywords = null;
				thkw = null;
	<?php } ?>
		thesaurus.create(thesaurus_keywords);
	</script>
<?php } ?>

<fieldset class="fieldsetEdit">
	<legend><?php echo __d('courrier', 'Metadonnees'); ?></legend>
	<?php
	echo $this->Form->create('CourrierMetadonnee', array('url' => array('controller' => 'courriers', 'action' => 'setMeta', $this->request->params['pass'][0])));

	foreach ($metas as $i => $meta) {
		if (!empty($meta['CourrierMetadonnee'])) {
			echo $this->Form->input("CourrierMetadonnee.{$i}.id", array('type' => 'hidden', 'value' => $meta['CourrierMetadonnee']['id']));
		}
		echo $this->Form->input("CourrierMetadonnee.{$i}.courrier_id", array('type' => 'hidden', 'value' => $this->request->params['pass'][0]));
		echo $this->Form->input("CourrierMetadonnee.{$i}.metadonnee_id", array('type' => 'hidden', 'value' => $meta['Metadonnee']['id']));

		$inputOptions = array(
			'label' => $meta['Metadonnee']['name'],
			'type' => 'text',
			'value' => !empty($meta['CourrierMetadonnee']) ? $meta['CourrierMetadonnee']['valeur'] : '',
			'class' => 'text'
		);
		if ($meta['Metadonnee']['typemetadonnee_id'] == 1) {
			$inputOptions['size'] = '10';
			$inputOptions['class'] = 'date';
		}
		if ($meta['Metadonnee']['typemetadonnee_id'] == 3) {
			$inputOptions = array(
				'type' => 'checkbox',
				'div' => true,
				'label' => $meta['Metadonnee']['name'],
				'class' => 'bool',
				'checked' => !empty($meta['CourrierMetadonnee']) ? ($meta['CourrierMetadonnee']['valeur'] == 1 ? true : false) : false
			);
		}
        // Ajout de la valeur Select dans le type de métadonnée
        $valOfSelect =  Configure::read('Selectvaluemetadonnee.id');
		if ($meta['Metadonnee']['typemetadonnee_id'] == $valOfSelect ) {
//            debug($meta);
			$inputOptions = array(
				'type' => 'select',
				'div' => true,
				'label' => $meta['Metadonnee']['name'],
				'class' => 'select',
				'selected' => !empty($meta['CourrierMetadonnee']['valeur']) ? ($meta['CourrierMetadonnee']['valeur']) : null,
                'options' => !empty( $meta['Selectvaluemetadonnee'] ) ? $meta['Selectvaluemetadonnee'] : null,
                'empty' => true
			);
		}
		echo $this->Form->input("CourrierMetadonnee.{$i}.valeur", $inputOptions);
		if ($meta['Metadonnee']['typemetadonnee_id'] == 1) {
			?>
			<script type="text/javascript">
				gui.datepicker({
					element: $("#<?php echo "CourrierMetadonnee{$i}Valeur"; ?>"),
					image: "/img/date.png"
				});
			</script>
			<?php
		}
	}
	echo $this->Form->end();
	?>
</fieldset>

<?php if (!empty($thesaurus_keywords)) { ?>
	<script type="text/javascript">
		$('#CourrierMetadonneeSetMetaForm input[type=text].text').parent().append('<img src="/img/thesaurus.png" class="thesaurusShowBttn" alt="Ouvrir le thésaurus" title="Ouvrir le thésaurus" />');

		$('.thesaurusShowBttn').click(function(){
			thesaurus.show($(this).parent(), $('input[type=text].text', $(this).parent()));
		});

	</script>
<?php } ?>