<?php
/**
 *
 * Desktops/set_deleg.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css('zones/delegation/index');
echo $this->Html->tag('h2', __d('desktop', 'Desktop.Desktop') . ' : ' . $desktopName);
?>


<script type="text/javascript">
	function showPlanification() {
		if ($('#DesktopsUserPlanification').attr('checked') == 'checked') {
			$('#fieldsetPlan').css("display", "block");
		} else {
			$('#fieldsetPlan').css("display", "none");
		}
	}

</script>

<?php
$delegationsContent = $this->Html->tag('legend', __d('desktop', 'Desktop.deleg'), array('class' => 'ui-state-focus'));
if (!empty($desktopsuser)) {
	$ulContent = '';
	foreach ($desktopsuser as $desktopuser) {
		$spanUnset = "";
		if ($desktopuser['User']['id'] != CakeSession::read('Auth.User.id') || CakeSession::read('Auth.User.Env.actual.group_id') == ADMIN_GID || in_array($desktopuser['Desktop']['id'], $baseDesktops)) {
			$imgUnset = $this->Html->image('/img/delete.png', array('url' => '/desktops/setDeleg/' . $desktopId . '/' . $desktopuser['DesktopsUser']['user_id'] . '/1', 'style' => 'height: 16px;width:16px;', 'alt' => __d('deleg', 'Deleg.unset'), 'title' => __d('deleg', 'Deleg.unset')));
			$spanUnset = $this->Html->tag('span', $imgUnset, array('style' => 'float: right;'));
		}
		$ulContent .= $this->Html->tag('li', $users[$desktopuser['DesktopsUser']['user_id']] . $spanUnset, array('class' => 'delegateToUser'));
	}
	$delegationsContent .= $this->Html->tag('ul', $ulContent, array('class' => 'delegateToUserList'));
} else {
	$delegationsContent .= $this->Html->tag('div', __d('desktop', 'Desktop.deleg.void'), array('class' => 'ui-state-highlight voidMessage', 'style' => 'text-align: center;'));
}
echo $this->Html->tag('fieldset', $delegationsContent, array('class' => 'fieldsetEdit delegLists'));

$plandelegationsContent = $this->Html->tag('legend', __d('desktop', 'Desktop.deleg.plan'), array('class' => 'ui-state-focus'));
$time = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
if (!empty($plandelegations)) {
	$ulContent = '';
	foreach ($plandelegations as $plandelegation) {

		$spanUnset = '';

		$tmp = explode(' ', $plandelegation['Plandelegation']['date_start']);
		$tmp2 = explode('-', $tmp[0]);
		$start = mktime(0, 0, 0, $tmp2[1], $tmp2[2], $tmp2[0]);
		if (intval($start) - intval($time) > 0) {
			if ($desktopuser['User']['id'] == CakeSession::read('Auth.User.id') || CakeSession::read('Auth.User.Env.actual.group_id') == ADMIN_GID || in_array($desktopuser['Desktop']['id'], $baseDesktops)) {
				$imgUnset = $this->Html->image('/img/delete.png', array('url' => '/desktops/setDeleg/' . $desktopId . '/' . $plandelegation['Plandelegation']['user_id'] . '/1/1', 'style' => 'height: 16px;width:16px;', 'alt' => __d('deleg', 'Deleg.unset'), 'title' => __d('deleg', 'Deleg.unset')));
				$spanUnset .= $this->Html->tag('span', $imgUnset, array('style' => 'float: right;'));
			}
		} else {
			$tmp = explode(' ', $plandelegation['Plandelegation']['date_end']);
			$tmp2 = explode('-', $tmp[0]);
			$end = mktime(0, 0, 0, $tmp2[1], $tmp2[2], $tmp2[0]);

			if (intval($end) - intval($time) < 0) {
				$spanUnset .= $this->Html->image('/img/valid_16.png', array('alt' => __d('desktop', 'Desktop.delegation.fullend'), 'title' => __d('desktop', 'Desktop.delegation.fullend'), 'class' => 'delegation_fullend', 'style' => 'float: right;'));
			} else {
				$spanUnset .= $this->Html->image('/img/working.png', array('alt' => __d('desktop', 'Desktop.delegation.active'), 'title' => __d('desktop', 'Desktop.delegation.active'), 'class' => 'delegation_active', 'style' => 'float: right;'));
			}
		}
		$liContent = $this->Html->tag('div', $users[$plandelegation['Plandelegation']['user_id']] . $spanUnset);
		$liContent .= $this->Html->tag('div', '(' . $this->Html2->ukToFrenchDateWithSlashes($plandelegation['Plandelegation']['date_start']) . ' - ' . $this->Html2->ukToFrenchDateWithSlashes($plandelegation['Plandelegation']['date_end']) . ')');
		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'delegateToUser'));
	}
	$plandelegationsContent .= $this->Html->tag('ul', $ulContent, array('class' => 'delegateToUserList'));
} else {
	$plandelegationsContent .= $this->Html->tag('div', __d('desktop', 'Desktop.deleg.plan.void'), array('class' => 'ui-state-highlight voidMessage', 'style' => 'text-align: center;'));
}
echo $this->Html->tag('fieldset', $plandelegationsContent, array('class' => 'fieldsetEdit delegLists'));


$delegationSetupContent = $this->Html->tag('legend', __d('desktop', 'Desktop.deleg.add'), array('class' => 'ui-state-focus'));
$delegationSetupContent .= $this->Form->create('DesktopsUser');
$delegationSetupContent .= $this->Form->input('DesktopsUser.desktop_id', array('value' => $desktopId, 'type' => 'hidden'));
$delegationSetupContent .= $this->Form->input('DesktopsUser.user_id', array('options' => $chooseusers, 'label' => __d('user', 'Utilisateur')));
$delegationSetupContent .= $this->Form->input('DesktopsUser.delegation', array('value' => true, 'type' => 'hidden'));
$delegationSetupContent .= $this->Form->input('DesktopsUser.planification', array('type' => 'checkbox', 'label' => __d('desktop', 'Desktop.delegation.planification.active')));

$planSetupContent = $this->Html->tag('legend', __d('desktop', 'Desktop.delegation.planification'));
$planSetupContent .= $this->Form->input('DesktopsUser.date_start', array('type' => 'text', 'label' => __d('desktop', 'Desktop.deleg.datestart')));
$planSetupContent .= $this->Form->input('DesktopsUser.date_end', array('type' => 'text', 'label' => __d('desktop', 'Desktop.deleg.dateend')));
$delegationSetupContent .= $this->Html->tag('fieldset', $planSetupContent, array('class' => 'fieldsetView', 'id' => "fieldsetPlan"));

$delegationSetupContent .= $this->Form->end(__d('default', 'Button.submit'));
echo $this->Html->tag('fieldset', $delegationSetupContent, array('class' => 'fieldsetView'));
?>


<script type="text/javascript">
	$('#DesktopsUserSetDelegForm input[type=submit]').remove();

	$('#DesktopsUserSetDelegForm').validate({
		rules: {
			'data[DesktopsUser][user_id]': {
				"required": true
			}
		}
	});

	var submitBttn = $('<span></span>').html('<?php echo __d('default', 'Button.submit'); ?>').button().click(function() {

		if ($('#DesktopsUserSetDelegForm').valid()) {

			var updateElement = $('.divRD');
			if (updateElement.length == 0) {
				updateElement = $('.ui-dialog-content');
			}

			var url = $('#DesktopsUserSetDelegForm').attr('action');
			gui.request({
				url: url,
				data: $('#DesktopsUserSetDelegForm').serialize(),
				loader: true,
				updateElement: updateElement,
				loaderMessage: gui.loaderMessage
			}, function(data) {
				getJsonResponse(data);
				gui.request({
					url: url,
					loader: true,
					updateElement: updateElement,
					loaderMessage: gui.loaderMessage
				}, function(data) {
					updateElement.html(data);
					reloadDelegDependances();
				});
			});
		}
	});
	$('#DesktopsUserSetDelegForm').append(submitBttn);


	$('#DesktopsUserDateStart').before("<input type='text' id='dateStartAltField' />");
	$('#DesktopsUserDateStart').css('display', 'none');
	gui.datepicker({
		element: $("#DesktopsUserDateStart"),
		image: "/img/date.png",
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#dateStartAltField",
		minDate: +1,
		onSelect: function(selectedDate) {
			var tmpdate = selectedDate.split('-');
			var newDate = $.datepicker.formatDate("yy-mm-dd", new Date(tmpdate[0], parseInt(tmpdate[1]) - 1, parseInt(tmpdate[2]) + 1));
			$("#DesktopsUserDateEnd").datepicker("option", "minDate", newDate);
		}
	});



	$('#dateStartAltField').change(function() {
		var tmpdate = $(this).val().split('/');
		$('#DesktopsUserDateStart').val($.datepicker.formatDate("yy-mm-dd", new Date(tmpdate[2], tmpdate[1] - 1, tmpdate[0])));
	});

	$('#DesktopsUserDateEnd').before("<input type='text' id='dateEndAltField' />");
	$('#DesktopsUserDateEnd').css('display', 'none');
	gui.datepicker({
		element: $("#DesktopsUserDateEnd"),
		image: "/img/date.png",
		dateFormat: "yy-mm-dd",
		altFormat: "dd/mm/yy",
		altField: "#dateEndAltField",
		minDate: +2
	});

	$('#dateEndAltField').change(function() {
		var tmpdate = $(this).val().split('/');
		$('#DesktopsUserDateEnd').val($.datepicker.formatDate("yy-mm-dd", new Date(tmpdate[2], tmpdate[1] - 1, tmpdate[0])));
	});

	$('.delegateToUser span').each(function() {
		var container = $(this);
		var link = $('a', container);
		var url = link.attr('href');
		var img = $('img', container);

		container.append(img);
		link.remove();

		var updateElement = $('.divRD');
		if (updateElement.length == 0) {
			updateElement = $('.ui-dialog-content');
		}

		img.button().click(function() {

			gui.message({
				title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
				msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
				buttons: {
					"<?php echo __d('default', 'Button.confirm'); ?>": function() {
						$(this).dialog("close");
						gui.request({
							url: url
						}, function(data) {
							getJsonResponse(data);
							gui.request({
								url: "/desktops/setDeleg/<?php echo $desktopId; ?>",
								loader: true,
								updateElement: updateElement,
								loaderMessage: gui.loaderMessage
							}, function(data) {
								updateElement.html(data);
								reloadDelegDependances();
							});
						});
					},
					"<?php echo __d('default', 'Button.cancel'); ?>": function() {
						$(this).dialog("close");
					}
				}
			});



		});
	});

	$('#DesktopsUserPlanification').change(function() {
		showPlanification();
	})

	showPlanification();
</script>
