<?php
/**
 *
 * Desktops/set_rights.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
//init options
$options = array(
	'no' => $this->Html->image('/DataAcl/img/test-fail-icon.png', array('style' => 'width: 16px;', 'alt' => 'no')),
	'yes' => $this->Html->image('/DataAcl/img/test-pass-icon.png', array('style' => 'width: 16px;', 'alt' => 'yes')),
	'parentNodeMarkOpen' => $this->Html->image('/DataAcl/img/parent_node_mark_close.png', array('style' => 'width: 16px;vertical-align: middle;', 'alt' => 'closed')),
	'parentNodeMarkClose' => $this->Html->image('/DataAcl/img/parent_node_mark_open.png', array('style' => 'width: 16px;vertical-align: middle;', 'alt' => 'opened')),
	'edit' => true,
	'tableRootClass' => 'ui-widget ui-widget-content ui-corner-all',
	'legendClass' => 'ui-widget ui-widget-content ui-corner-all ui-state-focus',
	'fieldsetClass' => 'ui-widget ui-widget-content ui-corner-all',
	'fieldsetStyle' => 'margin-top: 15px;',
	'legendStyle' => 'padding-left: 55px;padding-right: 55px;padding-top: 3px;padding-bottom: 3px;',
	'requester' => $requester
);

if ($mode == 'func') {
	if (!$editableGroup){
		echo $this->Html->tag('div', __d('group', 'Group.notEditable.txt'), array('class' => 'flushRightsTab'));
	}

	if (Configure::read('debug') >= 2) {
		echo $this->Html->tag('span', __d('right', 'mode_classique'), array('class' => 'modeClassiqueBttn'));
	}
	if ($rights['Right']['mode_classique']) {
		echo $this->Html->tag('p', __d('right', 'mode_classique.active') . __d('right', 'mode_classique.active.edit'), array('class' => 'ui-state-highlight', 'style' => 'font-style: italic;padding: 2px;'));
	}
	echo $this->Element('rights', array('rights' => $rights, 'tabsForSets' => $tabsForSets, 'edit' => $editableGroup, 'url' => Router::url(array('controller' => 'desktops', 'action' => 'setRights'))));
} else if ($mode == 'func_classique') {
	echo $this->Html->tag('span', __d('right', 'mode_simplifie'), array('class' => 'modeSimplifieBttn'));
//show func rigths
	$options['fields'] = array(
		'ressource' => 'Fonctions',
		'read' => 'accès'
	);
	$options['fieldsetLegend'] = 'Fonctions';
	$options['aclType'] = 'Acl';
	$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_rights';
	$this->DataAcl->drawTable($rights[0], true, $options);
} else if ($mode == 'data') {
//show data rigths
	$options['fields'] = array(
		'ressource' => __d('typesoustype', 'Types/Soustypes'),
		'read' => 'accès'
	);
	$options['aclType'] = 'DataAcl';
	foreach ($dataRights as $desktopService => $rights) {
		$requester = array('model' => 'DesktopsService', 'foreign_key' => $desktopService);
		$options['requester'] = $requester;
		$options['fieldsetLegend'] = 'Service : ' . $servicesNames[$desktopService];
		$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_data';
		$this->DataAcl->drawTable($rights, false, $options);
	}
} else if ($mode == 'meta') {
//show meta rigths
	$options['fields'] = array(
		'ressource' => 'Metadonnees',
		'create' => 'création',
		'read' => 'lecture',
		'update' => 'édition',
		'delete' => 'suppression'
	);
	$options['aclType'] = 'DataAcl';
	foreach ($metaRights as $desktopService => $rights) {
		$requester = array('model' => 'DesktopsService', 'foreign_key' => $desktopService);
		$options['requester'] = $requester;
		$options['fieldsetLegend'] = 'Service : ' . $servicesNames[$desktopService];
		$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_meta';
		$this->DataAcl->drawTable($rights, false, $options);
	}
}
?>

<script type="text/javascript">
	initTables(true);


<?php if ($mode == 'func' && Configure::read('debug') >= 2) { ?>
		$('.modeClassiqueBttn').button().click(function() {
			var cpt = 0;
			$('#rightsTabs a').each(function() {
				if (cpt == 2) {
					var href = $.data(this, 'href.tabs');
					href = href.replace('func', 'func_classique');
					$('#rightsTabs').tabs('url', cpt, href);
				}
				cpt++;
			});
			$('#rightsTabs').tabs('load', 2);
		});
<?php } else if ($mode == 'func_classique') { ?>
		$('.modeSimplifieBttn').button().click(function() {
			var cpt = 0;
			$('#rightsTabs a').each(function() {
				if (cpt == 2) {
					var href = $.data(this, 'href.tabs');
					href = href.replace('func_classique', 'func');
					$('#rightsTabs').tabs('url', cpt, href);
				}
				cpt++;
			});
			$('#rightsTabs').tabs('load', 2);
		});
	<?php
}

$btnConfigContainerId = "";
if (isset($options['formName'])) {
	$btnConfigContainerId = '#' . $options['formName'] . 'SetRightsForm ';
}
?>

	$('<?php echo $btnConfigContainerId; ?>.submit').each(function() {
		$('input[type=submit]', this).remove();
		var span = $('<span></span>').button().html('<?php echo __d('default', 'Button.submit'); ?>').css({
			'padding-left': '10px',
			'padding-right': '10px',
			'padding-bottom': '5px',
			'padding-top': '5px'
		}).click(function() {

			var form = $('form', $(this).parents('.ui-tabs-panel'));
			var selectedTab = $(this).parents('#rightsTabs').tabs('option', 'selected');

			gui.request({
				url: form.attr('action'),
				data: form.serialize(),
				loader: true,
				updateElement: form,
				loaderMessage: gui.loaderMessage
			}, function(data) {
				getJsonResponse(data);
				$('#rightsTabs').tabs('load', selectedTab);
			});
		});
		$(this).append(span);
	});

<?php
if ($mode == 'meta') {
	foreach ($metaRights as $desktopService => $rights) {
		?>
			$('#<?php echo $options['formName']; ?>SetRightsForm table tr').each(function() {
				var firstChk = $('td:nth-child(2) input[type="checkbox"]', this);
				var secondChk = $('td:nth-child(3) input[type="checkbox"]', this);

				if (secondChk.attr('checked') == "checked") {
					firstChk.attr('checked', 'checked');
				}
				if (typeof firstChk.attr('checked') == "undefined") {
					secondChk.removeAttr('checked');
				}
				secondChk.change(function() {
					if ($(this).attr('checked') == "checked") {
						firstChk.attr('checked', 'checked');
					}
				});
				firstChk.change(function() {
					if (typeof $(this).attr('checked') == "undefined") {
						secondChk.removeAttr('checked');
					}
				});
			});

		<?php
	}
}
?>
</script>