<?php
/**
 *
 * Dossiers/get_dossiers.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($dossiers)) {
	$options = array(
		'nodes' => array(
			array(
				'model' => 'Dossier',
				'field' => 'name',
				'actions' => array(
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/dossiers/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/dossiers/delete',
						"updateElement" => "$('#infos .content')",
						"refreshAction" => "loadStructure();"
					)
				)
			),
			array(
				'model' => 'Affaire',
				'field' => 'name',
				'actions' => array(
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/affaires/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/affaires/delete',
						"updateElement" => "$('#infos .content')",
						"refreshAction" => "loadStructure();"
					)
				)
			)
		)
		,
		'listId' => 'browser',
		'listClass' => 'filetree'
	);
	echo $this->Liste->jqueryTreeView($dossiers, $options);
} else {
	echo __d('dossier', 'Dossier.void');
}
?>

<script type="text/javascript">
	$("#browser").treeview({ collapsed: true });

	$('.treeviewBttn img').each(function(){
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){

			if ($(this).hasClass('editBttn')){
				gui.request({
					url: href,
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}

			if ($(this).hasClass('deleteBttn')){
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function(){
							$(this).dialog("close");
							gui.request({
								url: href,
								updateElement: $('#admin_skel'),
								loader: true,
								loaderMessage: gui.loaderMessage
							}, function(){
								loadDossiersAffaires();
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog("close");
						}
					}
				});
			}
		});
		parentLink.remove();
	});

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	})
</script>