<?php
/**
 *
 * Elements/context.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 * Dessine la panneau contextuel lors de la visualisation ou l'édition d'un flux
 *
 *
 *
 * @param array $documentList Liste des documents attachés au flux
 * @param boolean $response contexte de réponse
 * @params integer $fluxId identifiant du flux
 *
 */
echo $this->Html->css(array('zones/courrier/context'), null, array('inline' => false));

if (!isset($sortant)) {
	$sortant = false;
}

if (!empty($parent)) {
	echo $this->Html->css(array('zones/courrier/context5'), null, array('inline' => false));
}
if (!empty($fromDispEnv) && $fromDispEnv) {
	echo $this->Html->css(array('zones/courrier/context2'), null, array('inline' => false));
}
?>
<script type="text/javascript">

	function initContextDocumentBttnActions() {
		$('.ctxdocBttnPreview').click(function() {
			$('.ctxdocBttnPreview').parent().parent().removeClass('ui-state-focus');
			$(this).parent().parent().addClass('ui-state-focus');

			var selectedImage = $('.ctxdoc_name img', $(this).parent().parent()).clone();
			var selectedDoc = $('.ctxdoc_name .filename', $(this).parent().parent()).html();
			$('.context_content .document_preview .header .selected_document').html('');
			$('.context_content .document_preview .header .selected_document').append(selectedImage);
			var truncatedSelectedDoc = selectedDoc.substr(0, 40);
			if (truncatedSelectedDoc != selectedDoc) {
				truncatedSelectedDoc += "...";
			}
			$('.context_content .document_preview .header .selected_document').append(' ' + truncatedSelectedDoc);


			var docId = $(this).parent().parent().attr('itemId');
			var controllerName = $(this).parent().parent().attr('controllerName');

			var alreadyOpened = false;
			if ($('#flux_context').hasClass('open')) {
				alreadyOpened = true;
			} else {
				$('#flux_context').addClass('open');
			}

			var updateElement = $('.context_content .document_preview .content');

			var event = new $.Event();
			var loader_id = event.timeStamp;
			gui.loader({
				element: $('.context_accordion').find('.ui-state-active'),
				message: gui.loaderMessage,
				id: loader_id
			});

			gui.request({
				url: '/' + controllerName + '/getPreview/' + docId,
				updateElement: updateElement
			}, function(data) {
				$("#loader_" + loader_id).remove();
				updateElement.html(data);
				if (!alreadyOpened) {
					$('#flux_context').removeClass('open');
				}
				$('.context_accordion').accordion("activate", 0);
			});

		});

		$('.ctxdocBttnDelete').click(function() {
			var updateElement = $('.context_accordion').find('.ui-state-active');
			var docId = $(this).parent().parent().attr('itemId');
			var filename = $(this).parentsUntil('.relement_docs_list' ).find( '.ctxdoc_name span.filename').html();
			var controllerName = $(this).parent().parent().attr('controllerName');


                gui.message({
                    title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
                    msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
                    buttons: {
                        "<?php echo __d('default', 'Button.confirm'); ?>": function() {
                            $(this).dialog("close");
                            gui.request({
                                url: '/' + controllerName + '/delete/' + docId
                                }, function(data) {
                                getJsonResponse(data);
                                updateElement.removeAttr('loaded');
                                loadContextTab(updateElement);
                            });
                        },
                        "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                            $(this).dialog("close");
                        }
                    }
                });

		});

		$('.ctxdocBttnSetMainDoc').click(function() {
			var updateElement = $('.context_accordion').find('.ui-state-active');
			var docId = $(this).parent().parent().attr('itemId');

			gui.request({
				url: '/Documents/setMainDoc/' + docId
			}, function(data) {
				getJsonResponse(data);
				updateElement.removeAttr('loaded');
				loadContextTab(updateElement);
			});
		});
        
        
        
        
        // Action d'envoi par mail du document
        $('.ctxdocBttnSendmail').click(function() {
			var docId = $(this).parent().parent().attr('itemId');

            gui.formMessage({
                title: "<?php echo __d('default', 'Confirm.sendmail'); ?>",
                width: '600px',
                url: '/courriers/sendmail/' + docId,
                buttons: {
                    '<?php echo __d('default', 'Button.submit'); ?>': function() {
                        var dialog = $(this);
                        var url = '/courriers/sendmail/' + docId;
                        
                        $("#SendmailSendmailForm").validate({
                            'rules': {
                                'data[Sendmail][email]': 'required'
                            }
                        });
                        var form = $('form', this);
                        if ($(form).valid()) {
                            gui.request({
                                url: url,
                                data: $('form', this).serialize()
                            }, function(data) {
                                if (data.length > 4) {
                                    getJsonResponse(data);
                                    dialog.dialog('close');
                                } else {
                                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
                                }
                            });
                        }
                    },
                    '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                        $(this).dialog('close');
                    }
                }
            });

		});
        
     // Action d'envoi du document unitairement à la GED
        $('.ctxdocBttnSendDocged').click(function() {
			var docId = $(this).parent().parent().attr('itemId');

                gui.message({
                title: "<?php echo __d('default', 'Versement en GED'); ?>",
                msg: "<?php echo __d('default', 'Etes-vous sûr de vouloir verser ce flux en GED ?'); ?>",
                buttons: {
                    "<?php echo __d('default', 'Button.confirm'); ?>": function() {
                        $(this).dialog("close");

                        gui.loader({
                            message: gui.loaderMessage,
                            element: $('#courrier_skel')
                        });

                        var updateElement = $(this);
                        gui.request({
                            url: "/courriers/sendDocumentToGed/" + docId,
                            updateElement: updateElement
                        }, function() {
                            updateElement.removeAttr('loaded');
                            loadContextTab(updateElement);
                            window.location.reload();
                        });
                    },
                    "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                        $(this).dialog("close");
                    }
                }
            });

		});
           
	}


	function loadContextTab(element) {
		var clicked = element;
		var url = $(clicked).find("a").attr("href");
		var undefinedUrl = $(clicked).attr('undefinedUrl');
		var updateElement = $(clicked).next("div");

		if (url && url.length > 0 && undefinedUrl == 0 && $(clicked).attr('loaded') != 1) {
			var alreadyOpened = false;
			if ($('#flux_context').hasClass('open')) {
				alreadyOpened = true;
			} else {
				$('#flux_context').addClass('open');
			}

			gui.request({
				url: url,
				loader: true,
				loaderMessage: gui.loaderMessage,
				updateElement: updateElement
			}, function(data) {
				updateElement.html(data);
				if (!alreadyOpened) {
					$('#flux_context').removeClass('open');
				}
				$(clicked).attr('loaded', 1);
			});
		}
	}

	function loadActiveContextTab() {
		var tab = $('.context_content .ui-state-active');
		tab.removeAttr('loaded');
		loadContextTab(tab);
	}

</script>

<?php
if (!isset($fromDispEnv)) {
	$fromDispEnv = false;
}

if (!isset($fluxId)) {
	$fluxId = '';
}

if (empty($documentList)) {
	if ($fromDispEnv) {
		$documentList = array(array('name' => __d('document', 'Document.list.undefined')));
	} else {
		$documentList = array(array('name' => __d('document', 'Document.list.void')));
	}
}

if (empty($rights) || (isset($rights) && !is_array($rights))) {
	$rights = array(
		'getDocuments' => false,
		'getRelements' => false,
		'getArs' => false,
		'getCircuit' => false
	);
} else {
	if (empty($rights['getDocuments'])) {
		$rights['getDocuments'] = false;
	}
	if (empty($rights['getRelements'])) {
		$rights['getRelements'] = false;
	}
	if (empty($rights['getArs'])) {
		$rights['getArs'] = false;
	}
	if (empty($rights['getCircuit'])) {
		$rights['getCircuit'] = false;
	}
}
?>
<div id="flux_context" class="context ui-widget ui-widget-content">
    <div class="context_title ui-widget ui-widget-header"><img src="/img/go-previous.png" class="bttn_open" /><img src="/img/go-next.png" class="bttn_close"/><span class="title"><?php echo __d('courrier', 'Context_infos'); ?></span></div>
    <div class="context_content">
        <div class="context_accordion">
			<h3><?php echo __d('courrier', 'Context.preview'); ?></h3>
			<div>
				<div class="document_preview">
                    <h4 class="header"><?php echo __d('document', 'Document.preview'); ?> : <span class="selected_document"></span></h4>
                    <div class="content"><div class="ui-state-highlight voidMessage"><?php echo __d('document', 'Document.preview.disable'); ?></div></div>
                </div>
			</div>
			<?php if ($rights['getDocuments']) { ?>
				<h3 undefinedUrl="<?php echo empty($fluxId) ? 1 : 0; ?>" id="document_tab" class="document_tab">
					<?php echo $this->Html->link(__d('courrier', 'Documents'), array('controller' => 'courriers', 'action' => 'getDocuments', $fluxId)); ?>
				</h3>
				<div>
					<?php if (empty($fluxId)) { ?>
						<div class="ui-state-highlight voidMessage">
							<?php echo __d('courrier', 'Document.void'); ?><br />
							<br />
							<br />
							<br />
							<?php echo __d('courrier', 'Document.void.upload'); ?>
							<br />
							<br />
							<br />
							<br />
						</div>
					<?php } ?>
				</div>
			<?php } ?>

			<?php if (!$fromDispEnv) { ?>
				<?php if ($rights['getRelements'] && (!empty($parent) || $sortant) && Configure::read('DOC_FROM_GFC')) { ?>
					<h3 undefinedUrl="<?php echo empty($fluxId) ? 1 : 0; ?>">
						<?php echo $this->Html->link($sortant && empty($parent) ? __d('courrier', 'Relements.noresp') : __d('courrier', 'Relements'), array('controller' => 'courriers', 'action' => 'getRelements', $fluxId)); ?>
					</h3>
					<div>
						<?php if (empty($fluxId)) { ?>
							<div class="ui-state-highlight voidMessage"><?php echo __d('courrier', 'Relements.void'); ?></div>
						<?php } ?>
					</div>
				<?php } ?>

				<?php if ($rights['getArs'] && empty($parent) && !$sortant && Configure::read('DOC_FROM_GFC')) { ?>
					<h3 undefinedUrl="<?php echo empty($fluxId) ? 1 : 0; ?>">
						<?php echo $this->Html->link(__d('courrier', 'Ars'), array('controller' => 'courriers', 'action' => 'getArs', $fluxId)); ?>
					</h3>
					<div>
						<?php if (empty($fluxId)) { ?>
							<div class="ui-state-highlight voidMessage"><?php echo __d('courrier', 'Ars.void'); ?></div>
						<?php } ?>
					</div>
				<?php } ?>

				<?php if ($rights['getCircuit']) { ?>
					<h3 undefinedUrl="<?php echo empty($fluxId) ? 1 : 0; ?>">
						<?php echo $this->Html->link(__d('courrier', 'Circuit'), array('controller' => 'courriers', 'action' => 'getCircuit', $fluxId)); ?>
					</h3>
					<div>
						<?php if (empty($fluxId)) { ?>
							<div class="ui-state-highlight voidMessage"><?php echo __d('courrier', 'Circuit.undefined'); ?></div>
						<?php } ?>
					</div>
				<?php } ?>


				<?php if (!empty($parent)) { ?>
					<h3 undefinedUrl="0">
						<?php echo $this->Html->link(__d('courrier', 'Parent'), array('controller' => 'courriers', 'action' => 'getParent', $parent['Courrier']['id'])); ?>
					</h3>
					<div>
						<div class="ui-state-highlight voidMessage"><?php echo __d('courrier', 'Parent.undefined'); ?></div>
					</div>
				<?php } ?>
                <?php if (!empty($fluxRefus)) { ?>
					<h3 undefinedUrl="0">
						<?php echo $this->Html->link(__d('courrier', 'FluxRefus'), array('controller' => 'courriers', 'action' => 'getParent', $fluxRefus['Courrier']['id'])); ?>
					</h3>
					<div>
						<div class="ui-state-highlight voidMessage"><?php echo __d('courrier', 'FluxRefus.undefined'); ?></div>
					</div>
				<?php } ?>

			<?php } ?>
        </div>
    </div>
</div>
<div style="clear: both;"></div>

<div style="display: none" id="mainDocTmp">
	<?php
	if (!empty($mainDoc)) {
		?>

		<li class="ctxdoc">
			<?php
			echo $this->Element('ctxdoc', array(
				'ctxdoc' => $mainDoc['Document'],
				'gfcDocType' => 'Document',
				'cssClass' => '',
                'rightToDelete' => !empty($mainDoc['Document']['desktop_creator_id']) ? true : false
			));
			?>
		</li>
		<?php
	}
	?>
</div>

<script type="text/javascript">
	$('.context_accordion').accordion({
		change: function(event, ui) {
			loadContextTab($(this).find('.ui-state-active'));
		}
	});

	function lockContext() {
		var img = $('#bttnLockContext');

		var element;
		if ($('#courrier_skel').length > 0) {
			element = $('#courrier_skel');
		}
		if ($('#dispenv_tabs').length > 0) {
			element = $('#dispenv_tabs');
		}


		if (!$('#flux_context').hasClass('open')) {
			$(img).attr('src', '/img/lock.png');
			$('#flux_context').addClass('open');

			var courrierSkelWidth = $('body').width() - $('#flux_context').width() - 43;
			$(element).css('width', courrierSkelWidth)
		} else {
			$(img).attr('src', '/img/lock_inactive.png');
			$('#flux_context').removeClass('open');
			$(element).css('width', '100%');
		}
	}

<?php
$bttnLockOptions = array(
	'id' => 'bttnLockContext',
	'alt' => 'Verrouiller / Déveroullier',
	'title' => 'Verrouiller / Déverrouiller le panneau en ouverture'
);
$bttnLockImg = $this->Html->image('/img/lock_inactive.png', $bttnLockOptions);
?>
	var stickyBttn = $('<?php echo $bttnLockImg; ?>').click(function() {
		lockContext();
	});
	$('.context_title .title').prepend(stickyBttn);
<?php if (!empty($mainDoc)) { ?>
		var selectedImage = $('#mainDocTmp ..ctxdoc_name img').clone();
		var selectedDoc = $('#mainDocTmp .filename').html();
		$('.context_content .document_preview .header .selected_document').html('');
		$('.context_content .document_preview .header .selected_document').append(selectedImage);
		var truncatedSelectedDoc = selectedDoc.substr(0, 40);
		if (truncatedSelectedDoc != selectedDoc) {
			truncatedSelectedDoc += "...";
		}
		$('.context_content .document_preview .header .selected_document').append(' ' + truncatedSelectedDoc);
		$('.context_content .document_preview .content').html(gui.loaderMessage);
		gui.request({
			url: '/Documents/getPreview/<?php echo $mainDoc['Document']['id']; ?>',
			updateElement: $('.context_content .document_preview .content')
		}, function(data) {
			$('.context_content .document_preview .content').html(data);
		});
<?php } ?>
</script>