<?php
/**
 *
 * Elements/ctxdoc.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
$typeMime = array(
	'application/vnd.ms-office' => array(
		'ico' => '/img/document.png',
		'name' => 'Document MS Office'
	),
	'application/vnd.oasis.opendocument.text' => array(
		'ico' => '/img/document.png',
		'name' => 'Document ODT'
	),
	'application/rtf' => array(
		'ico' => '/img/document.png',
		'name' => 'Document RTF'
	),
	'application/msword' => array(
		'ico' => '/img/document.png',
		'name' => 'Document MS Word'
	),
	'text/plain' => array(
		'ico' => '/img/document.png',
		'name' => 'Document texte'
	),
	'application/pdf' => array(
		'ico' => '/img/pdf.png',
		'name' => 'Document PDF'
	),
	'image/gif' => array(
		'ico' => '/img/image.png',
		'name' => 'Image GIF'
	),
	'image/png' => array(
		'ico' => '/img/image.png',
		'name' => 'Image PNG'
	),
	'image/jpeg' => array(
		'ico' => '/img/image.png',
		'name' => 'Image JPEG'
	),
	'audio/x-wav' => array(
		'ico' => '/img/audio.png',
		'name' => 'Fichier audio WAV'
	),
	'audio/wav' => array(
		'ico' => '/img/audio.png',
		'name' => 'Fichier audio WAV'
	),
	'audio/mp3' => array(
		'ico' => '/img/audio.png',
		'name' => 'Fichier audio MP3'
	),
	'audio/ogg' => array(
		'ico' => '/img/audio.png',
		'name' => 'Fichier audio OGG'
	),
	'audio/mpeg' => array(
		'ico' => '/img/audio.png',
		'name' => 'Fichier audio MPEG/MP3'
	),
	'video/mp4' => array(
		'ico' => '/img/video.png',
		'name' => 'Fichier video MPEG 4'
	),
	'application/ogg' => array(
		'ico' => '/img/video.png',
		'name' => 'Fichier video OGG'
	),
	'video/ogg' => array(
		'ico' => '/img/video.png',
		'name' => 'Fichier video OGG'
	),
	'video/mpg' => array(
		'ico' => '/img/video.png',
		'name' => 'Fichier video MPEG'
	),
	'video/mpeg' => array(
		'ico' => '/img/video.png',
		'name' => 'Fichier video MPEG'
	),
	'unknown' => array(
		'ico' => '/img/unknown-mime.png',
		'name' => 'Type de fichier inconnu'
	)
);


$aricons = array(
	'audio' => '/img/audio.png',
	'video' => '/img/video.png',
	'ott' => '/img/document.png',
	'email' => '/img/email.png',
	'sms' => '/img/phone.png'
);


if (!isset($adminMode)) {
	$adminMode = false;
}

if (!isset($selectableForMainDoc)) {
	$selectableForMainDoc = false;
}

if( !isset( $rightToDelete ) ) {
    $rightToDelete = false;
}

if (count($ctxdoc) > 1) {
	?>
	<div model="<?php echo $gfcDocType; ?>" controllerName="<?php echo $gfcDocType . "s"; ?>" itemId="<?php echo $ctxdoc['id']; ?>" class="<?php echo!empty($cssClass) ? $cssClass : ''; ?>">
		<span class="ctxdoc_actions">
			<?php
			if ($selectableForMainDoc && $right_setAsDefault && ( $this->action != 'getParent' ) ) {
				echo $this->Html->image('/img/file.gif', array('alt' => 'principal', 'title' => 'Définir comme document principal', 'class' => 'ctxdocBttnSetMainDoc'));
			}

			if (!empty($ctxdoc['size']) && $ctxdoc['size'] > 0  ) {
				$img = $this->Html->image('/img/download_32.png', array('alt' => 'télécharger', 'title' => 'Télécharger le fichier', 'class' => 'ctxdocBttnDownload'));
				echo $this->Html->link($img, '/' . $gfcDocType . 's/download/' . $ctxdoc['id'], array('escape' => false));
			}
			if ($gfcDocType == 'Relement') {
                if(empty($ctxdoc['id']) && !empty($ctxdoc['name'])) {
                    echo $this->Html->image('/img/add.png', array('alt' => 'ajout', 'title' => 'Utiliser ce fichier (webdav)', 'class' => 'ctxdocBttnWebdavAdd', 'itemName' => $ctxdoc['name']));
                }
                else {
                    echo $this->Html->image('/img/edit.png', array('alt' => 'edition', 'title' => 'Editer le fichier (webdav)', 'class' => 'ctxdocBttnWebdav', 'itemName' => $ctxdoc['name']));
                }
			}

			if (!$adminMode && ( $this->action != 'getParent' ) ) {
                if ($gfcDocType == 'Document' || $gfcDocType == 'Ar' || $gfcDocType == 'Armodel' || $gfcDocType == 'Rmodel' || $gfcDocType == 'Relement') {
                    echo $this->Html->image('/img/fileview-preview.png', array('alt' => 'visualisation', 'title' => 'Visualiser le fichier', 'class' => 'ctxdocBttnPreview'));
                }
			}

			if (
					($adminMode && $gfcDocType == "Rmodel") ||
					($adminMode && $gfcDocType == "Armodel") ||
					(!$adminMode && $gfcDocType != "Armodel" && $gfcDocType != "Rmodel")
			) {
//debug($right_delete );
				if (!empty($right_delete) || $adminMode || $rightToDelete) {
					echo $this->Html->image('/img/delete_16.png', array('alt' => 'supprimer', 'title' => 'Supprimer le fichier', 'class' => 'ctxdocBttnDelete'));
				}
                
                // Ajout de l'envoi individuel d'un document par mail
				if (!empty($right_sendmail) || $adminMode ) {
					echo $this->Html->image('/img/email.png', array('alt' => 'Envoyer par mail', 'title' => 'Envoyer le document par mail', 'class' => 'ctxdocBttnSendmail'));
				}
//                debug($right_sendged);
                // Ajout de l'envoi individuel d'un document par mail
				if (!empty($right_sendged) || $adminMode) {
					echo $this->Html->image('/img/folder_sent_mail_16.png', array('alt' => 'Verser en GED', 'title' => 'Versement du document en GED', 'class' => 'ctxdocBttnSendDocged'));
				}
			}
			?>
		</span>

		<span class="ctxdoc_name">
			<?php
			if ($gfcDocType == "Armodel") {
				echo $this->Html->image($aricons[$ctxdoc['format']], array('title' => !empty($ctxdoc['mime']) ? $typeMime[$ctxdoc['mime']]['name'] : '')) . ' ';
			} else {
				if (!empty($ctxdoc['mime'])) {
					if (!in_array($ctxdoc['mime'], array_keys($typeMime))) {
						echo $this->Html->image($typeMime['unknown']['ico'], array('title' => $typeMime['unknown']['name'])) . ' ';
					} else {
						echo $this->Html->image($typeMime[$ctxdoc['mime']]['ico'], array('title' => $typeMime[$ctxdoc['mime']]['name'])) . ' ';
					}
				} else {
					echo $this->Html->image('/img/document.png') . ' ';
				}
			}
			echo $this->Html->tag('span', $ctxdoc['name'], array('class' => 'filename')) . (!empty($ctxdoc['size']) ? ' (' . $this->Html2->formatsize($ctxdoc['size']) . ')' : '');
			?>
		</span>
	</div>
	<?php
} else {
	echo $ctxdoc['name'];
}
?>