<?php
/**
 *
 * Elements/menu.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
$menuTableContent = '';
$sessionMenu = $this->Session->read('Auth.User.menu');

if (!empty($sessionMenu)) {
	foreach ($sessionMenu as $menu) {
		$divItemsContent = '';
		if (!empty($menu['items'])) {
			foreach ($menu['items'] as $item) {
				$class = '';
				if (!empty($item['class'])) {
					$class = $item['class'];
				}
				if ($item['type'] == 'separator') {
					$divItemsContent .= $this->Html->tag('span', '&nbsp;', array('class' => 'separator'));
				} else if ($item['type'] == 'stilldev') {
					$divItemsContent .= $this->Html->tag('span', $this->Html->link('En développement ...', '#', array('escape' => false)), array('class' => $class));
				} else {
					$linkContent = $this->Html->image('/img/' . $item['img'], array('class' => 'menuIcon')) . $item['txt'];
					if (!empty($item['url'])) {
						$divItemsContent .= $this->Html->tag('span', $this->Html->link($linkContent, $item['url'], array('escape' => false)), array('class' => $class));
					} else {
						$divItemsContent .= $this->Html->tag('span', $this->Html->link($linkContent, '#', array('escape' => false)), array('class' => $class));
					}
				}
				$divItemsContent .= $this->Html->tag('br');

				if (!empty($item['items'])) {
					foreach ($item['items'] as $item2) {
						$divItemsContent .= '&nbsp;&nbsp;&nbsp;&nbsp;';
						if ($item2['type'] == 'separator') {
							$divItemsContent .= $this->Html->tag('span', '&nbsp;', array('class' => 'separator'));
						} else if ($item2['type'] == 'stilldev') {
							$divItemsContent .= $this->Html->tag('span', $this->Html->link('En développement ...', '#', array('escape' => false)), array('class' => $class));
						} else {
							$linkContent = $this->Html->image('/img/' . $item2['img'], array('class' => 'menuIcon')) . $item2['txt'];
							if (!empty($item2['url'])) {
								$divItemsContent .= $this->Html->tag('span', $this->Html->link($linkContent, $item2['url'], array('escape' => false)), array('class' => $class));
							} else {
								$divItemsContent .= $this->Html->tag('span', $this->Html->link($linkContent, '#', array('escape' => false)), array('class' => $class));
							}
						}
						$divItemsContent .= $this->Html->tag('br');
					}
				}
			}
		}
		$tdContent = $this->Html->tag('div', $this->Html->image('/img/' . $menu['img'], array('class' => 'menuIcon')) . $menu['txt'], array('class' => 'menuHeader'));
		$tdContent .= $this->Html->tag('div', $divItemsContent, array('class' => 'menuItems ui-widget-content ui-corner-bottom shadowBox'));
		$menuTableContent .= $this->Html->tag('td', $tdContent, array('style' => 'width: ' . (100 / count($sessionMenu)) . '%;'));
	}
	echo $this->Html->tag('table', $this->Html->tag('tr', $menuTableContent));
}
?>

<script type="text/javascript">

	function selectService(parentSelect) {
		var desktopId = $('option:selected', $(parentSelect)).val();

		$('#serviceCreateFlux option').css('display', 'none');
		$('#serviceCreateFlux option.void').css('display', 'block');
		$('#serviceCreateFlux option.desktop' + desktopId).css('display', 'block');
	}
<?php
if (!empty($add) && !empty($addservice)) {

	$addSelect = '<h3>' . __d('desktop', 'Desktop.choice') . '</h3>';
	$addSelect .= '<form id="desktopCreateForm" name="desktopCreateForm" action="#">';

	$addSelect .= '<div class="input select required">';
	$addSelect .= '<select id="desktopCreateFlux" required="1" name="desktopCreateFlux" onchange="selectService(this)">';
	$addSelect .= '<option class="void" value=""> --- </option>';
	foreach ($add as $desktopId => $desktopName) {
		$addSelect .= '<option value="' . $desktopId . '">' . $desktopName . '</option>';
	}
	$addSelect .= '</select>';
	$addSelect .= '<label for="desktopCreateFlux" class="ui-state-error" style="display:none;">Ce champ est requis.</label>';
	$addSelect .= '</div>';


	// FIXME

	$addSelect .= '<h3>Veuillez sélectionner un service</h3>';
	$addSelect .= '<div class="input select required">';
	$addSelect .= '<select id="serviceCreateFlux" name="serviceCreateFlux">';
	$addSelect .= '<option style="display:none;" class="void" value=""> --- </option>';
	foreach ($add as $desktopId => $desktopName) {
		foreach ($addservice[$desktopId] as $serviceId => $serviceName) {
			$addSelect .= '<option style="display:none;" class="desktop' . $desktopId . '" value="' . $serviceId . '">' . str_replace("'", "&#039;", $serviceName) . '</option>';
		}
	}
	$addSelect .= '</select>';
	$addSelect .= '<label for="serviceCreateFlux" class="ui-state-error" style="display:none;">Ce champ est requis.</label>';
	$addSelect .= '</div>';

	$addSelect .= '</form>';
	?>
		$('.menuItems .addCourrier').click(function() {
			gui.message({
				title: '<?php echo __d('courrier', 'New Courrier'); ?>',
				msg: '<?php echo $addSelect; ?>',
				buttons: {
					'<?php echo __d('default', 'Button.submit'); ?>': function() {
						if ($('#desktopCreateFlux option:selected').val() != '' && $('#serviceCreateFlux option:selected').val() != '') {
							window.location.href = '<?php echo $this->Html->url(array('controller' => 'courriers', 'action' => 'add')); ?>/' + $('#desktopCreateFlux option:selected').val() + '/' + $('#serviceCreateFlux option:selected').val();
						}
						else {
							$("#desktopCreateForm label.ui-state-error").hide();
							$("#desktopCreateForm select").removeClass('ui-state-highlight');

							// Pour la liste des bureaux
							if ($('#desktopCreateFlux option:selected').val() == '') {
								$("#desktopCreateFlux").addClass('ui-state-highlight');
								$("#desktopCreateFlux").parent('div.input').find('label.ui-state-error').show();
							}

							// Pour la liste des services
							if ($('#serviceCreateFlux option:selected').val() == '') {
								$("#serviceCreateFlux").addClass('ui-state-highlight');
								$("#serviceCreateFlux").parent('div.input').find('label.ui-state-error').show();
							}
						}
					},
					'<?php echo __d('default', 'Button.cancel'); ?>': function() {
						$(this).dialog('close');
					}
				}
			});
		});
	<?php
}
?>
</script>