<?php
/**
 *
 * Environnement/adminenv.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/environnement/adminenv'), null, array('inline' => false));
$yes = $this->Html->image('filter_on_16.png', array('alt' => 'actif', 'title' => 'actif', 'style' => 'height: 16px;width: 16px'));
$no = $this->Html->image('filter_off_16.png', array('alt' => 'inactif', 'title' => 'inactif', 'style' => 'height: 16px;width: 16px'));

$divInfosContent = $this->Html->tag('h3', 'Informations', array('class' => 'ui-widget-header ui-widget-header-webgfc'));
if (!empty($collectivite['Collectivite']['logo'])) {
	$divInfosContent .= $this->Html->tag('div', $this->Html->image('/files/logo/' . $collectivite['Collectivite']['logo'], array('alt' => 'logo', 'class' => 'logo')), array('class' => 'logoContainer'));
}
$dlInfosContent = $this->Html->tag('dt', __d('collectivite', 'Collectivite.name')) . $this->Html->tag('dd', $collectivite['Collectivite']['name']);
$dlInfosContent .= $this->Html->tag('dt', __d('collectivite', 'Collectivite.ldap_active')) . $this->Html->tag('dd', $collectivite['Collectivite']['ldap_active'] ? $yes : $no);
$dlInfosContent .= $this->Html->tag('dt', __d('collectivite', 'Collectivite.ldap_use_ad')) . $this->Html->tag('dd', $collectivite['Collectivite']['ldap_use_ad'] ? $yes : $no);
$divInfosContent .= $this->Html->tag('dl', $dlInfosContent);
$divInfos = $this->Html->tag('div', $divInfosContent, array('class' => 'divInfos'));
echo $divInfos;
?>

<script type="text/javascript">

	//  $('a.bttn').button();
</script>

<table id="adminEnv" class="ui-widget-content ui-corner-all shadowBox">
	<tr>
		<td class="ui-widget-header ui-widget-header-webgfc"><?php echo __d('menu', 'gestionCollectivite'); ?></td>
	</tr>
	<tr>
		<td class="ui-widget-content">
			<ul>
				<li><span class="bttn" id="gestionCollectivites"><?php echo __d('default', 'Informations'); ?></span></li>
				<li><span class="bttn" id="structureCollectivite"><?php echo __d('menu', 'structureCollectivite'); ?></span>&nbsp;&nbsp;&nbsp;&nbsp;(<?php echo __d('collectivite', 'Collectivite.nbServices'); ?> : <?php echo $nbServices; ?> - <?php echo __d('collectivite', 'Collectivite.nbUsers'); ?> : <?php echo $nbUsers; ?> - <?php echo __d('collectivite', 'Collectivite.nbProfils'); ?> : <?php echo $nbProfils; ?>)</li>
                <li><span class="bttn" id="gestionConnecteurs"><?php echo __d('default', 'Connecteurs'); ?></span></li>
                <!-- <li><span class="bttn" id="gestionScanemails"><?php /*echo __d('default', 'Emails');*/ ?></span></li> -->
			</ul>
		</td>
	</tr>
	<tr>
		<td class="ui-widget-header ui-widget-header-webgfc"><?php echo __d('menu', 'gestionDataCollectivite'); ?></td>
	</tr>
	<tr>
		<td class="ui-widget-content">
			<ul>
				<li><span class="bttn" id="gestionTypesSoustypes"><?php echo __d('menu', 'gestionTypesSoustypes'); ?></span>&nbsp;&nbsp;&nbsp;&nbsp;(<?php echo __d('collectivite', 'Collectivite.nbTypes'); ?> : <?php echo $nbTypes; ?> - <?php echo __d('collectivite', 'Collectivite.nbSoustypes'); ?> : <?php echo $nbSoustypes; ?>)</li>
				<li><span class="bttn" id="gestionCircuits"><?php echo __d('menu', 'gestionCircuits'); ?></span>&nbsp;&nbsp;&nbsp;&nbsp;(<?php echo __d('collectivite', 'Collectivite.nbCircuit'); ?> : <?php echo $nbCircuits; ?>)</li>
				<li><span class="bttn" id="gestionMeta"><?php echo __d('menu', 'gestionMeta'); ?></span>&nbsp;&nbsp;&nbsp;&nbsp;(<?php echo __d('collectivite', 'Collectivite.nbMeta'); ?> : <?php echo $nbMeta; ?>)</li>
				<li><span class="bttn" id="gestionDossiersAffaires"><?php echo __d('menu', 'gestionDossiersAffaires'); ?></span>&nbsp;&nbsp;&nbsp;&nbsp;(<?php echo __d('collectivite', 'Collectivite.nbAffaires'); ?> : <?php echo $nbAffaires; ?> - <?php echo __d('collectivite', 'Collectivite.nbDossiers'); ?> : <?php echo $nbDossiers; ?>)</li>
			</ul>
		</td>
	</tr>
	<tr>
		<td class="ui-widget-header ui-widget-header-webgfc"><?php echo __d('menu', 'Outils'); ?></td>
	</tr>
	<tr>
		<td class="ui-widget-content">
			<ul>
				<li><span class="bttn" id="gestionThesaurus"><?php echo __d('menu', 'gestionThesaurus'); ?></span></li>
				<li><span class="bttn" id="gestionAddressbooks"><?php echo __d('menu', 'gestionAddressbooks'); ?></span></li>
			</ul>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('a.bttn').button();
	$('#adminEnv td span.bttn').button();

<?php if ($this->Session->read('Auth.User.group') != 'SUPERADMIN') { ?>
		$('#gestionCollectivites').click(function() {
			window.location.href = "<?php echo Router::url( array( 'controller' => 'collectivites', 'action' => 'admin' ) );?>";
		});

		$('#structureCollectivite').click(function() {
			window.location.href = "/users";
		});

		$('#gestionMeta').click(function() {
			window.location.href = "/metadonnees";
		});

		$('#gestionDossiersAffaires').click(function() {
			window.location.href = "/dossiers";
		});

		$('#gestionThesaurus').click(function() {
			window.location.href = "/keywordlists";
		});

		$('#gestionAddressbooks').click(function() {
			window.location.href = "/addressbooks";
		});

		$('#gestionTypesSoustypes').click(function() {
			window.location.href = "/soustypes";
		});

		$('#gestionCircuits').click(function() {
			window.location.href = "/workflows";
		});

        $('#gestionConnecteurs').click(function() {
            window.location.href = "/connecteurs";
        //    window.location.href = "<?php echo Router::url( array( 'controller' => 'connecteurs', 'action' => 'getConnecteurs' ) );?>";
		});

		/*$('#gestionScanemails').click(function() {
			window.location.href = "/scanemails";
		});*/

<?php } else { ?>
		$('#gestionCollectivites').click(function() {
			window.location.href = "/collectivites";
		});
		$('#videCache').click(function() {
			window.location.href = "<?php echo Router::url(array('controller' => 'checks', 'action' => 'clearcache')); ?>";
		});

		$('#checkInstall').click(function() {
			window.location.href = "<?php echo Router::url(array('controller' => 'checks', 'action' => 'index')); ?>";
		});
<?php } ?>

	$('.disabled').addClass('ui-state-disabled').attr('title', 'En développement ...').click(function() {
		gui.message({title: 'En développement ...', msg: 'Cette fonctionnalité n\'est pas encore disponible.', dialogClass: 'ui-state-default'});
	});
</script>