<?php
/**
 *
 * Environnement/dispenv.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css(array('zones/environnement/environnement'), null, array('inline' => false));
echo $this->Html->css(array('zones/repertoire/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false));
echo $this->Html->css(array('zones/courrier/bannette'), null, array('inline' => false));
echo $this->Html->css(array('zones/environnement/dispenv'), null, array('inline' => false));

echo $this->Form->create('DispForm');
?>
<input type="hidden" name="data[User][id]" value="<?php echo $userId; ?>" />
<!--<div id="courrier_skel">-->
<div id="dispenv_tabs">
    <ul>
        <li><a href="#bannettesContainer"><?php echo $this->Html->image("/img/mes_bannettes.png") . " " . __d('menu', 'Mes Bannettes'); ?></a></li>
        <li><a href="/repertoires"><?php echo $this->Html->image("/img/repertoire_16.png") . " " . __d('menu', 'Mes Repertoires'); ?></a></li>
    </ul>
    <div id="bannettesContainer" >
        <div id="bannettes">
            <div id="accordion">
                <?php
                foreach ($bannettes as $bannetteName => $bannetteContent) {
                    $bannetteOptions = array(
                        'sortable' => false,
                        'checkable' => true,
                        'filter' => true,
                        'translateBannetteName' => true,
                        'date' => 'created',
                        'disp' => false,
                        'unwantedFields' => array(
                            'retard',
                            'direction',
                            'creatorId',
                            'userconnectedId',
                            'objet',
                            'contact',
                            'typesoustype',
                            'modified', //Arnaud
                            'mailRetardEnvoye' //Arnaud
                        )
                    );

                    if ($bannetteName == 'aiguillage') {
                        $bannetteOptions['disp'] = true;
                    } else {
                        $bannetteOptions['checkable'] = false;
                    }

                    echo $this->Bannette->create($bannetteContent, $bannetteName, $bannetteOptions);
                }
                ?>
            </div>
        </div>
        <div id="controls" class="controls">
            <?php
//            echo $this->Form->input('initDesktopService', array('type' => 'select', 'options' => $services, 'div' => false, 'label' => __d('courrier', 'chooseInitDesktopService'), 'empty' => true));
            ?>
        </div>
    </div>
</div>
<?php echo $this->Form->end(); ?>
<?php echo $this->Element('context', array('fromDispEnv' => true, 'fluxId' => null, 'documentList' => array(), 'rights' => array('getDocuments' => false))); ?>
<script type="text/javascript">

    gui.tabs({
        element: $('#dispenv_tabs'),
        noErrorMsg: true,
        loaderMessage: gui.loaderMessage
    });


    //actions des boutons de #controls
    gui.buttonbox({element: $("#controls")});

    $('.dispBannetteTable .tdView').each(function() {
        var container = $(this);
        var link = $('a', container);
        var img = $('img', link);

        if (img.length > 0) {
            var oldurl = link.attr('href');
            var reg = new RegExp("\/(view)\/([0-9]*)\/[0-9]*", "g");
            var url = oldurl.replace(reg, '/getContext/$2');

            container.append(img);
            link.remove();

            $(img).click(function() {
                $('.tableBodyTr').removeClass('ui-state-focus');
                $(this).parents('tr').addClass('ui-state-focus').removeClass('unread');
                gui.request({
                    url: url,
                    noErrorMsg: true,
                    loaderMessage: gui.loaderMessage,
                    loader: true,
                    updateElement: $('#dispenv_tabs')
                }, function(data) {
                    $("#flux_context").remove();
                    $('#dispenv_tabs').after(data);
                });
            });
        }
    });

    $("#accordion").accordion({
        fillSpace: true
    });

    /*gui.buttonbox({element: $("#controls")});
    gui.addbutton({
        element: $('#controls'),
        button: {
            content: '<?php echo __d('courrier', 'Button.sendToService'); ?>',
            action: function() {
                var allUnchecked = true;
                $('.checkItem').each(function() {
                    if ($(this).attr('checked') == 'checked') {
                        allUnchecked = false;
                    }
                });

                if (allUnchecked) {
                    gui.message({
                        title: 'Envoi de flux',
                        msg: 'Veuillez choisir au moins un flux'
                    });
                } else {
                    gui.request({
                        url: '/courriers/dispsend',
                        data: $('#DispFormDispenvForm').serialize(),
                        loader: true,
                        loaderMessage: gui.loaderMessage,
                        loaderElement: $('#bannettesContainer')
                    }, function(data) {
                        window.location.reload();
                    });
                }

            }
        }
    });*/

    // Ajout Arnaud  pour test
    gui.addbutton({
        element: $('#controls'),
        button: {
            content: '<?php echo __d('courrier', 'Button.sendMultiple'); ?>',
            action: function() {
                var tabChecked = new Array();
                $('.checkItem').each(function() {
                    if ($(this).attr('checked') == 'checked') {
                        tabChecked.push($(this).attr('itemId'));
                    }
                });

                if (tabChecked.length == 0 ) {
                    gui.message({
                        title: 'Envoi de flux',
                        msg: 'Veuillez choisir au moins un flux'
                    });
                } else {
                    var form = "<form id='formChecked'>";
					for (i in tabChecked) {
						form += '<input type="hidden" name="data[DispForm][itemToLink][]" value="' + tabChecked[i] + '">';
					}
					form += "</form>";
                    
                    gui.formMessage({
                        updateElement: $('#DispFormDispenvForm'),
                        loader: true,
                        width: '550px',
                        loaderMessage: gui.loaderMessage,
                        title: '<?php echo __d('courrier', 'Courrier.dispatching'); ?>',
                        data: $(form).serialize(),
                        url: '/courriers/dispmultiplesend/',
                       buttons: {
                            '<?php echo __d('default', 'Button.submit'); ?>': function() {
                                if ($('#CourrierDispmultiplesendForm').valid()) {
                                    gui.request({
                                        url: '/courriers/dispmultiplesend/',
                                        data: $('#CourrierDispmultiplesendForm').serialize(),
                                        loaderElement: $('#DispFormDispenvForm'),
                                        loaderMessage: gui.loaderMessage
                                    }, function(data) {
                                        gui.request({
                                            url: '/environnement/index/0/disp/',
                                            loader: true,
                                        }, function(data) {
//                                            $('.ui-dialog-content').html(data);
                                            window.location.reload(); // arnaud
//                                            $('.loader').remove();
                                        });
                                    });
                                    $(this).dialog('close');
                                }
                            },
                            '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                                $(this).dialog('close');
                            }
                        }
                    });
                }

            }
        }
    });
    // fin ajout Arnaud  pour test


    $('.dispBannetteTable .sepTr').each(function() {
        var trgroup = $(this).attr('trgroup');
        var insertedTr = $('<tr></tr>').addClass('realSepTr').append($('<td></td>').css({'font-weight': 'bold', 'padding-left': '25px'}).html('Groupe de flux - total : ' + $('.trgroup_' + trgroup).length).attr('colspan', $('td', this).length - 1));

        var checkGroupTd = $('<td></td>').html('Groupe')
                .attr('state', 'unchecked')
                .addClass('ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only')
                .css({'text-align': 'center', 'display': 'table-cell'})
                .click(function() {
                    if ($(this).attr('state') == 'unchecked') {
                        $('.trgroup_' + trgroup + ' input[type=checkbox]').attr('checked', 'checked');
                        $(this).attr('state', 'checked');
                    } else {
                        $('.trgroup_' + trgroup + ' input[type=checkbox]').removeAttr('checked');
                        $(this).attr('state', 'unchecked');
                    }
                });
        insertedTr.append(checkGroupTd);
        $(this).before(insertedTr);
    });

    lockContext();
</script>
