<?php
/**
 *
 * Notifications/get_notifications.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<span class="notification_fullwrapper">
	<?php
	$nbNotifications = count($notifications);
	if (!empty($notifications) && $nbNotifications > 0) {
		$span_notif = $this->Html->tag('span', $nbNotifications, array('class' => 'icon_notif'));
		$span_notif .= $this->Html->image('icons/notifications_actif.png', array('id' => 'viewNotifications', 'title' => __d('notification', 'Notification.new')));
		echo $this->Html->tag('span', $span_notif, array('class' => 'notification_wrapper'));
		?>


		<div id="divNotif" class="ui-widget ui-widget-content ui-corner-all notification_fullwrapper_div">
			<?php
			if (!empty($notifications) && $nbNotifications > 0) {

				$allReadBttn = $this->Html->tag('span', __d('notification', 'Notification.mark_all_read'), array('class' => 'button', 'id' => 'notifMarkAllReadBttn'));
				echo $this->Html->tag('div', $allReadBttn, array('class' => 'notification ui-corner-all'));

				foreach ($notifications as $notification) {
					?>
					<div class="notification ui-corner-all" notification_id="<?php echo $notification['Notification']['id']; ?>">
						<div class="ui-widget ui-widget-header ui-widget-header-webgfc"><?php echo $notification['Notification']['name']; ?></div>
						<div class="ui-widget ui-widget-content">
							<span class="notification_title">message</span><br /><?php echo $notification['Notification']['description']; ?>
							<br /><div class="sender"><span class="notification_title">de</span> : <?php echo $notification['Desktop']['name']; ?></div>
							<div class="notif_actions">
								<?php
								echo $this->Html->image("/img/view.png", array('class' => 'notifView', 'notificationId' => $notification['Notification']['id'], 'desktopId' => $notification['Notifieddesktop']['desktop_id'], 'fluxId' => $notification['Courrier']['id']));
								echo $this->Html->image("/img/valid_16.png", array('class' => 'notifRead', 'notificationId' => $notification['Notification']['id'], 'desktopId' => $notification['Notifieddesktop']['desktop_id'], 'fluxId' => $notification['Courrier']['id']));
								?>
							</div>
						</div>
					</div>
					<?php
				}
				?>

				<script type="text/javascript">
					$('#divNotif .notification').hover(function(){
						$(this).addClass('ui-state-highlight');
					},
					function(){
						$(this).removeClass('ui-state-highlight');
					});


		<?php
		if (!CakeSession::read('Auth.User.notifyNotif')) {
			?>jQuery.jGrowl("<?php echo __d('notification', 'Notification.new'); ?>", {});<?php
			CakeSession::write('Auth.User.notifyNotif', true);
		}
		?>


				</script>
				<?php
			} else {
				?>
				<br />
				<div style="text-align: center;"><?php echo __d('notification', 'Notification.void'); ?></div>
				<br />
				<?php
			}
			?>
			<div id="newNotif"></div>
			<script type="text/javascript">

				$('#notifMarkAllReadBttn').button().click(function(){
					gui.request({
						url: '/environnement/setAllNotificationRead'
					}, function(data){
						getJsonResponse(data);
						gui.request({
							url: "/environnement/getNotifications",
							updateElement: $('#nbNotifications')
						});
					})
				});

				$(".notifRead").button().click(function(){
					var notificationId = $(this).attr('notificationId');
					var desktopId = $(this).attr('desktopId');
					var fluxId = $(this).attr('fluxId');

					$('#nbNotifications').html("<img src='/img/ajax-loader-mini.gif' alt='' />");
					gui.request({
						url: "/environnement/setNotificationRead/" + notificationId + "/" + desktopId + "/" + fluxId
					}, function(){
						gui.request({
							url: "/environnement/getNotifications",
							updateElement: $('#nbNotifications')
						});
					});
				});

				$(".notifView").button().click(function(){
					var desktopId = $(this).attr('desktopId');
					var fluxId = $(this).attr('fluxId');
					window.location.href = "/courriers/view/" + fluxId + "/" + desktopId;
				});
			</script>
		</div>
	</span>
	<?php
} else {
	echo $this->Html->image('icons/notifications_inactif.png', array('id' => 'viewNotifications', 'title' => __d('notification', 'Notification.void')));
}
?>