<?php
/**
 *
 * Groups/get_groups.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div class="groups_accordion">
    <?php
    $fields = array(
        'name'
    );
    $actions = array(
        'view' => array(
            'url' => Configure::read('BaseUrl') . '/groups/view',
            'updateElement' => '$("#admin_skel")',
            'formMessage' => true,
            'formMessageHeight' => '600',
            'formMessageWidth' => '700'
        )
    );
    $options = array(
        'filter' => false,
        'title' => __d('group', 'Group.base')
    );
    $this->Liste->draw($groups_base, 'Group', $fields, $actions, $options);


    if (!empty($groups)) {
        $fields = array(
            'name'
        );
        $actions = array(
            'edit' => array(
                'url' => '/groups/edit',
                'updateElement' => '$("#admin_skel")',
                'formMessage' => true,
                'formMessageHeight' => '600',
                'formMessageWidth' => '700',
                'refreshAction' => 'loadStructure();'
            ),
            "delete" => array(
                "url" => '/groups/delete',
                "updateElement" => "$('#admin_skel')",
                "refreshAction" => "loadStructure();"
            )
        );
        $options = array(
            "filter" => false,
            "title" => __d('group', 'Group.perso'),
            'check_inactive' => true,
            'inactive_value' => 0,
            'inactive_field' => 'active',
            'inactive_model' => 'Group',
            'panel_id' => 'profils_persos'
        );

        $this->Liste->draw($groups, 'Group', $fields, $actions, $options);
    } else {
        echo "<h3>";
        echo __d('group', 'GroupPerso.void');
        echo "</h3>";
    }
    ?>
</div>

<script type="text/javascript">
    $('#liste_groups .listTr').hover(function() {
        var id = $(this).attr('itemId');
        $('.Group_' + id).addClass('ui-state-highlight');
    }, function() {
        var id = $(this).attr('itemId');
        $('.Group_' + id).removeClass('ui-state-highlight');
    });

    $('#liste_groups .groups_accordion h3').each(function() {
        var content = $(this).html();
        var span = $('<a href="#"></a>').append(content);
        $(this).empty();
        $(this).append(span);

    });

    $('#liste_groups .groups_accordion').accordion({
        fillSpace: true
    });


    var showInactiveState = false;
    var showInactive = function() {
        if (showInactiveState) {
            $('#liste_groups tr.ui-state-inactive').show();
            showInactiveState = false;
        } else {
            $('#liste_groups tr.ui-state-inactive').hide();
            showInactiveState = true;
        }
    }

    $('#profils_persos').prepend($('<span />').html('<?php echo __d('default', 'Button.showHide'); ?>').button().click(function(){
        showInactive();
    }));

</script>