<?php
/**
 *
 * Keywordlists/get_keywordlists.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
//Debugger::log($keywordlist);
if (!empty($keywordlists)) {
	$options = array(
		'nodes' => array(
			array(
				'model' => 'Keywordlist',
				'field' => 'nom',
				'actions' => array(
					"view" => array(
						"ico" => '/img/view.png',
						"url" => '/keywordlists/view',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					),
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/keywordlists/edit',
						"updateElement" => "$('#infos .content')",
						"formMessage" => false
					)
				)
			)
		)
		,
		'listId' => 'browser',
		'listClass' => 'filetree thesaurusList'
	);
	echo $this->Liste->jqueryListView($keywordlists, $options);
} else {
	echo __d('keyword', 'Keywordlist.void');
}
?>

<script type="text/javascript">
	$("#browser").treeview({ collapsed: true });

	$('.treeviewBttn img').each(function(){
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){

			if ($(this).hasClass('editBttn')){
				gui.request({
					url: href,
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}

			if ($(this).hasClass('viewBttn')){
				gui.request({
					url: href,
					updateElement: $('#infos .content'),
					loader: true,
					loaderMessage: gui.loaderMessage
				});
			}

		});
		parentLink.remove();
	});

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	})
</script>