<?php
/**
 *
 * Keywordlists/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false)); ?>

<script type="text/javascript">
	function loadKeywordlist(){
		$('#infos .content').empty();
		$('#liste table tr').removeClass('ui-state-focus');
		gui.disablebutton({
			element: $('#infos .controls'),
			button: "<?php echo __d('default', 'Button.submit'); ?>"
		});
		gui.disablebutton({
			element: $('#infos .controls'),
			button: "<?php echo __d('default', 'Button.cancel'); ?>"
		});
		gui.request({
			url: "<?php echo Configure::read('BaseUrl') . "/keywordlists/get_keywordlists"; ?>",
			updateElement: $('#liste .content'),
			loader: true,
			loaderMessage: gui.loaderMessage
		});
	}

	function keywordSubmitAll(submits, index){
		if (submits[index] != 'end'){
			gui.request({
				url: submits[index].url,
				data: submits[index].data,
				loaderElement: $('#admin_skel'),
				loaderMessage: gui.loaderMessage
			}, function(data){
				getJsonResponse(data);
				keywordSubmitAll(submits, index + 1);
			});
		} else {
			loadKeywordlist();
		}
	}
</script>

<table id="admin_skel">
	<tr>
		<td id="liste">
			<div class="title">
<?php echo __d('keyword', 'Keywordlist.liste'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
		<td id="infos">
			<div class="title">
<?php echo __d('keyword', 'Keywordlist.infos'); ?>
			</div>
			<div class="content">

			</div>
			<div class="controls">

			</div>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#liste .controls')
	});

	gui.buttonbox({
		element: $('#infos .controls'),
		align: "center"
	});

	gui.addbuttons({
		element: $('#infos .controls'),
		buttons: [
			{
				content: "<?php echo __d('default', 'Button.submit'); ?>",
				action: function(){
					if (!$(this).hasClass('ui-state-disabled')){

						var errorFormTabs = [];
						var areValid = true;
						$('#infos .content form').each(function(){
							if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data"){
								if (!$(this).valid()){
									areValid = false;
									var panelId;
									panelId = $(this).parents(".ui-tabs-panel").attr('id');
									errorFormTabs.push(panelId.substring(panelId.lastIndexOf("-")));
								}
							}
						});

						if (areValid){
							var submits = {};
							var index = 0;
							$('#infos .content form').each(function(){
								if ($(this).attr('action') !== undefined && $(this).attr('enctype') != "multipart/form-data"){
									submits[index] = {'url': $(this).attr('action'), 'data': $(this).serialize()};
									index++;
								}
							});
							submits[index] = 'end';
							keywordSubmitAll(submits, 0);
						} else {
							$('#infos #tabs').tabs('select', errorFormTabs[0]);
						}
					}
				}
			},
			{
				content: "<?php echo __d('default', 'Button.cancel'); ?>",
				action: function(){
					if (!$(this).hasClass('ui-state-disabled')){
						$('#infos .content').empty();
						$('#liste table tr').removeClass('ui-state-focus');
						gui.disablebutton({
							element: $('#infos .controls'),
							button: "<?php echo __d('default', 'Button.submit'); ?>"
						});
						gui.disablebutton({
							element: $('#infos .controls'),
							button: "<?php echo __d('default', 'Button.cancel'); ?>"
						});
					}
				}
			}
		]
	});

	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.submit'); ?>"
	});
	gui.disablebutton({
		element: $('#infos .controls'),
		button: "<?php echo __d('default', 'Button.cancel'); ?>"
	});

	loadKeywordlist();

</script>
