<?php
/**
 *
 * Layouts/default.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 *
 *
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<?php echo $this->Html->charset(); ?>
		<title>
			<?php echo __d('default', 'titre'); ?>
		</title>
		<?php
		echo $this->Html->meta('icon');
		echo $this->fetch('meta');

		$cssFiles = array(
			JQUERYCSS . 'jquery-ui-' . JQUERYUIVERSION . '.custom',
			JQUERYCSSBASE . 'jquery.jgrowl',
			JQUERYCSSBASE . 'jquery.treeview',
			'webgfc',
            'select2' // Arnaud
		);
		echo $this->Html->css($cssFiles);
		echo $this->fetch('css');



		$jsFiles = array(
			JQUERYJSBASE . 'jquery-' . JQUERYVERSION,
			JQUERYJSBASE . 'jquery-ui-' . JQUERYUIVERSION . '.custom.min',
			JQUERYJSBASE . 'jquery.ui.datepicker-fr',
			JQUERYJSBASE . 'jquery.jgrowl',
			JQUERYJSBASE . 'jquery.validate',
			JQUERYJSBASE . 'jquery.validate.messages_fr',
			JQUERYJSBASE . 'jquery.simpleclass',
			JQUERYJSBASE . 'jquery.treeview',
			JQUERYJSBASE . 'jquery.tablesorter.min',
			'gui',
			JQUERYJSBASE . 'jquery.caret.1.02.js',
			'flexpaper_flash',
			'default',
			'/data_acl/js/jquery.acl',
            'select2' //Arnaud
		);
		if (Configure::read('debug') > 0) {
			$jsFiles[] = 'debugTools';
		}
		echo $this->Html->script($jsFiles);
		echo $this->fetch('script');
		?>
	</head>
	<body>
		<?php echo $this->Html->tag('div', '&nbsp;', array('class' => 'logo_titre')); ?>
		<div id="container">
			<div id="header"></div>
			<div id="menu" class="shadowBox ui-widget-content"><?php echo $this->element('menu'); ?></div>
			<table id="tools">
				<tr>
					<td id="ariane">
						<?php
						$str = "<span id='arianneEnv' class='shadowBox'>" . $this->Html->image("/img/menu_env_env.png", array('class' => 'menuIcon', 'alt' => 'Mon environnement')) . "</span>";
						if (!empty($ariane)) {
							foreach ($ariane as $item) {
								$str .= '<span class="arianeSeparator ui-widget-content ui-corner-all shadowBox"> &raquo; </span><span class="arianeItem ui-widget-content ui-corner-all shadowBox">' . $item . "</span>";
							}
						}
						echo $str;
						?>
					</td>
					<td>
					</td>
					<td id="user_connected" class="ui-widget ui-widget-content ui-corner-all"><?php echo $this->element('infouser'); ?></td>
					<td id="nbNotifications" class="ui-widget ui-widget-content ui-corner-left"><?php echo $this->Html->image('icons/notifications_loader.gif'); ?></td>
					<td id="nbTaches" class="ui-widget ui-widget-content"><?php echo $this->Html->image('icons/taches_loader.gif'); ?></td>
					<td id="absences" class="ui-widget ui-widget-content ui-corner-right"><?php echo $this->Html->image('/img/delegto_16_loader.gif'); ?></td>
				</tr>
			</table>
			<div id="content">
				<div id="realcontent">
					<?php echo $this->Session->flash(); ?>
					<?php echo $this->fetch('content'); ?>
				</div>
			</div>
		</div>
		<span id="versionInfo"><span class="bold">Version : </span><?php echo WEBGFCVERSION; ?></span>
		<noscript>
			<div id="noJS"><br /><br /><br /><br /><br /><br />Impossible d'utiliser JavaScript !!!<br /><br />La prise en charge de JavaScript &agrave; &eacute;t&eacute; d&eacute;sactiv&eacute;e ou votre navigateur ne supporte pas JavaScript.<br />Afin de pouvoir utiliser cette application web, veuillez activer la prise en charge de JavaScript ou utiliser un navigateur diff&eacute;rent.<br /><br /></div>
		</noscript>
		<script type="text/javascript">
			$('#arianneEnv').button().click(function() {
				window.location.href = "<?php echo Router::url("/environnement"); ?>";
			});

			$(document).ready(function() {
				loadNotifications();
				initNotifications();
				loadTaches();
				initTaches();
				loadDeleg();
				initDeleg();
<?php if (Configure::read('debug') > 0) { ?>
					initDebugTools();
<?php } ?>

			});
		</script>
	</body>
</html>
