<?php
/**
 *
 * Metadonnees/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('Metadonnee');
echo $this->Form->input('Metadonnee.id');
echo $this->Form->input('Metadonnee.name', array('label' => __d('metadonnee', 'Metadonnee.name')));

echo $this->Form->input('Soustype.Soustype', array( 'type' => 'select', 'multiple' => true, 'options' => $listeSoustypes, 'label' => __d('metadonnee', 'Metadonnee.soustype_id')));

echo $this->Form->input('Metadonnee.typemetadonnee_id', array('label' => __d('metadonnee', 'Metadonnee.typemetadonnee_id'), 'options' => $typemetadonnees, 'empty' => true));
?>

<!-- affichage (ou masquage) des informations liées à une métadonnée de type select -->

<?php echo $this->Html->tag('span', $this->Html->image('icons/ajouter.png', array('title' => __d('default', 'Button.add'), 'alt' => __d('default', 'Button.add'))) . __d('selectvaluemetadonnee', 'Selectvaluemetadonnee.add'), array('id' => 'editValue')); ?>

<div id="metadonneesvalues">
    <h3 class="bannette">Liste des valeurs de la métadonnée</h3>
    <?php 
        $fields = array(
            'name'
        );
        
        $actions = array(
            "edit" => array(
                "url" => '/selectvaluesmetadonnees/edit/',
                "updateElement" => "$('#infos .content')",
                "formMessage" => true,
                "loader" => true,
                "refreshAction" => "loadValues();"
            ),
            "delete" => array(
                "url" => '/selectvaluesmetadonnees/delete/',
                "updateElement" => "$('#infos .content')",
                "refreshAction" => "loadValues();"
            )
        );
        $options = array();
        $this->Liste->draw($selectvalues, 'Selectvaluemetadonnee', $fields, $actions, $options);
        
        
    ?>    
</div>


<script type="text/javascript">
    function loadValues() {
        gui.request({
            url: "<?php echo Configure::read('BaseUrl') . "/metadonnees/edit/" . $metadonneeId; ?>",
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
</script>

<script type="text/javascript">

	$('#MetadonneeEditForm').validate({
		rules: {
			'data[Metadonnee][name]': 'required',
			'data[Metadonnee][typemetadonnee_id]': 'required'
		}
	});


	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});
	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
    
    
    
//    alert($('#MetadonneeTypemetadonneeId').val());
        //Bouton Ajouter pour ajouter des valeurs à la métadonnée si de type select
    $('#editValue').css('display', 'none');
    $('#metadonneesvalues').css('display', 'none');
    
    var valOfSelect = <?php echo Configure::read('Selectvaluemetadonnee.id');?>;
    $(document).ready(function(){
		if ($('#MetadonneeTypemetadonneeId').val() == valOfSelect ){
			$('#editValue').css('display', 'block');
			$('#editValue').addClass('selectmetadonnees');
			$('#metadonneesvalues').css('display', 'block');
		} else {
			$('#editValue').css('display', 'none');
			$('#metadonneesvalues').css('display', 'none');
		}
        
        $('#MetadonneeTypemetadonneeId').change(function(){
            if ($('#MetadonneeTypemetadonneeId').val() == valOfSelect ){
                $('#editValue').css('display', 'block');
                $('#editValue').addClass('selectmetadonnees');
                $('#metadonneesvalues').css('display', 'block');
            } else {
                $('#editValue').css('display', 'none');
                $('#metadonneesvalues').css('display', 'none');
            }    
        });
	});

    
    $('#editValue').button().click(function() {
        var url = "<?php echo Router::url(array('controller' => 'selectvaluesmetadonnees', 'action' => 'add', $metadonneeId)); ?>";
        
        gui.formMessage({
            updateElement: $('#infos'),
            loader: true,
            width: '400px',
//            height: '300px',
            loaderMessage: gui.loaderMessage,
            title: '<?php echo __d('selectvaluemetadonnee', 'Selectvaluemetadonnee.add'); ?>',
            data: $(this).serialize(),
            url: url,
            buttons: {
                '<?php echo __d('default', 'Button.submit'); ?>': function() {
                    if ($('#SelectvaluemetadonneeAddForm').valid()) {
                        gui.request({
                            url: url,
                            data: $('#SelectvaluemetadonneeAddForm').serialize(),
                            loaderElement: $('#infos .content'),
                            loaderMessage: gui.loaderMessage
                        }, function(data) {
                            gui.request({
//                                url: '/metadonnees/add/',
                                loader: true,
                                updateElement: $('#infos .content'),
                            }, function(data) {
                                $('.ui-dialog-content').html(data);
//                                $('#metadonneesvalues').append($('#SelectvaluemetadonneeAddForm').serialize());
//                                  window.location.reload(); // arnaud
//                                $('#infos .content').reload();
                                $('.loader').remove();
                                
                                
                            });
                        });
                        $(this).dialog('close');
                        loadValues();
                    }
                    
                },
                '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                    $(this).dialog('close');
                }
            }
        });
    });


    // Pour la partie Edit
    $( '#metadonneesvalues table .itemEdit' ).unbind('click');
    $( '#metadonneesvalues table .itemEdit' ).bind('click', function(){
        var itemId = $(this).attr('itemId');
		gui.formMessage({
			updateElement: $("#infos .content"),
			loader: true,
			loaderMessage: gui.loaderMessage,
			title: '<?php echo __d('selectvaluemetadonnee', 'Selectvaluemetadonnee.edit'); ?>',
			url: "/selectvaluesmetadonnees/edit/" + itemId,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function() {
					var form = $('form', this);
					if ($(form).valid()) {
						gui.request({
							url: form.attr('action'),
							data: form.serialize()
						}, function() {
							loadValues();
						});
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog('close');
				}
			}
		});
    });

    $(document).ready(function() {
        $('#SoustypeSoustype').select2();
    });
</script>