<?php
/**
 *
 * Recherches/get_recherches.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($recherches)) {

	$options = array(
		'nodes' => array(
			array(
				'model' => 'Recherche',
				'field' => 'name',
				'actions' => array(
					"view" => array(
						"ico" => Configure::read('BaseUrl') . '/img/view.png',
						"url" => Configure::read('BaseUrl') . '/recherches/recherche'
					),
					"edit" => array(
						"ico" => Configure::read('BaseUrl') . '/img/edit.png',
						"url" => Configure::read('BaseUrl') . '/recherches/formulaire'
					),
					"delete" => array(
						"ico" => Configure::read('BaseUrl') . '/img/delete.png',
						"url" => Configure::read('BaseUrl') . '/recherches/delete'
					)
				)
			)
		)
		,
		'listId' => 'browserRecherche',
		'listClass' => 'filetree'
	);

	$val = $this->Liste->jqueryListView($recherches, $options);
	echo $val;
} else {
	echo __d('recherche', 'Recherche.void');
}
?>


<script type="text/javascript">

	$("#browserRecherche").treeview({ collapsed: true });

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	});


	$('.treeviewBttn img').each(function(){
		if ($(this).hasClass('actionImg')){
			$(this).button();
		}
		var parentLine = $(this).parent().parent().parent();
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){
			if (img.hasClass('deleteBttn')){
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function(){
							$(this).dialog("close");
							gui.request({
								url: href,
								loaderElement: $('#repertoires_skel_dyn .content'),
								loaderMessage: gui.loaderMessage
							}, function(data){
								getJsonResponse(data);
								loadRecherches();
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog("close");
						}
					}
				});
			} else if ($(this).hasClass('viewBttn')){
				selectLineElement(parentLine);
				gui.request({
					url: href,
					loader: true,
					updateElement: $('#repertoires_skel_infos .content'),
					loaderMessage: gui.loaderMessage
				});
			} else {
				gui.formMessage({
					width: 700,
					height: 500,
					url: href,
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#repertoires_skel'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function(){
							var form = $('#RechercheFormulaireForm');
							if(form.valid()){
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data){
									getJsonResponse(data);
									loadRecherches();
									if (parentLine.hasClass('ui-state-focus')){
										$('#repertoires_skel_infos .content').empty();
									}
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog('close');
						}
					}
				});
			}
		});
		parentLink.remove();

	});
</script>
