<?php
/**
 *
 * Repertoires/get_repertoires.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($repertoires)) {

	$options = array(
		'nodes' => array(
			array(
				'model' => 'Repertoire',
				'field' => 'name',
				'actions' => array(
					"view" => array(
						"ico" => '/img/view.png',
						"url" => '/repertoires/getFlux'
					),
					"edit" => array(
						"ico" => '/img/edit.png',
						"url" => '/repertoires/edit'
					),
					"delete" => array(
						"ico" => '/img/delete.png',
						"url" => '/repertoires/delete'
					)
				)
			)
		)
		,
		'listId' => 'browserRepertoire',
		'listClass' => 'filetree'
	);

	$val = $this->Liste->jqueryThreadedView($repertoires, $options);
	echo $val;
} else {
	echo __d('repertoire', 'Repertoire.void');
}
?>

<script type="text/javascript">
	$("#browserRepertoire").treeview({ collapsed: true });

	$('.treeview span.folder, .treeview span.file').addClass('ui-corner-all').hover(function(){
		$(this).addClass('ui-state-highlight').css('border', 'none');
	}, function(){
		$(this).removeClass('ui-state-highlight').css('border', 'none');
	});

	$('.treeviewBttn img').each(function(){
		if ($(this).hasClass('actionImg')){
			$(this).button();
		}
		var parentLine = $(this).parent().parent().parent();
		var parentSpan = $(this).parent().parent();
		var parentLink = $(this).parent();
		var href = $(this).parent().attr('href');
		var img = $(this).detach();
		img.appendTo(parentSpan).click(function(){
			if (img.hasClass('editBttn')){
				gui.formMessage({
					url: href,
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#repertoires_skel'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function(){
							var form = $('#RepertoireEditForm');
							if(form.valid()){
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data){
									getJsonResponse(data);
									loadRepertoires();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog('close');
						}
					}
				});
			} else if(img.hasClass('deleteBttn')) {
				gui.message({
					title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
					msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
					buttons: {
						"<?php echo __d('default', 'Button.confirm'); ?>": function(){
							$(this).dialog("close");
							gui.request({
								url: href,
								loaderElement: $('#repertoires_skel_liste .content'),
								loaderMessage: gui.loaderMessage
							}, function(data){
								getJsonResponse(data);
								if (parentLine.hasClass('ui-state-focus')){
									$('#repertoires_skel_infos .content').empty();
								}
								loadRepertoires();
							});
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog("close");
						}
					}
				});
			} else {
				selectLineElement(parentLine);
				gui.request({
					url: href,
					loader: true,
					updateElement: $('#repertoires_skel_infos .content'),
					loaderMessage: gui.loaderMessage
				});
			}
		});
		parentLink.remove();
	});
</script>