<?php
/**
 *
 * Repertoires/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
	function loadRepertoires(){
		gui.request({
			url: "<?php echo Configure::read('BaseUrl') . "/repertoires/getRepertoires"; ?>",
			loader: true,
			loaderMessage: gui.loaderMessage,
			updateElement: $('#repertoires_skel_liste .content')
		});
	}

	function loadRecherches(){
		gui.request({
			url: "<?php echo Configure::read('BaseUrl') . "/recherches/getRecherches"; ?>",
			loader: true,
			loaderMessage: gui.loaderMessage,
			updateElement: $('#repertoires_skel_dyn .content')
		});
	}

	function loadRepertoire(id){
		$('#liste .content .treeTr').each(function(){
			if ($(this).attr('itemId') == id){
				$(this).click();
			}
		});
	}

	function selectLineElement(lineElement){
		$('#browserRepertoire li > span, #browserRecherche li > span').removeClass('ui-state-focus');
		lineElement.addClass('ui-state-focus');
	}
</script>

<table id="repertoires_skel">
	<tr>
		<td id="repertoires_skel_liste">
			<div class="title">
				<?php echo __d('repertoire', 'Repertoire.liste'); ?>
			</div>
			<div class="content"></div>
			<div class="controls"></div>
		</td>
		<td rowspan="2" id="repertoires_skel_infos">
			<div class="title">
				<?php echo __d('repertoire', 'Repertoire.listeFlux'); ?>
			</div>
			<div class="content"></div>
			<div class="controls"></div>
		</td>
	</tr>
	<tr>
		<td id="repertoires_skel_dyn">
			<div class="title">
				<?php echo __d('recherche', 'Recherche.liste'); ?>
			</div>
			<div class="content"></div>
			<div class="controls"></div>
		</td>
	</tr>
</table>

<script type="text/javascript">
	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#repertoires_skel_liste .controls')
	});

	gui.buttonbox({
		element: $('#repertoires_skel_infos .controls')
	});

	gui.buttonbox({
		element: $('#repertoires_skel_dyn .controls')
	});

	gui.addbutton({
		element: $('#repertoires_skel_liste .controls'),
		button: {
			content: '<?php echo $this->Html->image("icons/repertoire-add.png") . " " . __d('repertoire', 'New Repertoire'); ?>',
			action: function(){
				gui.formMessage({
					url: "<?php echo Configure::read('BaseUrl') . '/repertoires/add' ?>",
					loader: true,
					loaderMessage: gui.loaderMessage,
					updateElement: $('#repertoires_skel'),
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function(){
							var form = $('#RepertoireAddForm');
							if(form.valid()){
								gui.request({
									url: form.attr('action'),
									data: form.serialize()
								}, function(data){
									getJsonResponse(data);
									loadRepertoires();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog('close');
						}
					}
				}, function(){
					loadRepertoires();
				});
			}
		}
	});

	gui.disablebutton({
		element: $('#repertoires_skel_infos .controls'),
		button: 1
	});

	gui.addbutton({
		element: $('#repertoires_skel_dyn .controls'),
		button: {
			content: '<?php echo $this->Html->image("recherche_add_16.png") . " " . __d('recherche', 'New Recherche'); ?>',
			action: function(){
				gui.formMessage({
					url: "<?php echo Configure::read('BaseUrl') . '/recherches/formulaire/0' ?>",
					width: 700,
					height: 500,
					loader: true,
					updateElement: $('#repertoires_skel'),
					loaderMessage: gui.loaderMessage,
					buttons: {
						"<?php echo __d('default', 'Button.submit'); ?>": function(){
							var form = $('#RechercheFormulaireForm');
							if (form.valid()){
								gui.request({
									url: "<?php echo Configure::read('BaseUrl') . "/recherches/formulaire" ?>",
									data: $('#RechercheFormulaireForm').serialize()
								}, function(data){
									getJsonResponse(data);
									loadRecherches();
								});
								$(this).dialog('close');
							}
						},
						"<?php echo __d('default', 'Button.cancel'); ?>": function(){
							$(this).dialog('close');
						}
					}
				}, function(){
					loadRecherches();
				});
			}
		}
	});

	loadRepertoires();
	loadRecherches();
</script>