<?php
/**
 *
 * Soustypes/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
	function InsertSelectedValueIntoInput(el){
		var input = $('input[type=text]:first', $(el).parent());
		var caretPos = $(input).caret().start;

		var newVal = $("option:selected", el).val();
		var beginVal = input.val().substr(0, caretPos);
		var endVal = input.val().substr(caretPos, input.val().length);

		input.val(beginVal + newVal + endVal);
	}

	function defRefInOut(){
		var inRef = "E_";
		var outRef = "S_";
		var internalRef = "I_";
		if ($('#SoustypeEntrant1').attr('checked') == 'checked'){
			$('#refInOut').html(inRef);
		} else if ($('#SoustypeEntrant0').attr('checked') == 'checked'){
			$('#refInOut').html(outRef);
		} else if ($('#SoustypeEntrant2').attr('checked') == 'checked'){
			$('#refInOut').html(internalRef);
		}
	}

	function stype_tabs_reload(){
		$('#stype_tabs').tabs('load', 1);
	}
</script>

<div id="stype_tabs">
	<ul>
		<li><a href="#stype_tabs_1"><?php echo __d('default', 'Informations'); ?></a></li>
		<?php if (!$response) { // si un flux n'est lié à aucun flux alors on affiche le bloc AR ?>
			<li><a href="<?php echo "/Soustypes/setArmodels/" . $id; ?>"><?php echo __d('soustype', 'Soustype.Armodels'); ?></a></li>
		<?php } else { ?>
			<li><a href="<?php echo "/Soustypes/setRmodels/" . $id; ?>"><?php echo __d('soustype', 'Soustype.Rmodels'); ?></a></li>
		<?php } ?>
	</ul>

	<div id="stype_tabs_1">
		<?php
		echo $this->Form->create('Soustype');
		echo $this->Form->input('Soustype.id');

		echo $this->Form->input('Soustype.name', array('label' => __d('soustype', 'Soustype.name'), 'placeholder' =>  __d('soustype', 'Soustype.placeholderName')));
                echo $this->Html->tag('span', __d('soustype', 'Soustype.formatName'), array('class' => 'formatNomSoustype'));
                echo $this->Form->input('Soustype.type_id', array('label' => __d('soustype', 'Soustype.type_id'), 'options' => $types, 'empty' => true));
		echo $this->Form->input('Soustype.circuit_id', array('label' => __d('soustype', 'Soustype.circuit_id'), 'options' => $circuits, 'empty' => true));
		?>
		<fieldset><legend><?php echo __d('soustype', 'Soustype.delai'); ?></legend>
			<?php
			echo $this->Form->input('Soustype.delai_nb', array('label' => __d('soustype', 'Soustype.delai_nb')));
			echo $this->Form->input('Soustype.delai_unite', array('label' => __d('soustype', 'Soustype.delai_unite'), 'options' => array('0' => 'jour', '1' => 'semaine', '2' => 'mois'), 'empty' => true));
			?>
		</fieldset>
		<fieldset><legend><?php echo __d('soustype', 'Soustype.entrant'); ?></legend>
			<?php
			echo $this->Form->radio('Soustype.entrant', array(1 => __d('soustype', 'Soustype.entrant.entrant'), 0 => __d('soustype', 'Soustype.entrant.sortant'), 2 => __d('soustype', 'Soustype.entrant.interne')), array("legend" => false));
			?><br /><br /><?php
			echo $this->Form->input('Soustype.parent_id', array('label' => __d('soustype', 'Soustype.parent_id'), 'options' => $soustypesList, 'empty' => true));
			?>
		</fieldset>
	</div>
</div>

<script type="text/javascript">
	$("#SoustypeEditForm").validate({
		rules: {
			"data[Soustype][name]": "required",
			"data[Soustype][type_id]": "required",
			"data[Soustype][delai_nb]": "digits"
		}
	});

	gui.tabs({
		element: $('#stype_tabs'),
		noErrorMsg: true,
		loaderMessage: gui.loaderMessage
	});

	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.submit'); ?>'
	});

	gui.enablebutton({
		element: $('#infos .controls'),
		button: '<?php echo __d('default', 'Button.cancel'); ?>'
	});
        /*
        $('#SoustypeName').blur(function(){
                var test = $('#SoustypeName').val(); 
                var string=test.split('- Flux');
                var type = $("input[name='data[Soustype][entrant]']:checked").val(); 
                if(type==1){
                    $('#SoustypeName').val(string[0]+'- Flux Entrants');
                }else if(type==2){
                    $('#SoustypeName').val(string[0] + '- Flux Internes');
                }else{
                    $('#SoustypeName').val(string[0] + '- Flux Sortants');
                }
        });
        */
        var soustypeName=$('#SoustypeName').val();
        var text = soustypeName.split('- Flux ');
        var type = text[1];
        if(type=='Entrants'){
            $("input[name='data[Soustype][entrant]'][value=1]").attr("checked",true);
            $('#SoustypeParentId').hide();
            $('label[for="SoustypeParentId"]').hide();
        }else if(type=='Internes'){
            $("input[name='data[Soustype][entrant]'][value=2]").attr("checked",true);
            $('#SoustypeParentId').hide();
            $('label[for="SoustypeParentId"]').hide();
        }else if(type=='Sortants'){
            $("input[name='data[Soustype][entrant]'][value=3]").attr("checked",true);
        }
        
	$('#SoustypeEntrant0').change(function(){
                $('#SoustypeParentId').show();
                $('label[for="SoustypeParentId"]').show();
		$('#SoustypeParentId').removeAttr('disabled');
                var test = $('#SoustypeName').val(); 
                var string=test.split('- Flux');
                $('#SoustypeName').val(string[0] + '- Flux Sortants');
		defRefInOut();
	});
	$('#SoustypeEntrant1').change(function(){
		if ($('#SoustypeEntrant1').attr('checked') == 'checked'){
			//$('#SoustypeParentId').attr('disabled', "disabled");
                        $('#SoustypeParentId').hide();
                        $('label[for="SoustypeParentId"]').hide();
                        var test = $('#SoustypeName').val(); 
                        var string=test.split('- Flux');
                        $('#SoustypeName').val(string[0] + '- Flux Entrants');
			defRefInOut();
		}
	});
	$('#SoustypeEntrant2').change(function(){
		if ($('#SoustypeEntrant2').attr('checked') == 'checked'){
			//$('#SoustypeParentId').attr('disabled', "disabled");
                        $('#SoustypeParentId').hide();
                        $('label[for="SoustypeParentId"]').hide();
                        var test = $('#SoustypeName').val(); 
                        var string=test.split('- Flux');
                        $('#SoustypeName').val(string[0] + '- Flux Internes');
			defRefInOut();
		}
	});

	if ($('#SoustypeEntrant0').attr('checked') == "checked"){
		$('#SoustypeParentId').removeAttr('disabled');
	}
	if ($('#SoustypeEntrant1').attr('checked') == "checked" ||$('#SoustypeEntrant2').attr('checked') == "checked"){
		$('#SoustypeParentId').attr('disabled', "disabled");
	}

	defRefInOut();

</script>