<?php
/**
 *
 * Soustypes/set_armodels.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
$ulContent = '';
if (empty($armodels)) {
	$ulContent = $this->Html->tag('li', __d('soustype', 'Soustype.Armodel.void'), array('class' => 'ui-state-highlight voidlist_item'));
} else {
	foreach ($armodels as $armodel) {

		$liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Armodel', 'ctxdoc' => $armodel['Armodel'], 'adminMode' => true));

		if ($armodel['Armodel']['format'] == 'email') {
			$dlContent = $this->Html->tag('dt', __d('armodel', 'Armodel.email_title'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['email_title']);
			$dlContent .= $this->Html->tag('dt', __d('armodel', 'Armodel.email_content'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['email_content']);
			$liContent .= $this->Html->tag('dl', $dlContent);
		}

		if ($armodel['Armodel']['format'] == 'sms') {
			$dlContent = $this->Html->tag('dt', __d('armodel', 'Armodel.sms_content'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['sms_content']);
			$liContent .= $this->Html->tag('dl', $dlContent);
		}

		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc'));
	}
}
echo $this->Html->tag('ul', $ulContent, array('id' => 'armodelList'));
echo $this->Html->tag('span', __d('armodel', 'Armodel.bttn.add'), array('class' => 'armodel_bttn_add'));
?>
<script type="text/javascript">
	$('.armodel_bttn_add').button().click(function (){
		gui.formMessage({
			url: '/armodels/add/' + "<?php echo $soustype_id; ?>",
			loader: true,
			loaderMessage: gui.loaderMessage,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function(){
					var form = $('#ArmodelAddForm');
					if (form.valid()){
						form.submit();
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function(){
					$(this).dialog('close');
				}
			}
		});
	});

	$('.ctxdocBttnDelete').click(function(){
		var docId = $(this).parent().parent().attr('itemId');
                gui.message({
                        title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
                        msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
                        buttons: {
                                "<?php echo __d('default', 'Button.confirm'); ?>": function(){
                                        $(this).dialog("close");
                                        gui.request({
                                                url: '/armodels/delete/' + docId,
                                                loader: true,
                                                loaderMessage: gui.loaderMessage,
                                        }, function(data){
                                                getJsonResponse(data);
                                                stype_tabs_reload();
                                        });
                                },
                                "<?php echo __d('default', 'Button.cancel'); ?>": function(){
                                        $(this).dialog("close");
                                }
                        }
                });
//		gui.request({
//			url: '/armodels/delete/' + docId,
//		}, function(data){
//			getJsonResponse(data);
//			stype_tabs_reload();
//		});
	});

</script>