<?php
/**
 *
 * Users/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('User');
$fieldsetUserContent = $this->Html->tag('legend', 'Utilisateur', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetUserContent .= $this->Form->input('User.username', array('label' => __d('user', 'User.username')));
$fieldsetUserContent .= $this->Form->input('User.password', array('label' => __d('user', 'User.password')));
$fieldsetUserContent .= $this->Form->input('User.nom', array('label' => __d('user', 'User.nom')));
$fieldsetUserContent .= $this->Form->input('User.prenom', array('label' => __d('user', 'User.prenom')));
$fieldsetUserContent .= $this->Form->input('User.mail', array('label' => __d('user', 'User.mail'))); // TODO + classer par ordre alphabétique la liste des profils
$fieldsetUserContent .= $this->Form->input('User.numtel', array('label' => __d('user', 'User.numtel')));
echo $this->Html->tag('fieldset', $fieldsetUserContent);

$fieldsetDesktopContent = $this->Html->tag('legend', __d('desktop', 'Desktop.priDesktop'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetDesktopContent .= $this->Form->input('Desktop.group_id', array('label' => $this->Html->tag('span', __d('user', 'User.group_id') . $this->Html->tag('span', '*', array('style' => 'color: #ee3322;')), array('class' => 'required')), 'options' => $groups, 'empty' => true));
$fieldsetDesktopContent .= $this->Form->input('Desktop.name', array('label' => __d('desktop', 'Desktop.name')));
$fieldsetDesktopContent .= $this->Form->input('Desktop.Service.Service', array('style' => 'width: 400px;', 'options' => $services, 'escape' => false, 'type' => 'select', 'multiple' => true, 'label' => $this->Html->tag('span', __d('user', 'User.Service.Service') . $this->Html->tag('span', '*', array('style' => 'color: #ee3322;')), array('class' => 'required'))));
echo $this->Html->tag('fieldset', $fieldsetDesktopContent);

// Partie Notifications
$fieldsetNotificationContent = $this->Html->tag('legend', __d('user', 'User.notification'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetNotificationContent .= $this->Form->input('User.accept_notif', array('label' => __d('user', 'User.accept_notif'), 'type' => 'checkbox'));
echo $this->Html->tag('fieldset', $fieldsetNotificationContent);

$fieldsetOptionNotificationContent = $this->Html->tag('legend', __d('user', 'User.optionnotif'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion', array('label' => __d('user', 'User.mail_insertion'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_traitement', array('label' => __d('user', 'User.mail_traitement'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_refus', array('label' => __d('user', 'User.mail_refus'), 'type' => 'checkbox'));
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_retard_validation', array('label' => __d('user', 'User.mail_retard_validation'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_copy', array('label' => __d('user', 'User.mail_copy'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion_reponse', array('label' => __d('user', 'User.mail_insertion_reponse'), 'type' => 'checkbox')); 
$fieldsetOptionNotificationContent .= $this->Form->input('User.mail_aiguillage', array('label' => __d('user', 'User.mail_aiguillage'), 'type' => 'checkbox')); 
echo $this->Html->tag('fieldset', $fieldsetOptionNotificationContent, array( 'id' => 'UserOptionNotification', 'class' => 'notification' ));

echo $this->Form->end();
?>


<script type="text/javascript">

    
	function checkDesktopNameUnique(){
		gui.request({
			url: "/users/ajaxformvalid/desktopname",
			data: $('#UserAddForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		});
	}
        $('#DesktopGroupId').change(function() {
            var str = "";
            $( "#DesktopGroupId option:selected" ).each(function() {
              str += $( this ).text() + " ";
            });
            var nom=$('#UserAddForm #UserNom').val();
            var prenom = $('#UserAddForm #UserPrenom').val();
            $('#DesktopName').val(str+prenom+' '+nom);
        });
	$('#UserAddForm').validate({
		rules: {
			'data[User][username]': 'required',
			'data[User][password]': 'required',
			'data[User][nom]': 'required',
			'data[User][prenom]': 'required',
			'data[Desktop][group_id]': 'required',
			'data[Desktop][name]': 'required',
			'data[Desktop][Service][Service][]': 'required'
		}
	});


	$('#DesktopGroupId').blur(function() {
		if ($('#DesktopName').val() == '' && $('#UserNom').val() != '' && $('#UserPrenom').val() != '' && $('#DesktopGroupId').val() != '') {
			$('#DesktopName').val('<?php echo __d('desktop', 'Desktop.Desktop'); ?> ' + $('#DesktopGroupId option:selected').html() + ' ' + $('#UserNom').val() + ' ' + $('#UserPrenom').val());
			checkDesktopNameUnique();
		}
	});

    $("input[name='data[User][username]']").blur(function() {
		gui.request({
			url: "/users/ajaxformvalid/username",
			data: $('#UserAddForm').serialize()
		}, function(data) {
                    processJsonFormCheck(data);
                });
	});
    
	/*$('#UserUsername').blur(function() {
		gui.request({
			url: "/users/ajaxformvalid/username",
			data: $('#UserAddForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		})
	});*/
	$('#UserMail').blur(function() {
		gui.request({
			url: "/users/ajaxformvalid/mail",
			data: $('#UserAddForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		})
	});
	$('#DesktopName').blur(function() {
		checkDesktopNameUnique();
	});

    $(document).ready(function() {
        $('#DesktopServiceService').select2();
    });
    
    // Affichage des notifications
    $('#UserOptionNotification').hide();
    $('#UserAcceptNotif').change(function() {
        if ($('#UserAcceptNotif').attr('checked') == 'checked') {
            $('#UserOptionNotification').show();
        } 
        else {
            $('#UserOptionNotification').hide();
        }
    });
</script>
