<?php
/**
 *
 * Users/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
echo $this->Html->css('zones/user/infos', null, array('inline'));

//FIXME
if ($this->Session->check( 'Message.flash' ) ) {
    echo $this->Session->flash();
}
if ($this->Session->check( 'Message.auth' ) ) {
    echo $this->Session->flash( 'auth' );
}
?>
<script type="text/javascript">
	function reloadDelegDependances() {
		loadDeleg();
	}

	function desktopElementHighlight(desktopElement) {
		$('.desktopElement').removeClass('ui-state-focus');
		$(desktopElement).addClass('ui-state-focus');
	}
</script>
<?php
$infoListFields = array(
	'username',
	'nom',
	'prenom',
	'mail',
	'numtel'
);

$infoList = $this->Form->create('User');
$infoListContent = '';
$infoListContent .= $this->Form->input('User.id');
foreach ($user['User'] as $kInfo => $info) {

    if (in_array($kInfo, $infoListFields)) {
        $infoListContent .= $this->Form->input('User.' . $kInfo, array('label' => __d('user', 'User.' . $kInfo)));
    }
    
     if( $kInfo == 'active' ) {
        $infoListContent .= $this->Form->input('User.active', array('label' => __d('user', 'User.active'), 'type' => 'checkbox', 'id' => 'infoUserDesactive'));
    }
}

$infoList .= $infoListContent;
$infoList .= $this->Html->tag('span', $this->Html->image('/img/rights.png', array('alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/users/rights/' . $user['User']['id'])), array('class' => 'setRights', 'id' => 'viewUserRightsBttn'));

$span1 = $this->Html->tag('span', __d('default', 'Button.submit'), array('id' => 'userInfoSaveBttn'));

$span2 = $this->Html->tag('span', $this->Html->image('/img/edit_user_pwd_22.png', array('style' => 'width:15px; height:15px;',  'alt' => 'Changer le mot de passe', 'title' => __d('user', 'Change password'))), array('id' => 'userInfoEditPwdBttn'));
$span3 = $this->Html->tag('span', $this->Html->image('/img/icons/notifications_actif.png', array('style' => 'width:15px; height:15px;',  'alt' => 'Abonnement aux notifications', 'title' => __d('user', 'Change notif'))), array('id' => 'userInfoEditNotifBttn'));
$infoList .= $this->Html->tag('div', $span1.$span2.$span3, array());
$infoList .= $this->Form->end();
$infoDivContent = $infoList;

$infoDiv = $this->Html->tag('div', $infoDivContent, array('class' => 'ui-widget-content', 'id' => 'infoList'));
echo $infoDiv;

$desktopsListContent = $this->Html->tag('dt', __d('desktop', 'Desktop.priDesktop'), array('class' => 'ui-state-focus'));
$desktopsListContent .= $this->Html->tag('dd', $this->element('dktpEditBttn', array('deletable' => false, 'desktopId' => $user['Desktop']['id'])) . $this->Html->tag('div', $user['Desktop']['name']), array('class' => 'firstDesktop desktopElement desktopElement_' . $user['Desktop']['id'] . (in_array($user['Desktop']['id'], $delegateToDesktops) ? ' delegateTo' : ''), 'desktopId' => $user['Desktop']['id']));
$secDesktopsListContent = '';
if (!empty($user['SecondaryDesktop'])) {
	foreach ($user['SecondaryDesktop'] as $desktop) {
		$secDesktopsListContent.= $this->Html->tag('li', $this->element('dktpEditBttn', array('deletable' => true, 'desktopId' => $desktop['id'], 'userId' => $user['User']['id'])) . $this->Html->tag('div', $desktop['name']), array('class' => 'desktopElement desktopElement_' . $desktop['id'] . (in_array($desktop['id'], $delegatedDesktops) ? ' delegated' : '') . (in_array($desktop['id'], $delegateToDesktops) ? ' delegateTo' : ''), 'desktopId' => $desktop['id']));
	}
}

if ($secDesktopsListContent == '') {
	$secDesktopsListContent = __d('desktop', 'secDesktop.void');
}

$desktopsListContent .= $this->Html->tag('dt', __d('desktop', 'Desktop.secDesktops'), array('class' => 'ui-state-focus'));
$desktopsListContent .=$this->Html->tag('dd', $this->Html->tag('ul', $secDesktopsListContent));
$desktopsList = $this->Html->tag('dl', $desktopsListContent);
$desktopsDivContent = $desktopsList;
$desktopsDivContent .= $this->Html->tag('span', $this->Html->image('/img/desktop.png') . ' ' . __d('desktop', 'Desktop.add'), array('id' => 'DesktopAddBttn'));
$desktopsDiv = $this->Html->tag('div', $desktopsDivContent, array('class' => 'ui-widget-content', 'id' => 'desktopsList'));
echo $desktopsDiv;

$tabsLabel = array(
	'divRightsContent' => __d('user', 'User.edit.tabRights'),
	'divDelegContent' => __d('user', 'User.edit.tabDeleg')
);
$tabsUlContent = '';
foreach ($tabsLabel as $kLabel => $label) {
	$link = $this->Html->tag('a', $label, array('href' => '#' . $kLabel));
	$tabsUlContent .= $this->Html->tag('li', $link);
}
echo $this->Html->tag('div', '', array('id' => 'divRD', 'class' => 'divRD'));
?>

<script type="text/javascript">

	function checkDesktopNameUnique(form) {
		gui.request({
			url: "/users/ajaxformvalid/desktopname",
			data: $(form).serialize()
		}, function(data) {
			processJsonFormCheck(data);
		});
	}

	$('.desktopElement').hover(function() {
		$(this).addClass('ui-state-highlight');
	}, function() {
		$(this).removeClass('ui-state-highlight');
	});

	$('#UserEditForm').validate({
		rules: {
			"data[User][id]": "required",
			"data[User][username]": "required",
			"data[User][nom]": "required",
			"data[User][prenom]": "required",
			"data[User][mail]": "email"
		}
	});

	$('#UserUsername').blur(function() {
		gui.request({
			url: "/users/ajaxformvalid/username",
			data: $('#UserEditForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		})
	});
	$('#UserMail').blur(function() {
		gui.request({
			url: "/users/ajaxformvalid/mail",
			data: $('#UserEditForm').serialize()
		}, function(data) {
			processJsonFormCheck(data);
		})
	});

	$('#userInfoSaveBttn').css({
		'margin-left': '40px',
		'margin-top': '2px'
	}).button().click(function() {
		if ($('#UserEditForm').valid()) {
			gui.request({
				url: $('#UserEditForm').attr('action'),
				data: $('#UserEditForm').serialize(),
				loader: true,
				loaderElement: $('#UserEditForm'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				getJsonResponse(data);
				$('.loader').remove();
				loadStruct('users', 'silentMode');
			});
		}
	});

	$('#DesktopAddBttn').button().click(function() {
		gui.request({
			url: '/desktops/add/<?php echo $user['User']['id']; ?>',
			updateElement: $('#desktopsList'),
			loader: true,
			loaderMessage: gui.loaderMessage
		}, function(data) {
			var div = $('<div></div>').html(data).attr('id', 'desktopAddDiv');
			$('#desktopsList').append(div);
			div.css({
				'position': 'absolute',
				'top': 0,
				'height': '319px',
				'width': '250px',
				'background-color': 'white'
			}).addClass('ui-widget ui-widget-content ui-corner-all');
			$('#DesktopAddForm label').addClass('ui-state-focus');

			$('#DesktopGroupId').blur(function() {
				if ($('#DesktopName').val() == '' && $('#UserNom').val() != '' && $('#UserPrenom').val() != '' && $('#DesktopGroupId').val() != '') {
					$('#DesktopName').val('<?php echo __d('desktop', 'Desktop.Desktop'); ?> ' + $('#DesktopGroupId option:selected').html() + ' ' + $('#UserNom').val() + ' ' + $('#UserPrenom').val());
					checkDesktopNameUnique($('#DesktopAddForm'));
				}
			});

			$('#DesktopName').blur(function() {
				checkDesktopNameUnique($('#DesktopAddForm'));
			});


			$('#DesktopAddForm .desktopAddSubmit').button().css({
				'margin-left': '55px',
				'margin-top': '3px'
			}).click(function() {

				$('#DesktopAddForm').validate({
					rules: {
						'data[Desktop][name]': 'required',
						'data[Desktop][group_id]': 'required',
						'data[Service][Service][]': 'required'
					}
				});
				if ($("#DesktopAddForm .errorJsonFormCheck").length == 0) {
					if ($('#DesktopAddForm').valid()) {
						gui.request({
							url: '/desktops/add/<?php echo $user['User']['id']; ?>',
							data: $('#DesktopAddForm').serialize(),
							loaderElement: $('.ui-dialog-content'),
							loader: true,
							loaderMessage: gui.loaderMessage
						}, function(data) {
							getJsonResponse(data);
							gui.request({
								url: '/users/edit/<?php echo $user['User']['id']; ?>',
								loader: false
							}, function(data) {
								$('.ui-dialog-content').html(data);
								$('.loader').remove();
							});
						});
					}
				}
			});
			$('#DesktopAddForm .desktopAddCancel').button().css({
				'margin-top': '3px'
			}).click(function() {
				$('#desktopAddDiv').remove();
			});
            
            
            // Création du Nom du Rôle secondaire avec Profil + Nom + Prénom
            $('#DesktopGroupId').change(function() {
                var str = "";
                $( "#DesktopGroupId option:selected" ).each(function() {
                  str += $( this ).text() + " ";
                });
                var nom=$('#UserEditForm #UserNom').val();
                var prenom = $('#UserEditForm #UserPrenom').val();
                $('#DesktopName').val(str+prenom+' '+nom);
            });
		});
	});
	$('#infoList label').addClass('ui-state-focus');


	$('.setRights').each(function() {
		var img = $('img', $(this));
		var link = $('a', $(this));
		var url = link.attr('href');

		$(this).append(img);
		link.remove();
		$(this).click(function() {
			desktopElementHighlight($(this).parents('.desktopElement'));
			gui.request({
				url: url,
				updateElement: $('#divRD'),
				loader: true,
				loaderMessage: gui.loaderMessage
			});
		});
	});

	$('.setDeleg').each(function() {
		var img = $('img', $(this));
		var link = $('a', $(this));
		var url = link.attr('href');

		$(this).append(img);
		link.remove();
		$(this).click(function() {
			desktopElementHighlight($(this).parents('.desktopElement'));
			gui.request({
				url: url,
				updateElement: $('#divRD'),
				loader: true,
				loaderMessage: gui.loaderMessage
			});
		});
	});

	$('.desktopDelete').each(function() {
		var img = $('img', $(this));
		var link = $('a', $(this));
		var url = link.attr('href');

		$(this).append(img);
		link.remove();
		$(this).click(function() {
			gui.request({
				url: url,
				loaderElement: $('.ui-dialog-content'),
				loader: true,
				loaderMessage: gui.loaderMessage
			}, function(data) {
				getJsonResponse(data);
				gui.request({
					url: '/users/edit/<?php echo $user['User']['id']; ?>',
					loader: false
				}, function(data) {
					$('.ui-dialog-content').html(data);
					$('.loader').remove();
				});
			});
		});
	});


	$('.desktopEdit').each(function() {
		var img = $('img', $(this));
		var link = $('a', $(this));
		var url = link.attr('href');

		$(this).append(img);
		link.remove();
		$(this).click(function() {
			gui.request({
				url: url,
				updateElement: $('#desktopsList'),
				loader: true,
				loaderMessage: gui.loaderMessage
			}, function(data) {
				var div = $('<div></div>').html(data).attr('id', 'desktopEditDiv');
				$('#desktopsList').append(div);
				div.css({
					'position': 'absolute',
					'top': 0,
					'height': '319px',
					'width': '250px',
					'background-color': 'white'
				}).addClass('ui-widget ui-widget-content ui-corner-all');

                // Mise en palce d'un select plus clair
                $('#ServiceService').select2();
                

				var selectedOptionHtml = $('#DesktopGroupId option:selected').html();
				$('#DesktopGroupId').change(function() {
					gui.message({
						title: "<?php echo __d('desktop', 'Desktop.changeProfil.title'); ?>",
						msg: "<?php echo __d('desktop', 'Desktop.changeProfil.msg'); ?>"
					});
					var newSelectedOptionHtml = $('#DesktopGroupId option:selected').html();
					$('#DesktopName').val($('#DesktopName').val().replace(selectedOptionHtml, newSelectedOptionHtml));
				}).blur(function() {
					if ($('#DesktopName').val() == '' && $('#UserNom').val() != '' && $('#UserPrenom').val() != '' && $('#DesktopGroupId').val() != '') {
						$('#DesktopName').val('<?php echo __d('desktop', 'Desktop.sccsq'); ?> ' + $('#DesktopGroupId option:selected').html() + ' ' + $('#UserPrenom').val() + ' ' + $('#UserNom').val());
						checkDesktopNameUnique($('#DesktopEditForm'));
					}
				});

				$('#DesktopName').blur(function() {
					checkDesktopNameUnique($('#DesktopEditForm'));
				});

				$('#DesktopEditForm label').addClass('ui-state-focus');
				$('#DesktopEditForm .desktopEditSubmit').button().css({
					'margin-left': '55px',
					'margin-top': '3px'
				}).click(function() {
					$('#DesktopEditForm').validate({
						rules: {
							'data[Desktop][name]': 'required',
							'data[Desktop][group_id]': 'required',
							'data[Service][Service][]': 'required'
						}
					});

					if ($("#DesktopEditForm .errorJsonFormCheck").length == 0) {

						if ($('#DesktopEditForm').valid()) {
							gui.request({
								url: url,
								data: $('#DesktopEditForm').serialize(),
								loaderElement: $('.ui-dialog-content'),
								loader: true,
								loaderMessage: gui.loaderMessage
							}, function(data) {
								getJsonResponse(data);
								gui.request({
									url: '/users/edit/<?php echo $user['User']['id']; ?>',
									loader: false
								}, function(data) {
									$('.ui-dialog-content').html(data);
									$('.loader').remove();
								});
							});
						}
					}
				});
				$('#DesktopEditForm .desktopEditCancel').button().css({
					'margin-top': '3px'
				}).click(function() {
					$('#desktopEditDiv').remove();
				});
                
                // Création du Nom du Rôle secondaire avec Profil + Nom + Prénom
                $('#DesktopGroupId').change(function() {
                    var str = "";
                    $( "#DesktopGroupId option:selected" ).each(function() {
                      str += $( this ).text() + " ";
                    });
                    var nom=$('#UserEditForm #UserNom').val();
                    var prenom = $('#UserEditForm #UserPrenom').val();
                    $('#DesktopName').val(str+prenom+' '+nom);
                });
			});
		});
	});

	gui.request({
		url: "/users/rights/" + <?php echo $user['User']['id']; ?>
	}, function(data) {
		$('#divRD').html(data);
	});


    // Action permettant à l'administrateur de modifier le mot de passe de l'utilisateur
	$('#userInfoEditPwdBttn').button().click(function() {
        gui.formMessage({
            updateElement: $('#UserEditForm'),
            loader: true,
            width: '450px',
            loaderMessage: gui.loaderMessage,
            title: '<?php echo __d('user', 'Change password'); ?>',
            url: '/users/changemdp/<?php echo $user['User']['id']; ?>',
            buttons: {
                '<?php echo __d('default', 'Button.submit'); ?>': function() {
                    if ($('#UserChangemdpForm').valid()) {
                        gui.request({
                            url: '/users/changemdp/<?php echo $user['User']['id']; ?>',
                            data: $('#UserChangemdpForm').serialize(),
                            loaderElement: $('#UserEditForm'),
                            loaderMessage: gui.loaderMessage
                        }, function(data) {
							gui.request({
								url: '/users/edit/<?php echo $user['User']['id']; ?>',
								loader: false
							}, function(data) {
								$('.ui-dialog-content').html(data);
								$('.loader').remove();
							});
						});
                        $(this).dialog('close');
                    }
                },
                '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                    $(this).dialog('close');
                }
            }
        });
	});
    // Action permettant à l'administrateur de modifier les abonnements aux notificatioons
	$('#userInfoEditNotifBttn').button().click(function() {
        gui.formMessage({
            updateElement: $('#UserEditForm'),
            loader: true,
            width: '450px',
            loaderMessage: gui.loaderMessage,
            title: '<?php echo __d('user', 'Change notif'); ?>',
            url: '/users/changenotif/<?php echo $user['User']['id']; ?>',
            buttons: {
                '<?php echo __d('default', 'Button.submit'); ?>': function() {
                    if ($('#UserChangenotifForm').valid()) {
                        gui.request({
                            url: '/users/changenotif/<?php echo $user['User']['id']; ?>',
                            data: $('#UserChangenotifForm').serialize(),
                            loaderElement: $('#UserEditForm'),
                            loaderMessage: gui.loaderMessage
                        }, function(data) {
							gui.request({
								url: '/users/edit/<?php echo $user['User']['id']; ?>',
								loader: false
							}, function(data) {
								$('.ui-dialog-content').html(data);
								$('.loader').remove();
							});
						});
                        $(this).dialog('close');
                    }
                },
                '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                    $(this).dialog('close');
                }
            }
        });
	});
</script>