<?php
/**
 *
 * Users/get_rights.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
//init options
$options = array(
	'no' => $this->Html->image('/DataAcl/img/test-fail-icon.png', array('style' => 'width: 16px;height: 16px;vertical-align: middle;', 'alt' => 'no')),
	'yes' => $this->Html->image('/DataAcl/img/test-pass-icon.png', array('style' => 'width: 16px;height: 16px;vertical-align: middle;', 'alt' => 'yes')),
	'parentNodeMarkOpen' => $this->Html->image('/DataAcl/img/parent_node_mark_close.png', array('style' => 'width: 16px;height: 16px;vertical-align: middle;', 'alt' => 'closed')),
	'parentNodeMarkClose' => $this->Html->image('/DataAcl/img/parent_node_mark_open.png', array('style' => 'width: 16px;height: 16px;vertical-align: middle;', 'alt' => 'opened')),
	'edit' => false,
	'tableRootClass' => 'ui-widget ui-widget-content ui-corner-all',
	'legendClass' => 'ui-widget ui-widget-content ui-corner-all ui-state-focus',
	'fieldsetClass' => 'ui-widget ui-widget-content ui-corner-all',
	'fieldsetStyle' => 'margin-top: 15px;',
	'legendStyle' => 'padding-left: 55px;padding-right: 55px;padding-top: 3px;padding-bottom: 3px;',
	'requester' => $requester
);

if ($mode == 'func') {
	if (Configure::read('debug') >= 2) {
		echo $this->Html->tag('span', __d('right', 'mode_classique'), array('class' => 'modeClassiqueBttn'));
	}
	foreach ($rights as $desktopName => $right) {
		if ($right['Right']['mode_classique']) {
			echo $this->Html->tag('p', __d('right', 'mode_classique.active'), array('class' => 'ui-state-highlight', 'style' => 'font-style: italic;padding: 2px;'));
		}
		?><h3  class="ui-state-focus ui-corner-all" style="padding: 5px;"><?php echo __d('desktop', 'Desktop.Desktop'); ?> : <?php echo $desktopName; ?></h3><?php
		echo $this->Element('rights', array('rights' => $right, 'edit' => false));
	}
} else if ($mode == 'func_classique') {
	echo $this->Html->tag('span', __d('right', 'mode_simplifie'), array('class' => 'modeSimplifieBttn'));
	//show func rigths
	$options['fields'] = array(
		'read' => 'accès'
	);
	$options['fieldsetLegend'] = 'Fonctions';
	$options['aclType'] = 'Acl';
	$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_rights';
	$this->DataAcl->drawTable($rights, true, $options);
} else if ($mode == 'data') {
//show data rigths
	$options['aclType'] = 'DataAcl';
	$options['fields'] = array(
		'read' => 'accès'
	);
	for ($i = 0; $i < count($desktops); $i++) {
		echo $this->Html->tag('h3', __d('desktop', 'Desktop.Desktop') . " : " . $desktops[$i]['name'], array('class' => 'ui-state-focus ui-corner-all', 'style' => 'padding: 5px;'));
		$dataRights = $desktops[$i]['dataRights'];
		$servicesNames = $desktops[$i]['servicesNames'];
		foreach ($dataRights as $desktopService => $rights) {
			$requester = array('model' => 'DesktopsAgent', 'foreign_key' => $desktopService);
			$options['requester'] = $requester;
			$options['fieldsetLegend'] = 'Service : ' . $servicesNames[$desktopService];
			$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_data';
			$this->DataAcl->drawTable($rights, false, $options);
		}
	}
} else if ($mode == 'meta') {
//show meta rigths
	$options['aclType'] = 'DataAcl';
	$options['fields'] = array(
		'create' => 'création',
		'read' => 'lecture',
		'update' => 'édition',
		'delete' => 'suppression'
	);

	for ($i = 0; $i < count($desktops); $i++) {
		echo $this->Html->tag('h3', __d('desktop', 'Desktop.Desktop') . " : " . $desktops[$i]['name'], array('class' => 'ui-state-focus ui-corner-all', 'style' => 'padding: 5px;'));
		$metaRights = $desktops[$i]['metaRights'];
		$servicesNames = $desktops[$i]['servicesNames'];
		foreach ($metaRights as $desktopService => $rights) {
			$requester = array('model' => 'DesktopsAgent', 'foreign_key' => $desktopService);
			$options['requester'] = $requester;
			$options['fieldsetLegend'] = 'Service : ' . $servicesNames[$desktopService];
			$options['formName'] = $requester['model'] . '_' . $requester['foreign_key'] . '_meta';
			$this->DataAcl->drawTable($rights, false, $options);
		}
	}
}
?>

<script type="text/javascript">
	initTables(true);

<?php if ($mode == 'func' && Configure::read('debug') >= 2) { ?>
		$('.modeClassiqueBttn').button().click(function() {
			var cpt = 0;
			$('#rightsTabs a').each(function() {
				if (cpt == 2) {
					var href = $.data(this, 'href.tabs');
					href = href.replace('func', 'func_classique');
					$('#rightsTabs').tabs('url', cpt, href);
				}
				cpt++;
			});
			$('#rightsTabs').tabs('load', 2);
		});
<?php } else if ($mode == 'func_classique') { ?>
		$('.modeSimplifieBttn').button().click(function() {
			var cpt = 0;
			$('#rightsTabs a').each(function() {
				if (cpt == 2) {
					var href = $.data(this, 'href.tabs');
					href = href.replace('func_classique', 'func');
					$('#rightsTabs').tabs('url', cpt, href);
				}
				cpt++;
			});
			$('#rightsTabs').tabs('load', 2);
		});
<?php } ?>

</script>