<?php

/**
 *
 * Users/get_users.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */

/*  Formulaire de recherche utilisateur */
echo $this->Html->link(
    $this->Html->image(
        'icons/application_form_magnify.png',
        array( 'alt' => '' )
    ).' Formulaire',
    '#',
    array( 'escape' => false, 'title' => 'Visibilité formulaire', 'onclick' => "$( '#UserGetUsersForm' ).toggle(); return false;", 'id' => 'formulaireButton', 'class' => 'aere' )
);

echo $this->Form->create('User', array( 'type' => 'post', 'action' => 'getUsers', 'id' => 'UserGetUsersForm', 'class' => ( ( is_array( $this->request->data ) && !empty( $this->request->data ) && isset( $this->request->data['User']['active'] ) ) ? 'search folded' : 'search unfolded' ) ) );?>
<fieldset class="aere">
    <legend>Recherche d'utilisateur</legend>
    <?php
        echo $this->Form->input( 'User.active', array( 'label' => 'Utilisateur actif ?', 'type' => 'checkbox', 'value' => true ) );
        echo $this->Form->input('User.username', array('type' => 'text', 'label' => __d('user', 'User.username') ) );
        echo $this->Form->input('User.nom', array('type' => 'text', 'label' => __d('user', 'User.nom') ) );
        echo $this->Form->input('User.prenom', array('type' => 'text', 'label' => __d('user', 'User.prenom') ) );
        echo $this->Form->input('User.group_id', array('type' => 'select', 'empty' => true, 'options' => $groups, 'label' => __d('user', 'User.group_id') ) );
    ?>
    <div style="text-align: center;"><span id="searchButton" class="aere">Rechercher</span></div>
</fieldset>
		
<?php echo $this->Form->end();?>


<script type="text/javascript">
    $( '#formulaireButton' ).button();
    $( '#searchButton' ).button();
    
    $('#searchButton').click(function(){
      gui.request({
        url: $("#UserGetUsersForm").attr('action'),
        data: $("#UserGetUsersForm").serialize(),
        loader: true,
        updateElement: $('#liste_users .content'),
        loaderMessage: gui.loaderMessage
      }, function(data) {
        $('#liste_users .content').html(data);
      } );
    });
    
    // Ajout de l'action de recherche via la touche Entrée
	$('#UserGetUsersForm').keyup(function(e){
		if(e.keyCode == 13) {
			gui.request({
				url: $("#UserGetUsersForm").attr('action'),
				data: $("#UserGetUsersForm").serialize(),
				loader: true,
				updateElement: $('#liste_users .content'),
				loaderMessage: gui.loaderMessage
			}, function(data) {
				$('#liste_users .content').html(data);
			} );
		}
	});

    $('#UserGetUsersForm.folded').hide();

</script>


<?php
$this->Paginator->options(array(
	'update' => '#liste_users .content',
	'evalScripts' => true,
	'before' => 'gui.loader({ element: $("#liste_users .content") });',
	'complete' => '$(".loader").remove()',
));
//$pagination = '<div class="paging">< | 1 | ></div>';
$pagination = '';
if (Set::classicExtract($this->params, 'paging.User.pageCount') > 1) {
	$pagination = '<div class="paging">
			' . implode(
					' | ', Set::filter(
							array(
								$this->Paginator->first('<<', array(), null, array('class' => 'disabled')),
								$this->Paginator->prev('<', array(), null, array('class' => 'disabled')),
								$this->Paginator->numbers(),
								$this->Paginator->next('>', array(), null, array('class' => 'disabled')),
								$this->Paginator->last('>>', array(), null, array('class' => 'disabled')),
							)
					)
			) . '
		</div>';
}
if( isset( $users ) ) {
    if( empty( $users ) ) {
        echo $this->Html->tag( 'p', 'Aucun utilisateur ne correspond à votre recherche', array( 'class' => 'voidMessage ui-state-highlight' ) );
    }
	else {
        $fields = array(
            'username',
            'nom',
            'prenom'
        );
        $actions = array(
            "edit" => array(
                "url" => Configure::read('BaseUrl') . '/users/edit',
                "updateElement" => "$('#admin_skel')",
                "message" => true,
    //            "formMessage" => true,
                'formMessageHeight' => '650',
                'formMessageWidth' => '1000',
                "refreshAction" => "loadStructure();"
            ),
            "delete" => array(
                "url" => Configure::read('BaseUrl') . '/users/delete',
                "updateElement" => "$('#admin_skel')",
                "refreshAction" => "loadStructure();"
            )
        );
        $options = array(
            "filter" => false,
            "paginator" => true
        );

        $this->Liste->draw($users, 'User', $fields, $actions, $options);
        echo $pagination;
    }
}    
    
    echo $this->Js->writeBuffer();
    
?>
<script type="text/javascript">
	$('#liste_users .listTr').hover(function(){
		var regexp = /^Desktop_/;
		var classes = $(this).attr('class').split(' ');
		for (i in classes){
			if (regexp.test(classes[i])){
				$('.' + classes[i]).addClass('ui-state-highlight');
			}
		}
		var regexp = /^SecondaryDesktop_/;
		var classes = $(this).attr('class').split(' ');
		for (i in classes){
			if (regexp.test(classes[i])){
				$('.' + classes[i]).addClass('ui-state-highlight');
				$('#liste_groups .' + classes[i].substring(9, classes[i].length ) + ', #liste_services .' + classes[i].substring(9, classes[i].length  )).addClass('ui-state-highlight');
			}
		}
	}, function(){
		var regexp = /^Desktop_/;
		var classes = $(this).attr('class').split(' ');
		for (i in classes){
			if (regexp.test(classes[i])){
				$('.' + classes[i]).removeClass('ui-state-highlight');
			}
		}
		var regexp = /^SecondaryDesktop_/;
		var classes = $(this).attr('class').split(' ');
		for (i in classes){
			if (regexp.test(classes[i])){
				$('.' + classes[i]).removeClass('ui-state-highlight');
				$('#liste_groups .' + classes[i].substring(9, classes[i].length  ) + ', #liste_services .' + classes[i].substring(9, classes[i].length  )).removeClass('ui-state-highlight');
			}
		}
	});
</script>