<?php
/**
 *
 * Users/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/administration/index'), null, array('inline' => false)); ?>
<?php echo $this->Html->css(array('zones/user/index'), null, array('inline' => false)); ?>
<?php echo $this->Html->css(array('zones/user/infos'), null, array('inline' => false)); ?>
<?php echo $this->Html->css(array('zones/rights/rights'), null, array('inline' => false)); ?>


<script type="text/javascript">
    function loadStruct(reloadElement, silentMode) {
        var loader = false;
        if (silentMode != 'silentMode') {
            loader = true;
        }

        if (reloadElement == 'users' || reloadElement == 'all' || reloadElement == 'services') {
            gui.request({
                url: "<?php echo Configure::read('BaseUrl') . "/services/getServices"; ?>",
                updateElement: $('#liste_services .content'),
                loader: loader,
                loaderMessage: gui.loaderMessage
            });
        }

        gui.request({
            url: "<?php echo Configure::read('BaseUrl') . "/users/getUsers"; ?>",
            updateElement: $('#liste_users .content'),
            loader: loader,
            loaderMessage: gui.loaderMessage
        });

        if (reloadElement == 'users' || reloadElement == 'all' || reloadElement == 'profils') {
            gui.request({
                url: "<?php echo Configure::read('BaseUrl') . "/groups/getGroups"; ?>",
                updateElement: $('#liste_groups .content'),
                loader: loader,
                loaderMessage: gui.loaderMessage
            });
        }
    }

    function loadStructure() {
        loadStruct('all');
    }
</script>

<table id="admin_skel">
    <tr>
        <td id="liste_services">
            <div class="title">
                <?php echo __d('service', 'Service.liste'); ?>
            </div>
            <div class="content">

            </div>
            <div class="controls">

            </div>
        </td>
        <td id="liste_users">
            <div class="title">
                <?php echo __d('user', 'User.liste'); ?>
            </div>
            <div class="content">

            </div>
            <div class="controls">

            </div>
        </td>
        <td id="liste_groups">
            <div class="title">
                <?php echo __d('group', 'Group.liste'); ?>
            </div>
            <div class="content">

            </div>
            <div class="controls">

            </div>
        </td>
    </tr>
</table>

<script type="text/javascript">
    $('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
    $('.content').addClass('ui-widget ui-widget-content ui-corner-all');

    gui.buttonbox({
        element: $('#liste_services .controls')
    });
    gui.buttonbox({
        element: $('#liste_users .controls')
    });
    gui.buttonbox({
        element: $('#liste_groups .controls')
    });

    gui.addbutton({
        element: $('#liste_services .controls'),
        button: {
            content: '<?php echo $this->Html->image('/img/add.png') . ' ' . __d('service', 'New Service'); ?>',
            action: function() {
                gui.formMessage({
                    updateElement: $('#admin_skel'),
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                    title: '<?php echo __d('service', 'New Service'); ?>',
                    url: "/Services/add",
                    width: "550px",
                    buttons: {
                        '<?php echo __d('default', 'Button.submit'); ?>': function() {
                            var form = $(".ui-dialog-content form");
                            if ($(form).valid()) {
                                gui.request({
                                    url: form.attr('action'),
                                    data: form.serialize(),
                                    loaderElement: $('#admin_skel'),
                                    loaderMessage: gui.loaderMessage,
                                }, function(data) {
                                    getJsonResponse(data);
                                    loadStruct('services');
                                });
                                $(this).dialog('close');
                            }
                        },
                        '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                            $(this).dialog('close');
                        }
                    }
                });
            }
        }
    });

    gui.addbutton({
        element: $('#liste_users .controls'),
        button: {
            content: '<?php echo $this->Html->image('/img/add.png') . ' ' . __d('user', 'New User'); ?>',
            action: function() {
                gui.formMessage({
                    updateElement: $('#admin_skel'),
                    loader: true,
                    width: '700px',
                    loaderMessage: gui.loaderMessage,
                    title: '<?php echo __d('user', 'New User'); ?>',
                    url: "/Users/add",
                    buttons: {
                        '<?php echo __d('default', 'Button.submit'); ?>': function() {
                            var form = $(".ui-dialog-content form");

                            if ($(".ui-dialog-content form .errorJsonFormCheck").length == 0) {

                                if ($(form).valid()) {
                                    gui.request({
                                        url: form.attr('action'),
                                        data: form.serialize(),
                                        loaderElement: $('#admin_skel'),
                                        loaderMessage: gui.loaderMessage
                                    }, function(data) {
                                        getJsonResponse(data);
                                        loadStructure();
                                    });
                                    $(this).dialog('close');
                                }

                            }
                        },
                        '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                            $(this).dialog('close');
                        }
                    }
                });
            }
        }
    });




    gui.addbutton({
        element: $('#liste_groups .controls'),
        button: {
            content: '<?php echo $this->Html->image('/img/add.png') . ' ' . __d('group', 'New Group'); ?>',
            action: function() {
                gui.formMessage({
                    updateElement: $('#admin_skel'),
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                    title: '<?php echo __d('group', 'New Group'); ?>',
                    url: "/Groups/add",
                    buttons: {
                        '<?php echo __d('default', 'Button.submit'); ?>': function() {
                            var form = $(".ui-dialog-content form");
                            if ($(form).valid() && $(".ui-state-error", form).length == 0) {
                                gui.request({
                                    url: form.attr('action'),
                                    data: form.serialize(),
                                    loaderElement: $('#admin_skel'),
                                    loaderMessage: gui.loaderMessage
                                }, function(data) {
                                    getJsonResponse(data);
                                    loadStruct('profils');
                                });
                                $(this).dialog('close');
                            }
                        },
                        '<?php echo __d('default', 'Button.cancel'); ?>': function() {
                            $(this).dialog('close');
                        }
                    }
                });
            }
        }
    });

    loadStructure();

</script>