<?php
/**
 *
 * Users/set_absences.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/user/moncompte'), null, array('inline' => false)); ?>

<table id="abs_skel">
	<tr>
		<td id="liste">
			<div class="title">
				<?php echo __d('menu', 'Gestion des absences'); ?>
			</div>
			<div class="content">
				<?php
				echo $this->Form->create('User', array('id' => 'UserAbsenceGestionForm'));
				echo $this->Form->input('User.id');
				echo $this->Form->input('User.delegue', array('label' => __d('user', 'User.delegue'), 'options' => $users, 'empty' => true));
				echo $this->Form->end();
				?>
			</div>
			<div class="ui-widget ui-widget-content ui-corner-all ui-state-highlight" style="text-align:center;padding: 10px;">En développement ...</div>
			<div class="controls">

			</div>
		</td>
		<td id="infos">
			<div class="title">
				<?php echo __d('menu', 'Planification des absences'); ?>
			</div>
			<div class="content">
				<?php
				echo $this->Form->create('User', array('id' => 'UserAbsencePlanificationForm'));
				echo $this->Form->input('User.id');
				echo $this->Form->input('User.date_dep', array('label' => __d('user', 'User.date_dep'), 'type' => 'text'));
				echo $this->Form->input('User.date_ret', array('label' => __d('user', 'User.date_ret'), 'type' => 'text'));
				echo $this->Form->input('User.delegue', array('label' => __d('user', 'User.delegue'), 'options' => $users, 'empty' => true));
				echo $this->Form->end();
				?>
			</div>
			<div class="ui-widget ui-widget-content ui-corner-all ui-state-highlight" style="text-align:center;padding: 10px;">En développement ...</div>
			<div class="controls">

			</div>
		</td>
	</tr>
</table>
<script type="text/javascript">

	$("#UserAbsenceGestionForm").validate({
		rules: {
			"data[User][delegue]": "required"
		}
	});

	$("#UserAbsencePlanificationForm").validate({
		rules: {
			"data[User][delegue]": "required",
			"data[User][date_ret]": "required",
			"data[User][date_dep]": "required"
		}
	});

	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

	gui.buttonbox({
		element: $('#liste .controls')
	});

	gui.addbuttons({
		element: $('#liste .controls'),
		buttons: [
			{
				content: "Départ",
				action: function(){
					if ($('#UserAbsenceGestionForm').valid()){
						gui.request({
							url: "/users/setAbsences/away",
							data: $('#UserAbsenceGestionForm').serialize(),
							loader: true,
							loaderElement: $('#abs_skel'),
							loaderMessage: gui.loaderMessage
						}, function(){
							window.location.reload();
						});
					}
				}
			},
			{
				content: "Retour",
				action: function(){
					gui.request({
						url: "/users/setAbsences/present",
						data: $('#UserAbsenceGestionForm').serialize(),
						loader: true,
						loaderElement: $('#abs_skel'),
						loaderMessage: gui.loaderMessage
					}, function(){
						window.location.reload();
					});
				}
			}
		]
	});

	gui.buttonbox({
		element: $('#infos .controls')
	});

	gui.addbuttons({
		element: $('#infos .controls'),
		buttons: [
			{
				content: 'Planifier',
				action: function(){
					if ($('#UserAbsencePlanificationForm').valid()){
						gui.request({
							url: "/users/setAbsences/plan",
							data: $('#UserAbsencePlanificationForm').serialize(),
							loader: true,
							loaderElement: $('#abs_skel'),
							loaderMessage: gui.loaderMessage
						}, function(){
							window.location.reload();
						});
					}
				}
			},
			{
				content: 'Supprimer la planification',
				action: function(){
					if ($('#UserAbsencePlanificationForm').valid()){
						gui.request({
							url: "/users/setAbsences/unplan",
							data: $('#UserAbsencePlanificationForm').serialize(),
							loader: true,
							loaderElement: $('#abs_skel'),
							loaderMessage: gui.loaderMessage
						}, function(){
							window.location.reload();
						});
					}
				}
			}
		]
	});

	gui.datepicker({
		element: $('#UserDateDep'),
		image: "/img/date.png"
	});
	gui.datepicker({
		element: $('#UserDateRet'),
		image: "/img/date.png"
	});
</script>

