<?php
/**
 *
 * Users/set_infos_persos.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php echo $this->Html->css(array('zones/user/infospersos'), null, array('inline' => false)); ?>
<table class="presentation">
    <tr>
        <td width="33%">
            <h3 class="ui-widget-header-webgfc ui-state-default ui-corner-top"><?php echo __d('menu', 'Informations personnelles'); ?></h3>
            <div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc" id="infospersos">
				<?php
				echo $this->Form->create('User', array('name' => 'UserSetInfosPersosForm', 'url' => array('controller' => 'users', 'action' => 'setInfosPersos', $this->data['User']['id'])));
				echo $this->Form->input('User.id');
				echo $this->Form->input('User.nom', array('label' => __d('user', 'User.nom')));
				echo $this->Form->input('User.prenom', array('label' => __d('user', 'User.prenom')));
				echo $this->Form->input('User.mail', array('label' => __d('user', 'User.mail')));
				echo $this->Form->input('User.numtel', array('label' => __d('user', 'User.numtel')));
				echo $this->Form->end();
				?>
            </div>
            <div id="chInfo"></div>
        </td>
        <td width="33%">
            <h3 class="ui-widget-header-webgfc ui-state-default ui-corner-top"><?php echo __d('menu', 'Mot de passe'); ?></h3>
            <div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc" id="mdp">
				<?php
				echo $this->Form->create('User', array('id' => 'UserSetMdpForm', 'name' => 'UserSetMdpForm', 'url' => array('controller' => 'users', 'action' => 'setInfosPersos', $this->data['User']['id'])));
				echo $this->Form->input('User.id');
				echo $this->Form->input('User.pwdmodified', array( 'type' => 'hidden', 'value' => false ));
				echo $this->Form->input('User.oldpassword', array('type' => 'password', 'label' => __d('user', 'User.oldpassword')));
				echo $this->Form->input('User.password', array('label' => __d('user', 'User.password')));
				echo $this->Form->input('User.password2', array('type' => 'password', 'label' => __d('user', 'User.password_confirm')));
				echo $this->Form->end();
				?>
            </div>
            <div id="chMdp"></div>
        </td>
        <td>
            <h3 class="ui-widget-header-webgfc ui-state-default ui-corner-top"><?php echo __d('user', 'Notification'); ?></h3>
            <div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc" id="notif">
				<?php
				echo $this->Form->create('User', array('id' => 'UserSetNotifForm', 'name' => 'UserSetNotifForm', 'url' => array('controller' => 'users', 'action' => 'setInfosPersos', $this->data['User']['id'])));
                $fieldsetNotificationContent = $this->Html->tag('legend', __d('user', 'User.notification'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
                $fieldsetNotificationContent .= $this->Form->hidden('User.id');
                $fieldsetNotificationContent .= $this->Form->input('User.accept_notif', array('label' => __d('user', 'User.accept_notif'), 'type' => 'checkbox'));
                echo $this->Html->tag('fieldset', $fieldsetNotificationContent);

				$fieldsetOptionNotificationContent = $this->Html->tag('legend', __d('user', 'User.optionnotif'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion', array('label' => __d('user', 'User.mail_insertion'), 'type' => 'checkbox'));
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_traitement', array('label' => __d('user', 'User.mail_traitement'), 'type' => 'checkbox'));
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_refus', array('label' => __d('user', 'User.mail_refus'), 'type' => 'checkbox'));
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_retard_validation', array('label' => __d('user', 'User.mail_retard_validation'), 'type' => 'checkbox')); 
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_copy', array('label' => __d('user', 'User.mail_copy'), 'type' => 'checkbox')); 
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_insertion_reponse', array('label' => __d('user', 'User.mail_insertion_reponse'), 'type' => 'checkbox')); 
                $fieldsetOptionNotificationContent .= $this->Form->input('User.mail_aiguillage', array('label' => __d('user', 'User.mail_aiguillage'), 'type' => 'checkbox')); 
                echo $this->Html->tag('fieldset', $fieldsetOptionNotificationContent, array( 'id' => 'UserOptionNotification', 'class' => 'notification' ));

				echo $this->Form->end();
				?>
            </div>
            <div id="chNotif"></div>
        </td>
    </tr>
</table>


<script type="text/javascript">
	// Valider / Annuler pour les info perso
    gui.buttonbox({
		element: $('#chInfo')
	});

	gui.addbuttons({
		element: $('#chInfo'),
		buttons: [
			{
				content: "Valider",
				action: function() {
					$('#UserSetInfosPersosForm').submit();
				}
			},
			{
				content: "Annuler",
				action: function() {
					window.location.reload();
				}
			}
		]
	});

    // Valider / Annuler pour le mot de passe
	gui.buttonbox({
		element: $('#chMdp')
	});

	gui.addbuttons({
		element: $('#chMdp'),
		buttons: [
			{
				content: "Valider",
				action: function() {
					$('#UserSetMdpForm').submit();
				}
			},
			{
				content: "Annuler",
				action: function() {
					window.location.reload();
				}
			}
		]
	});

    // Valider / Annuler pour les notifications
	gui.buttonbox({
		element: $('#chNotif')
	});

	gui.addbuttons({
		element: $('#chNotif'),
		buttons: [
			{
				content: "Valider",
				action: function() {
					$('#UserSetNotifForm').submit();
				}
			},
			{
				content: "Annuler",
				action: function() {
					window.location.reload();
				}
			}
		]
	});


	$(document).ready(function() {
		$("#UserSetInfosPersosForm").validate({
			rules: {
				"data[User][nom]": "required",
				"data[User][prenom]": "required",
				"data[User][mail]": "email"
			}
		});
		$('#UserMail').blur(function() {
			gui.request({
				url: "/users/ajaxformvalid/mail",
				data: $('#UserSetInfosPersosForm').serialize()
			}, function(data) {
				processJsonFormCheck(data);
			})
		});

		$("#UserSetMdpForm").validate({
			rules: {
				"data[User][oldpassword]": "required",
				"data[User][password]": "required",
				"data[User][password2]": {
					"required": true,
					"equalTo": "#UserPassword"
				}
			}
		});
        
        
        // Affichage des notifications
        $('#UserAcceptNotif').change(function() {
            if ($('#UserAcceptNotif').attr('checked') == 'checked') {
                $('#UserOptionNotification').show();
            } 
            else {
                $('#UserOptionNotification').hide();
            }
        });
        if ($('#UserAcceptNotif').attr('checked') == 'checked') {
			$('#UserOptionNotification').show();
		} 
		else {
			$('#UserOptionNotification').hide();
		}
	});
</script>
