<?php
/**
 *
 * Workflows/set_schema.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 5
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
$addEtape = $this->Html->tag('span', __d('circuit', 'New Etape'), array('class' => 'addEtape'));


if (empty($etapes)) {
	echo __d('circuit', 'Etape.voidDefinie') . $this->Html->tag('br') . $this->Html->tag('br');
} else {
	echo $addEtape;

	$typesEtape = array(
		ETAPESIMPLE => 'Simple',
		ETAPEET => 'Collaborative',
		ETAPEOU => 'Concurrente'
	);

	$divCircuitContent = '';
//    debug($etapes);
//die();
	foreach ($etapes as $etape) {

		$up = '';
		if ($etape != $etapes[0]) {
			$up = $this->Html->image("/img/go-up.png", array('class' => 'move_up bttn', 'itemId' => $etape['Etape']['id']));
		}

		$down = '';
		if ($etape != $etapes[count($etapes) - 1]) {
			$down = $this->Html->image("/img/go-down.png", array('class' => 'move_down bttn', 'itemId' => $etape['Etape']['id']));
		}

		$addCompo = '';
		if ($etape['canAdd']) {
			$addCompo = $this->Html->tag('span', __d('circuit', 'New Compo'), array('class' => 'addCompo bttn', 'itemId' => $etape['Etape']['id']));
		}

		$editEtape = $this->Html->tag('span', __d('circuit', 'Edit Etape'), array('class' => 'editEtape bttn', 'itemId' => $etape['Etape']['id']));

		$deleteEtape = '';
		if ($etape['isDeletable'] === true) {
			$deleteEtape = $this->Html->tag('span', __d('circuit', 'Delete Etape'), array('class' => 'deleteEtape bttn', 'itemId' => $etape['Etape']['id']));
		}



		$spanNumEtape = $this->Html->tag('span', $etape['Etape']['ordre'], array('class' => 'numEtape'));
		$spanTypeEtape = $this->Html->tag('span', $typesEtape[$etape['Etape']['type']], array('class' => 'typeEtape'));
		$descriptionEtape = $etape['Etape']['description'];

		$divNomEtape = $this->Html->tag('div', $etape['Etape']['nom'], array('class' => 'nomEtape'));

		$ulCompoContent = array();
		foreach ($etape['Composition'] as $composition) {

			$delCompo = $this->Html->image('/img/delete.png', array('title' => __d('circuit', 'Delete Compo'), 'class' => 'removeCompo bttn', 'itemId' => $composition['id']));
            $compositionName = '';
            if( $composition['trigger_id'] == '-1') {
                $compositionName = 'Etape Parapheur';
            }else {
                $compositionName = $composition['Desktop']['name'];
            }
			$ulCompoContent[] = $delCompo . $this->Html->tag('div', $compositionName, array('class' => 'desktop_name'));
		}


		$imgDirectionEtape = $this->Html->image('/img/etape_wkf_direction_wait.png');
		$divEtapeContent = $this->Html->tag('div', $imgDirectionEtape, array('class' => 'wkf_direction'));

		$divEtapeContent .= $this->Html->tag('div', $spanNumEtape . $up . $down . $addCompo . $editEtape . $deleteEtape . $spanTypeEtape, array('class' => 'head'));
		$divEtapeContent .= $divNomEtape;
		$divEtapeContent .= $this->Html->nestedList($ulCompoContent);
		$divCircuitContent .= $this->Html->tag('div', $divEtapeContent, array('class' => 'etape', 'title' => $descriptionEtape));
	}
	echo $this->Html->tag('div', $divCircuitContent, array('class' => 'schema'));
}
echo $addEtape;
?>
<script type="text/javascript">

	function refreshSchema() {
		$("#circuit_tabs").tabs('load', 1);
	}

	$('.move_up').button().click(function() {
		var itemId = $(this).attr('itemId');
		gui.request({
			url: "/workflows/moveEtape/" + itemId + "/up",
			loader: true,
			updateElement: $('#circuit_tabs')
		}, function() {
			refreshSchema();
		});
	});

	$('.move_down').button().click(function() {
		var itemId = $(this).attr('itemId');
		gui.request({
			url: "/workflows/moveEtape/" + itemId + "/down",
			loader: true,
			updateElement: $('#circuit_tabs')
		}, function() {
			refreshSchema();
		});
	});

	$('.addEtape').button().click(function() {
		gui.formMessage({
			updateElement: $("#infos .content"),
			loader: true,
			loaderMessage: gui.loaderMessage,
			title: '<?php echo __d('circuit', 'New Etape'); ?>',
			url: '/cakeflow/Etapes/add/' + <?php echo $circuit['Circuit']['id']; ?>,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function() {

					$('#EtapeAddForm').validate({
						rules: {
							'data[Etape][nom]': 'required',
							'data[Etape][type]': 'required'
						}
					});

					var form = $('form', this);
					if ($(form).valid()) {
						gui.request({
							url: '/cakeflow/Etapes/add/' + '<?php echo $circuit['Circuit']['id']; ?>',
							data: form.serialize()
						}, function() {
							refreshSchema();
						});
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog('close');
				}
			}
		});
	});

	$('.editEtape').button().click(function() {
		var itemId = $(this).attr('itemId');
		gui.formMessage({
			updateElement: $("#infos .content"),
			loader: true,
			loaderMessage: gui.loaderMessage,
			title: '<?php echo __d('circuit', 'Edit Compo'); ?>',
			url: "/cakeflow/Etapes/edit/" + itemId,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function() {

					$('#EtapeEditForm').validate({
						rules: {
							'data[Etape][nom]': 'required',
							'data[Etape][type]': 'required'
						}
					});

					var form = $('form', this);
					if ($(form).valid()) {
						gui.request({
							url: form.attr('action'),
							data: form.serialize()
						}, function() {
							refreshSchema();
						});
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog('close');
				}
			}
		});
	});


	$('.deleteEtape').button().click(function() {
		var itemId = $(this).attr('itemId');

		gui.message({
			title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
			msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
			buttons: {
				"<?php echo __d('default', 'Button.confirm'); ?>": function() {
					$(this).dialog("close");
					gui.request({
						url: "/cakeflow/Etapes/delete/" + itemId
					}, function() {
						refreshSchema();
					});
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog("close");
				}
			}
		});


	});

	$('.addCompo').button().click(function() {
		var itemId = $(this).attr('itemId');

		gui.formMessage({
			updateElement: $("#infos .content"),
			loader: true,
			loaderMessage: gui.loaderMessage,
			title: '<?php echo __d('circuit', 'New Compo'); ?>',
			url: "/cakeflow/Compositions/add/" + itemId,
			buttons: {
				"<?php echo __d('default', 'Button.submit'); ?>": function() {

					$('#CompositionAddForm').validate({
						rules: {
							'data[Composition][trigger_id]': 'required'
						}
					});

					var form = $('form', this);
					if ($(form).valid()) {
						gui.request({
							url: form.attr('action'),
							data: form.serialize()
						}, function() {
							refreshSchema();
						});
						$(this).dialog('close');
					}
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog('close');
				}
			}
		});
	});

	$('.removeCompo').button().click(function() {
		var itemId = $(this).attr('itemId');
		gui.message({
			title: "<?php echo __d('default', 'Confirmation de suppression'); ?>",
			msg: "<?php echo __d('default', 'Voulez-vous supprimer cet élément ?'); ?>",
			buttons: {
				"<?php echo __d('default', 'Button.confirm'); ?>": function() {
					$(this).dialog("close");
					gui.request({
						url: "/cakeflow/Compositions/delete/" + itemId
					}, function() {
						refreshSchema();
					});
				},
				"<?php echo __d('default', 'Button.cancel'); ?>": function() {
					$(this).dialog("close");
				}
			}
		})

	});


	$('.etape li').hover(function() {
		$(this).addClass('ui-state-highlight');
	}, function() {
		$(this).removeClass('ui-state-highlight');
	});
</script>