
/**
 * JavaScript helping functions
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * @author Stéphane Sampaio
 * @copyright Adullact
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */

$.jGrowl.defaults.position = 'center';
$.jGrowl.defaults.theme = 'ui-state-focus';

function processJsonFormCheck(data){
	try {
		$('.errorJsonFormCheck').remove();
		var json = jQuery.parseJSON(data);
		for (i in json){
			var model = i;
			for (j in json[i]){
				var errmsg = json[i][j];
				//FIXME : trouver une technique pour unifier les validator cake et jquery
				if (errmsg != 'Champ obligatoire'){
					var field = j.substr(0,1).toUpperCase() + j.substr(1);
                                        $("input[name='data["+model+"]["+j+"]']").addClass('ui-state-highlight').after("<label class='errorJsonFormCheck ui-state-error' for='" + model + field + "' genrated='true'>" + errmsg + "</label>");                         
					//$('#' + model + field).addClass('ui-state-highlight').after("<label class='errorJsonFormCheck ui-state-error' for='" + model + field + "' genrated='true'>" + errmsg + "</label>");
				}
			}
		}

	}
	catch(e) {
		$.jGrowl.defaults.theme = 'ui-state-error';
		jQuery.jGrowl('Erreur inattendue (Message standard non reçu)', {});
	}
}

function isInErrorJsonFormCheck(data){
	try {
		var retval = false;
		var json = jQuery.parseJSON(data);
		for (i in json){
			for (j in json[i]){
				//FIXME : trouver une technique pour unifier les validator cake et jquery
				if (json[i][j] != 'Champ obligatoire'){
					retval = true;
				}
			}
		}
		return retval;
	}
	catch(e){
		alert('error');
	}
}



function getJsonResponse(data){
	var json;
	try {
		json = jQuery.parseJSON(data);

		if (json.success === true){
			$.jGrowl.defaults.theme = 'ui-state-focus';
		} else {
			$.jGrowl.defaults.theme = 'ui-state-error';
		}

		if (json.message != ''){
			jQuery.jGrowl(json.message, {});
		} else {
			$.jGrowl.defaults.theme = 'ui-state-highlight';
			jQuery.jGrowl('Erreur inattendue (pas de message)', {});
		}
	}
	catch(e) {
		$.jGrowl.defaults.theme = 'ui-state-highlight';
		jQuery.jGrowl('Erreur inattendue (Message standard non reçu)', {});
	}
	return json;
}

function loadNotifications(){
	gui.request({
		url: "/environnement/getNotifications",
		updateElement: $('#nbNotifications'),
		noErrorMsg: true
	});
}

function initNotifications(){
	$('#nbNotifications').hover(function(){
		$("#divNotif").show();
	}, function(){
		$("#divNotif").hide();
	});
}

function loadTaches(){
	gui.request({
		url: "/taches/getTaches/",
		updateElement: $('#nbTaches'),
		noErrorMsg: true
	});
}

function initTaches(){
	$('#nbTaches').hover(function(){
		$("#divTache").show();
	}, function(){
		$("#divTache").hide();
	});
}

function loadDeleg(){
	gui.request({
		url: "/users/isAway",
		updateElement: $('#absences'),
		noErrorMsg: true
	});
}

function initDeleg(){
	$('#absences').hover(function(){
		$("#divAbsence").show();
	}, function(){
		$("#divAbsence").hide();
	});
}


/*****************************************/
function setJSelect(select) {
		var id = select.attr('id');

		$('option', select).each(function() {
			$(this).addClass('item');
			$(this).attr('sId', $(this).val());
		});

		var newList = $('<ul>');
		newList.attr('id', id + 'List');
		newList.addClass('jSelectList');

		var addAllBttn = $('<span>');
		addAllBttn.html('Tout ajouter');
		addAllBttn.button();
		$('span', $(addAllBttn)).css('padding', '3px');
		addAllBttn.click(function() {
			$('option', select).removeAttr('selected').each(function() {
				if ($(this).css('display') == 'block') {
					$(this).attr('selected', 'selected');
					addItem(select);
				}
			});
		});

		select.after(newList.before('<br />Liste des critères selectionnés : ')).after(addAllBttn.before(' '));

		var duplicatedSelect = select.clone(true);
		duplicatedSelect.attr('multiple', 'multiple');
		duplicatedSelect.attr('id', duplicatedSelect.attr('id') + "duplicated");
		$('option', duplicatedSelect).each(function() {
			if ($(this).val() == '' || $(this).val() == 'undefined') {
				$(this).remove();
			}
		});
		duplicatedSelect.css('display', 'none');
		select.before(duplicatedSelect);
		select.attr('name', '');
		select.removeAttr('multiple');
		select.css('width', '250px');
		select.css({
			width: '250px',
			position: 'relative',
			top: '-3px'
		});

		select.change(function() {
			addItem($(this));
		});
	}

	function delItem(e) {
		var select = $('#' + e.attr('parentSelect'));
		var list = e.parent().parent().parent();
		var listItem = e.parent().parent();
		var sId = e.attr('sId');
		var item;
		$('option', select).each(function() {
			if ($(this).attr('sId') == sId) {
				item = $(this);
			}
		});
		var realItem;
		$('#' + select.attr('id') + 'duplicated option').each(function() {
			if ($(this).attr('sId') == sId) {
				realItem = $(this);
			}
		});

		listItem.remove();
		item.css('display', 'block');
		realItem.removeAttr('selected');

		if ($('li', list).length == 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length != 0) {
			$('.delAllBttn[listId=' + list.attr('id') + ']').remove();
		}
	}

	function addItem(select) {
		var id = select.attr('id');
		var item = $('option:selected', select);
		var list = $('#' + id + 'List');
		var realItem;
		$('#' + id + 'duplicated option').each(function() {
			if ($(this).attr('sId') == item.attr('sId')) {
				realItem = $(this);
			}
		});

		if (item !== 'undefined' && item.html() !== 'undefined' && item.html() != "") {
			var li = $('<li>');
			li.attr('sId', item.val());
			li.addClass('duplicatedId' + item.val());

			var div = $('<div>');
			div.css({
				'width': '350px',
				'padding': '5px'
			}).addClass('ui-corner-all ui-widget-content');
			div.hover(function() {
				$(this).addClass('ui-state-hover');
			}, function() {
				$(this).removeClass('ui-state-hover');
			});
			div.html(item.html());


			var delBttn = $('<span>');
			delBttn.html("<img src='/img/icons/cancel.png'>");
			delBttn.addClass('delBttn');
			delBttn.css({
				'float': 'right',
				'cursor': 'pointer'
			});
			delBttn.attr('parentSelect', id);
			delBttn.attr('sId', item.val());

			$('span', $(delBttn)).css('padding', '1px');
			delBttn.click(function() {
				delItem($(this));
			});

			list.append(li.append(div.append(delBttn)));
			item.css('display', 'none');
			$('option:selected', select).removeAttr('selected');
			realItem.attr('selected', 'selected');
		}

		if ($('li', list).length > 0 && $('.delAllBttn[listId=' + list.attr('id') + ']').length == 0) {
			var delAllBttn = $('<span>');
			delAllBttn.html('Tout enlever');
			delAllBttn.addClass('delAllBttn');
			delAllBttn.attr('listId', list.attr('id'));
			delAllBttn.button();
			$('span', $(delAllBttn)).css('padding', '3px');
			delAllBttn.click(function() {
				$('span.delBttn', list).each(function() {
					delItem($(this));
				});
				$(this).remove();
			});
			list.after(delAllBttn);
		}
	}

	function resetJSelect(formId) {
		$(formId).find(':input').each(function() {
			switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
			}
		});

		$('.jSelectList', $(formId)).empty();
		$('select option', $(formId)).removeAttr('selected');
		$('select option', $(formId)).css('display', 'block');
		$('.delAllBttn').remove();

	}
    
    /*****************************************/